#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

my %lex = ('Delete Educator' => 'Delete Educator',
	   'Admin' => 'Admin',
	   'Name' => 'Name',
	   'Error' => 'Error',
	   'Are you sure you want to delete this record?' => 
	     'Are you sure you want to delete this record?',
	   'Yes, delete the record!' => 'Yes, delete the record!',
	   'Record Deletion Failed' => 'Record Deletion Failed',
	   'Contact' => 'Contact',
	   'Record deleted' => 'Record deleted',
	   'View/Edit/Delete Educators' => 'View/Edit/Delete Educators',

	   );

my $self = 'edudel.pl';

use CGI;
use DBI;
use CGI::Session;

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $self:$@<br>\n";
    die $lex{Error}. " $self:$@\n";
}

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Page Header.
print "$doctype\n<html><head><title>". $lex{'Delete Educator'}. "</title>
<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">
</head><body>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";

print "<center><h1>". $lex{'Delete Educator'}. "</h1>\n";

if ( $arr{itemid} ) {
    deleteRecord();
}

my $sth = $dbh->prepare("select * from educator where id = ?");
$sth->execute( $arr{id} );
if ($DBI::errstr){print "$DBI::errstr"; die $DBI::errstr; }
my $ed = $sth->fetchrow_hashref;

print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\">\n";
print "<tr><td align=\"right\">". $lex{Name}. "</td>\n";
print "<td><b>$ed->{firstname} $ed->{lastname} ($ed->{userid})</b></td></tr>\n";
print "</table>\n";

print "<p><em>". $lex{'Are you sure you want to delete this record?'}. "</em></p>
<form action=\"$self\" method=\"post\">
<input type=\"hidden\" name=\"itemid\" value=\"$ed->{id}\">
<input type=\"submit\" value=\"". $lex{'Yes, delete the record!'}. "\"></center>
</form></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    #foreach my $key ( keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from educator where id = ?");
    $sth->execute( $arr{itemid} );

    if ($DBI::errstr) {
	print $lex{'Record Deletion Failed'}. ". ". $lex{Contact}. " $adminname.<br>\n";
	print $lex{Error}. " $DBI::errstr <br>\n";
    } else {
	print "<h2>". $lex{'Record deleted'}. ".</h2>\n";
    }

    print "<p>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> |\n";
    print "<a href=\"eduview.pl\">". $lex{'View/Edit/Delete Educators'}. "</a> ]\n"; 
    print "</center></body></html>\n";

    exit;

};
