#!/usr/bin/perl
# Copyright Les Richardson 2001-2008

my %lex = ('Reset Impact Area' => 'Reset Impact Area',
	   'Admin' => 'Admin',

	   'There was an error storing your data.' => 'There was an error storing your data.',
	   'Contact' => 'Contact',
	   'Update Impacts' => 'Update Impacts',
	   'Area of Impact' => 'Area of Impact',
	   'Category' => 'Category',


	   'Record the following error' => 'Record the following error',
	   'Error' => 'Error',
	   'Your update is now stored' => 'Your update is now stored',
	   'Contact' => 'Contact',
	   'There was an error storing your data' => 'There was an error storing your data',
	   
	   );

my $self = 'resetimpact.pl';

use DBI;
use CGI;

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Start Page Head
print "$doctype\n<html><head><title>". $lex{'Reset Impact Area'}. "</title>
<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
print "<center><h1>". $lex{'Reset Impact Area'}. "</h1>\n";

# update records if necessary.
if ( $arr{flag} ) {
    delete $arr{flag};
    resetRecords();
}


my $sth = $dbh->prepare("select distinct subnum from evalmst 
  where subnum != '' order by subnum");
$sth->execute;

print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"flag\" value=\"1\">\n";
print "<input type=\"submit\" value=\"". $lex{'Update Impacts'}. "\">\n";

print "<table border=\"1\" cellpadding=\"3\" cellspacing=\"0\" style=\"margin:0.5em;\">\n";
print "<tr><th>". $lex{Category}. '</th><th>'. $lex{'Area of Impact'}. "</th></tr>\n";

my $sth1 = $dbh->prepare("select category from subject where catnum = ?");

my $sth2 = $dbh->prepare("select distinct impactarea from evalmst where subnum = ? and 
  ( impactarea != '' and impactarea is not null )");
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }

while ( my $subnum = $sth->fetchrow ) {

    # Get Category (ie. description) for this subnum;
    $sth1->execute( $subnum );
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    my $category = $sth1->fetchrow;

    # Get any existing value for impact area
    $sth2->execute( $subnum );
    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
    my $impact = $sth2->fetchrow;


    print "<tr><td>$category ($subnum)</td>";
    print "<td><select name=\"$subnum\"><option>$impact</option>\n";
    foreach my $impact ( @impacts ) {
	print "<option>$impact</option>\n";
    }
    print "</select></td></tr>\n";


} # End of Subnum Loop

print "</table><input type=\"submit\" value=\"". $lex{'Update Impacts'}. "\">\n";
print "</form></body></html>\n";


#---------------
sub resetRecords {
#---------------

    #foreach my $key ( keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("update evalmst set impactarea = ? where subnum = ?");

    foreach my $key ( keys %arr ) {
	if ( $arr{$key} ) { # if we have an impact
	    $sth->execute( $arr{$key}, $key );
	    if ($DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
	}
    }

    if ( not $DBI::errstr ) {
	print '<h3>'. $lex{'Your update is now stored'}. ".</h3>\n";
    } else {
	print "<h3>". $lex{'There was an error storing your data'}. "\n";
	print $lex{Contact}. " $adminname <a href=\"mailto:$adminemail\">$adminemail</a>\n";
	print $lex{'Record the following error'}. ": $DBI::errstr</h3>\n";
    }
	
    print "[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
    print "</body></html>\n";

    exit;

}
