#!/usr/bin/perl
#  Copyright 2001-2006 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Script to Power Delete Rubrics

my $self='rubpwrdel.pl';
my %lex = ('Power Delete Rubrics' => 'Power Delete Rubrics',
	   'Main' => 'Main',
	   'School' => 'School',
	   'dev_area' => 'Dev Area',
	   'target_skill' => 'Skill',
	   'responsible' => 'Resp',
	   'Edit' => 'Edit',
	   'Delete' => 'Delete',
	   'Rubrics Deleted' => 'Rubrics Deleted',

	   );

use DBI;
use CGI;

# Read config variables
unless (require "ppp.conf") {
    print "Cannot read ppp.conf!";
    die "Cannot read ppp.conf!";
}

#unless (require "$globdir/global.conf") {
#    print "Cannot read the global.conf file!";
#    die "Cannot read the global.conf file!";
#}

my $q = new CGI;
my $cookieuser = $q->cookie($divcookie);
print $q->header;
my %arr = $q->Vars;
if ($arr{checked}) {
    $checked = $arr{checked};
    delete $arr{checked};
}

my $select;
if ($cookieuser){
    $select = " and special.school like '%($cookieuser%' ";
    $cookieuser = $dbase{$cookieuser};
} else {
    $cookieuser = "Not Logged In";
}

my $dsn = "DBI:mysql:$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
my $fieldlist = "eval_rubric.id, eval_rubric.studnum, eval_rubric.dev_area,
 eval_rubric.target_skill, special.lastname, special.firstname";

my $sth = $dbh->prepare("select distinct eval_rubric.studnum, 
  special.lastname, special.firstname from eval_rubric,special 
  where eval_rubric.studnum = special.studnum group by eval_rubric.studnum
  order by special.lastname, special.firstname");

$sth->execute;
if ($DBI::errstr) {print $DBI::errstr; die $DBI::errstr;}
my $rows = $sth->rows;

# Show Page Header.
print "$doctype\n<html><head><title>". $lex{'Power Delete Rubrics'}. "</title>
<link rel=\"stylesheet\" href=\"/ppp.css\" type=\"text/css\">
</head><body style=\"padding:1em 2em;\">";
print "[ <a href=\"$homepage\">". $lex{Main};
print "</a> | <a href=\"$adminpage\">Admin</a> ]
<center><h1>". $lex{'Power Delete Rubrics'};
print "</h1></p>&nbsp;</p>\n";

if ($arr{flag}){
    delete $arr{flag};
    deleteRecords();
    die;
}


print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"flag\" value=\"1\">\n";
print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
print "<tr><th>Name</th><th>Delete?</th></tr>\n";
print "<tr><td colspan=\"2\" align=\"center\">";
print "<input type=\"submit\" value=\"Yes, Delete!\"></td></tr>\n";

while (my ($studnum, $lastname, $firstname) = $sth->fetchrow) {
   
    print "<tr><td><b>$lastname</b>, $firstname</td>";
    print "<td align=\"center\">";
print "<input type=\"checkbox\" name=\"$studnum\" value=\"1\" $checked></td>\n";

} # End of loop counter

print "<tr><td colspan=\"2\" align=\"center\">";
print "<input type=\"submit\" value=\"Yes, Delete!\"></td></tr>\n";
print "</table></form></body></html>\n";


#---------------
sub deleteRecords {
#---------------
    #foreach my $key (keys %arr) { print "K:$key V:$arr{$key}<br>\n";}
    #die;

    my $sth = $dbh->prepare("delete from eval_rubric where studnum = ?"); 
    my $sth1 = $dbh->prepare("select lastname, firstname from special where studnum = ?");

    foreach my $studnum (keys %arr) {
	$sth->execute($studnum);
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
	$sth1->execute($studnum);
	my ($lastname, $firstname) = $sth1->fetchrow;
	print "<b>$firstname $lastname</b> ". $lex{'Rubrics Deleted'}. "<br>\n";
    }

    print "<p>[ <a href=\"$homepage\">". $lex{Main}. "</a> ]\n";
    print "</body></html>\n";

}
