#!/usr/bin/perl
#  Copyright 2001-2007 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('View Staff' => 'View Staff',
	   'Admin' => 'Admin',
	   'Name' => 'Name',
	   'User Id' => 'User Id',
	   'Home Room' => 'Home Room',
	   'E-mail' => 'E-mail',
	   'Grade' => 'Grade',
	   


	   );

use DBI;
use CGI;

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;

# Read config variables
require "ppp.conf" || die "Cannot read ppp.conf!";
require "$globdir/global.conf" || die "Cannot read the global.conf file!";

# Print Page Header
print "$doctype\n<html><head><title>". $lex{'View Staff'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"/ppp.css\" type=\"text/css\">\n";
print "</head><body>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
print "<center><h1>". $lex{'View Staff'}. "</h1>\n";


foreach my $database (keys %dbase) { # defined in global config file.

    my $dsn = "DBI:mysql:$database";
    my $dbh = DBI->connect($dsn,$guser,$gpassword);

    $sth = $dbh->prepare("select lastname, firstname, userid, homeroom, email, grade from staff 
      order by lastname, firstname");
    $sth->execute;
    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

    print "<h2>$dbase{$database}</h2>\n";
    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
    print "<tr><th>". $lex{Name}. "</th><th>". $lex{'User Id'}. "</th><th>". $lex{'Home Room'}. "</th>";
    print "<th>". $lex{'E-mail'}. "</th><th>". $lex{Grade}. "</th></tr>\n";

    while ( my ($lastname, $firstname, $userid, $homeroom, $email, $grade) = $sth->fetchrow){
	print "<tr><td><b>$lastname</b>, $firstname</td><td>$userid</td><td>$homeroom</td>\n";
	print "<td><a href=\"mailto:$email\">$email</a></td><td>$homeroom</td></tr>\n";
    }
    print "</table>\n";
}

print "</body></html>\n";
