#!/usr/bin/perl
#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# Used to add an objective to a subject category.

use DBI;
use CGI;

$q = new CGI;

# Http Header to return
print $q->header; 

%arr = $q->Vars;

# Read config variables
do "ppp.conf" || die "Cannot read ppp.conf!";
do "$globdir/global.conf" || die "Cannot read the global.conf file!";


$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

# Read in all subject categories and put in array
$sth = $dbh->prepare("select distinct category,catnum from subject 
  order by category");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die;}    
while (my ($category,$catnum) = $sth->fetchrow){
    push @catarray, "$category ($catnum)";
}

# Print Page Header
print <<"EOH";
$doctype
<html><head><title>Add an Objective</title>
<link rel="stylesheet" href="/ppp.css" type="text/css">
</head><body>[ <a href="$adminpage">Admin</a> ]
<center><h1>Adding Objective(s)</h1>

<form action="/cgi-bin/admin/subadd1.pl" method="post">
<p><input type="submit" value="Save"></p>

<table cellpadding="4" cellspacing="0" border="1">
<tr><td align="right">Select Category</td>
<td><select name="subject"><option></option>
EOH

foreach my $subject (@catarray){
    print "<option>$subject</option>\n";
}
print "</select></td></tr>\n";

print <<"EOP";
<tr><td align="right"><b>OR</b> New Category</td>
  <td><input type="text" name="newcategory" size="30"></td></tr>

<tr><td colspan="2" align="center"><b>Use ONE or the OTHER of the two above, 
but <b>Not Both!</b></td></tr>

<tr><td align="right">New Category Number</td>
  <td><input type="text" name="newcatnumber" size="8">(if new category)</td>
</tr>

<tr><td align="right">Grade</td>
  <td><input type="text" name="grade" size="6"> (if applicable)</td></tr>
EOP

for (1..10){
    $objname = "obj".$_;
    print "<tr><td align=\"right\"><i>Object $_</i></td><td> \n";
    print "<input type=\"text\" name=\"$objname\" size=\"65\"></td></tr>\n";
}

print "</table><p></p><input type=\"submit\" value=\"Save\">
</form></body></html>\n";
