#!/usr/bin/perl

#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

use DBI;
use CGI 

$q = CGI->new;

# Http Header to return
print $q->header; 

%arr = $q->Vars;

# Read config variables
do "ppp.conf" || die "Cannot read admin.conf!";
do "$globdir/global.conf" || die "Cannot read the global.conf file!";

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

# Print Page Header
print <<"EOH";
$doctype\n<html><head><title>Edit/Delete Subject Objectives</title>
<link rel="stylesheet" href="/ppp.css" type="text/css">
</head><body><a name="top"></a>[ <a href="$adminpage">Admin</a> ]
<center><h1>Edit/Delete Objectives</h1></center>
EOH

print "<p>[ ";
# Print the hyperlinks.
$sth = $dbh->prepare("select distinct catnum,category from subject 
 order by category");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die;}
while (my ($catnum, $category)= $sth->fetchrow){
    print" <a href=\"#$catnum\">$category</a> |\n";
}
print "</p>\n";
print "<table width=\"90%\" border=\"1\" cellspacing=\"0\" 
 cellpadding=\"3\">\n";

$sth = $dbh->prepare("select * from subject order by catnum,idnum");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die;}  
$rows = $sth->rows;

$newsub = "";

for ($i=1; $i <= $rows; ++$i) {
    @arr = $sth->fetchrow;
    $oldsub = $newsub;
    $newsub = $arr[1];
    if ($newsub ne $oldsub) { 
	print "<tr><td colspan=3><a name=\"$arr[1]\"></a><h2>$newsub $arr[2] [ 
         <a href=\"#top\">Top</a> ]</h2></td></tr>";
    }
    print "<tr><td><b>$arr[1]-$arr[3]:</b> $arr[5]</td>
<td><a href=\"/cgi-bin/admin/subed0.pl?recnum=$arr[0]\">Edit</a></td>
<td><a href=\"/cgi-bin/admin/subdel0.pl?recnum=$arr[0]\">Delete</a></td>
</tr>\n";
}
print "</table></center>";
print "</body></html>";
