#!/usr/bin/perl
#  Copyright 2001-2007 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('View Subjects' => 'View Subjects',
	   'Admin' => 'Admin',
	   'Objectives' => 'Objectives',

	   );

use DBI;
use CGI;

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;

# Read config variables
require "ppp.conf" || die "Cannot read admin.conf!";

my $dsn = "DBI:mysql:$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head><title>". $lex{'View Subjects'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"/ppp.css\" type=\"text/css\">\n";
print "</head><body><a name=\"top\"></a>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]
<center><h1>". $lex{Objectives}. "</h1></center>\n";

print "<p>[ ";
# Print the hyperlinks.
$sth = $dbh->prepare("select distinct catnum,category from subject 
 order by category");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
while (my ($catnum, $category)= $sth->fetchrow){
    print" <a href=\"#$catnum\">$category</a> |\n";
}
print "</p>\n";

$sth = $dbh->prepare("select * from subject order by catnum, idnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die;}
$rows = $sth->rows;

my $newcat = "";
for ($i=1; $i <= $rows; ++$i) {
    my @arr = $sth->fetchrow;
    $oldcat = $newcat;
    $newcat = $arr[1];

    if ($oldcat != $newcat) {
	print "</ul>\n" if $arr[0] != 1;
	print "<a name=\"$arr[1]\"></a><h2>$arr[1] $arr[2]\n";
	print "[ <a href=\"#top\">Top</a> ]</h2><ul>";
    }
    print "<li>$arr[3] $arr[4] $arr[5] $arr[6]</li>\n";
  
} # End of loop 

print "</ul><p>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]</p></body></html>\n";

