#!/usr/bin/perl

#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# Power Delete Script 2: passed school databases to delete eval recs.
# Part of complete student record deletion.

use DBI;
use CGI 

$q = CGI->new;

# Http Header to return
print $q->header; 

%arr = $q->Vars;
$checked = $arr{checked};

# Read config variables
require "ppp.conf" || die "Cannot read admin.conf!";
require "$globdir/global.conf" || die "Cannot read the global.conf file!";

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

# Print Page Header
print <<"EOH";
$doctype\n<html><head><title>Power Delete Complete Student Records</title>
<link rel="stylesheet" href="/ppp.css" type="text/css">
</head><body><a name="top"></a>[ <a href="$adminpage">Admin</a> ]
<center><h1>Power Delete Complete Student Records</h1>
EOH

print "<form action=\"/cgi-bin/admin/totalpwrdel2.pl\" method=\"post\">\n";
print "<input type=\"submit\" 
 value=\"Delete Complete Records of Selected Students\">\n";

foreach my $key (keys %arr){ # Loop through each database.
    if ($key eq 'checked'){ next;} # skip checked key
    print "<h2>$dbase{$key}</h2>\n";
    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">";
    print "<tr><th>Student</th><th>Select</th></tr>\n";
    $sth = $dbh->prepare("select lastname,firstname,studnum from special
     where school = ? order by lastname, firstname");
    $sth->execute( $key );
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
    while ( my ($lastname,$firstname,$studnum) = $sth->fetchrow){
	print "<tr><td><b>$lastname</b>, $firstname ($studnum)</td>\n";
	print "<td><input type=\"checkbox\" name=\"$studnum\" value=\"1\" $checked>\n";
	print "</td></tr>\n";
    }    
    print "</table>\n";

}
print "<input type=\"submit\" value=\"Delete Complete Records of Selected Students\"></form></center></body></html>";
