#!/usr/bin/perl
#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  Power Delete Evaluation Records - at year end.
#   Passed a hash of student numbers to delete. Then check for any more
#   existing records and whose they are.

use CGI;
use DBI;

$q = new CGI;

# Http Header to return
print $q->header; 

%arr = $q->Vars;

#die;

require "ppp.conf" or die "Cannot open ppp.conf!";

print "$doctype\n<html><head><title>Student Deletion Confirmation.</title>
<link rel=\"stylesheet\" href=\"/ppp.css\" type=\"text/css\">
</head><body><p>[ <a href=\"$adminpage\">Admin</a> ]
<center><h1>Student Deletion Confirmation</h1></center>\n";

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

# Tables to delete records from
$sth = $dbh->prepare("select lastname,firstname from special 
  where studnum = ?");
$sth1 = $dbh->prepare("delete from eval where studnum = ?");
$sth2 = $dbh->prepare("delete from evalmst where studnum = ?");
$sth3 = $dbh->prepare("delete from special where studnum = ?");
$sth4 = $dbh->prepare("delete from team where studnum = ?");
$sth5 = $dbh->prepare("delete from assess where studnum = ?");


foreach my $studnum (keys %arr){
    # Get Student Name
    $sth->execute($studnum);
    my ($lastname,$firstname) = $sth->fetchrow;

    # Delete his/her records
    $sth1->execute($studnum);
    $sth2->execute($studnum);
    $sth3->execute($studnum);
    $sth4->execute($studnum);
    $sth5->execute($studnum);
    if ($DBI::errstr) {
	print " Record Deletion Failed. Please contact $adminname<br>
         $DBI::errstr \n";
    } 
    print "<p>All records of $firstname $lastname deleted.</p>\n";
}

print "<p>[ <a href=\"$adminpage\">Admin</a> ]</p>\n";
print "</center></body></html>";
