#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

my %lex = ('Delete Assessment Record' => 'Delete Assessment Record',
	   'Main' => 'Main',
	   'Name' => 'Name',
	   'Error' => 'Error',
	   'Are you sure you want to delete this record?' => 
	     'Are you sure you want to delete this record?',
	   'Yes, delete the record!' => 'Yes, delete the record!',
	   'Description' => 'Description',
	   'Record Deletion Failed' => 'Record Deletion Failed',
	   'Contact' => 'Contact',
	   'Record deleted' => 'Record deleted',
	   'View/Edit/Delete Assessment Records' => 'View/Edit/Delete Assessment Records',

	   );

my $self = 'asdel.pl';

use CGI;
use DBI;
use CGI::Session;

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $self:$@<br>\n";
    die $lex{Error}. " $self:$@\n";
}

my $q = new CGI;
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


# Get Session
my $session = new CGI::Session("driver:$dbtype;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

if ( not $session->param('logged_in') ){
    $userid = $session->param('userid');
    print $q->header;
    print "$doctype\n<html><head>\n";
    print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\"></head><body>\n";
    print "[ <a href=\"$iephome\">". $lex{Main}. "</a> ]\n";
    print "<form action=\"login.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"userid\" value=\"$userid\">\n";
    print "<input type=\"hidden\" name=\"script\" value=\"$self\">\n";
    print "<input type=\"submit\" value=\"". $lex{'Please Log In'}. "\">\n";
    print "</form></center></body></html>\n";
    die;
}

my $userid = $session->param('userid');
my $schooldbase = $session->param('schooldbase');

# Reset Login time
my $duration = $session->param('duration');
$session->expire('logged_in', $duration );

print $session->header;

# Get User Name
my $sth = $dbh->prepare("select lastname, firstname from educator where userid = ?");
$sth->execute( $userid );
if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
my ( $lastname, $firstname ) = $sth->fetchrow;

# Page Header.
print "$doctype\n<html><head><title>". $lex{'Delete Assessment Record'}. "</title>
<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">
</head><body>[ <a href=\"$iephome\">". $lex{Main}. "</a> ] $firstname $lastname\n";

print "<center><h1>". $lex{'Delete Assessment Record'}. "</h1>\n";

if ( $arr{itemid} ) {
    deleteRecord();
}

my $sth = $dbh->prepare("select * from assess, special 
  where assess.id = ? and assess.studnum = special.studnum"); 
$sth->execute( $arr{id} );
if ($DBI::errstr){print "$DBI::errstr"; die $DBI::errstr; }
my @arr = $sth->fetchrow;


print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\">\n";
print "<tr><th align=\"right\">". $lex{Name}. "</th>
<td><b>$arr[8] $arr[7] ($arr[1])</b></td></tr>
<tr><th align=\"right\">". $lex{Description}. "</th>
<td><b>$arr[2]<br>$arr[5]</b></td></tr></table>\n";


print "<p><em>". $lex{'Are you sure you want to delete this record?'}. "</em></p>
<form action=\"$self\" method=\"post\">
<input type=\"hidden\" name=\"itemid\" value=\"$arr{id}\">
<input type=\"submit\" value=\"". $lex{'Yes, delete the record!'}. "\"></center>
</form></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    #foreach my $key ( keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from assess where id = ?");
    $sth->execute( $arr{itemid} );

    if ($DBI::errstr) {
	print $lex{'Record Deletion Failed'}. ". ". $lex{Contact}. " $adminname.<br>\n";
	print $lex{Error}. " $DBI::errstr <br>\n";
    } else {
	print "<h2>". $lex{'Record deleted'}. ".</h2>\n";
    }

    print "<p>[ <a href=\"$iephome\">". $lex{Main}. "</a> |\n";
    print "<a href=\"asdeled.pl\">". $lex{'View/Edit/Delete Assessment Records'}. "</a> ]\n"; 
    print "</center></body></html>\n";

    exit;

};
