#!/usr/bin/perl
#  Copyright 2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Duplicate Check!' => 'Duplicate Check!',
	   'Duplicate Student Number Checking' => 'Duplicate Student Number Checking',
	   'Duplicate for id number' => 'Duplicate for id number',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

# Check for duplicates

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;


# Read config variables
eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select id, studnum, subnum, term from eval
 order by studnum, subnum, term");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

print "$doctype\n<title>". $lex{'Duplicate Check!'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"/admin.css\" type=\"text/css\">
</head><body>\n";
print "<center><h1>". $lex{'Duplicate Student Number Checking'}. "</h1>\n";

my $currstud = -1;
my $currtrm = -1;
my $currsubj = -1;

while (my ( $id, $studnum,$subnum, $term ) = $sth->fetchrow ) {
    $oldstud = $currstud;
    $currstud = $studnum;

    $oldtrm = $currtrm;
    $currtrm = $term;

    $oldsubj = $currsubj;
    $currsubj = $subnum;
    print "ID: $id SN: $studnum SUB: $subnum TRM: $term \n";

    if ($currstud == $oldstud and $currtrm == $oldtrm and $currsubj == $oldsubj) { 
	print $lex{'Duplicate for id number'}. ": $id - $currstud - $currsub<br>\n\n";
    }
}

print "</body></html>\n";
