#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.
#  Script 2 of Multi-Day Entry. Allow the addition of reasons.

my %lex = ('Multi-Day Attendance - Reason Entry' => 'Multi-Day Attendance - Reason Entry',
	   'Attendance' => 'Attendance',
	   'Save Attendance Records' => 'Save Attendance Records',
	   'Period' => 'Period',
	   'Name' => 'Name',
	   'Date / Period' => 'Date / Period',
	   'Reason' => 'Reason',
	   'Error' => 'Error',

	);

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


# Html heading
print "$doctype\n<html><head><title>";
print $lex{'Multi-Day Attendance - Reason Entry'};
print "</title>\n<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n";
print "$chartype\n</head><body>[ <a href=\"$attpage\">". $lex{Attendance}. "</a> ]<center>\n";
print '<h1>'. $lex{'Multi-Day Attendance - Reason Entry'} . "</h1>\n";

# Form start
print "<form action=\"attentrymd2.pl\" method=\"post\">
<input type=\"submit\" value=\"". $lex{'Save Attendance Records'}. "\">
<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
print '<tr><th>'. $lex{Name}. '</th><th>'. $lex{'Date / Period'};
print '</th><th>'. $lex{Reason}. "</th></tr>\n";

my $sth = $dbh->prepare("select lastname, firstname from studentall where studnum = ?");

foreach my $key ( sort keys %arr ) {

    my ($studnum,$date,$period) = split /:/,$key;
    $sth->execute($studnum);
    if ($DBI::errstr){ die $DBI::errstr;}
    my ($lastname, $firstname) = $sth->fetchrow;

    print "<tr><td><b>$lastname</b>, $firstname</td><td>$date <i>";
    print $lex{Period}. ":</i> $period</td>";
    print "<td><select name=\"$key\"><option></option>\n";
    foreach my $reason (@attend){
	print "<option>$reason</option>\n";
    }
    print"</td></tr>\n";
}

print "</table><input type=\"submit\" value=\"". $lex{'Save Attendance Records'}. "\">\n";
print "</form></center></body></html>\n";
