#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Add a new Category' => 'Add a new Category',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',
	   'Your categories are now stored' => 'Your categories are now stored',
	   'There was an error storing your data' => 'There was an error storing your data',
	   'Please contact' => 'Please contact',
	   'Please record the following error' => 'Please record the following error',
	   'Add More Infraction Types' => 'Add More Infraction Types',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;



print "$doctype\n<html><head><title>". $lex{'Add a new Category'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";

print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]<center>\n";

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

for my $i (1..6) {
    my $category = "cat$i";
    if ($arr{$category}) { # We have a category entry

         $sth = $dbh->prepare("insert into infraction values ($sql{default}, ? )");
         $sth->execute( $arr{$category} );
         if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

     } # End of If for course Entry

} # End of Counted Loop


if (not $DBI::errstr ) {
    print "<h3>". $lex{'Your categories are now stored'}. ".</h3></p>\n";
} else {
    print "<h3>". $lex{'There was an error storing your data'}. '. ';
    print $lex{'Please contact'}. " $adminname <a href=\"mailto:$adminemail\">$adminname</a>\n";
    print $lex{'Please record the following error'}. " $DBI::errstr</h3></p>\n";
}

print "<p>[ <a href=\"$discpage\">". $lex{Discipline}. "</a> | \n";
print "<a href=\"catadd0.pl\">". $lex{'Add More Infraction Types'}. "</a> ]\n";
print "</p></center></body></html>\n";

