#!/usr/bin/perl
#  Copyright 2001-2007 Leslie Richardson
#  Update by Kevin Waddell

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Results of Record Deletion' => 'Results of Record Deletion',
	   'Record Deletion Failed. Please contact' => 'Record Deletion Failed. Please contact',
	   'One Student Discipline Record deleted.' => 'One Student Discipline Record deleted.',
	   'Main' => 'Main',
	   'Discipline Page' => 'Discipline Page',
	   'Edit/Delete Discipline Records' => 'Edit/Delete Discipline Records',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',

	  );

use CGI;
use DBI;

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;

my $deletedrecord = $arr{itemid}; 

require "../../etc/admin.conf" or die "Cannot read admin.conf!";

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("delete from discipline where id = ?");
$sth->execute( $deletedrecord );

print "$doctype\n<html><head><title>". $lex{'Results of Record Deletion'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">$chartype\n</head><body><center>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]\n";


if ($DBI::errstr) {
    print $lex{'Record Deletion Failed. Please contact'}. " $adminname<br>\n";
    print "$DBI::errstr\n";
} else {
    print "<h3>". $lex{'One Student Discipline Record deleted.'}. "</h3>\n";
}

print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | ";
print "<a href=\"$discpage\">". $lex{'Discipline Page'}. "</a> | ";
print "<a href=\"discdeled.pl\">". $lex{'Edit/Delete Discipline Records'}. "</a> ]\n"; 
print "</center></body></html>\n";
