#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson
#  Update by Kevin Waddell

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Results of Infraction Deletion' => 'Results of Infraction Deletion',
	   'Record Deletion Failed. Please contact' => 'Record Deletion Failed. Please contact',
	   'Infraction Type Record Deleted.' => 'Infraction Type Record Deleted.',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',
	   'Error' => 'Error',


	  );

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;
$deletedrecord = $arr{id}; 

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("delete from infraction where id = ?");
$sth->execute( $deletedrecord );

print "$doctype<html><head><title>". $lex{'Results of Infraction Deletion'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n$chartype\n</head><body><center>\n";

if ($DBI::errstr) {
    print $lex{'Record Deletion Failed. Please contact'}. " $adminname<br>$DBI::errstr\n";
} else {
    print "<h3>". $lex{'Infraction Type Record Deleted.'}. "</h3>\n";
}

print " [ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]\n"; 

print "</center></body></html>\n";
