#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson
#  Update by Kevin Waddell

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Delete Infraction Types' => 'Delete Infraction Types',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',
	   'Delete Infraction Types' => 'Delete Infraction Types',
	   'Infraction Type' => 'Infraction Type',
	   'Delete' => 'Delete',
	   'Error' => 'Error',

	  );
	 
use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $q = CGI->new;
print $q->header( -charset, $charset ); 


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select * from infraction order by name");
$sth->execute;

print "$doctype\n<html><head><title>". $lex{'Delete Infraction Types'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]\n";
print "<center><h1>". $lex{'Delete Infraction Types'}. "</h1>\n";

print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">\n";
print "<tr><th>". $lex{'Infraction Type'}. "</th><th>". $lex{Delete}. "</th></tr>";

while (@arr = $sth->fetchrow){
    print "<tr><td><b>$arr[1]</b></td><td><a href=\"infdel0.pl?id=$arr[0]\">\n";
    print "<b>". $lex{Delete}. "</b></a></td></tr>\n";
}

print "</table></center></body></html>\n";
