#! /usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Delete Dates' => 'Delete Dates',
	   'Main' => 'Main',
	   'Eoy' => 'Eoy',
	   'Are you sure?' => 'Are you sure?',
	   'Normally dates are only erased at the start of the year' => 
	     'Normally dates are only erased at the start of the year',
	   'Yes, erase all dates!' => 'Yes, erase all dates!',
	   'Record(s) Deleted' => 'Record(s) Deleted',
	   'Error' => 'Error',

	   );

my $self = 'datedelall.pl';

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


print "$doctype\n<html><head><title>". $lex{'Delete Dates'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print " <a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";

if ( $arr{emptydate} ) {
    deleteAll();
}


print "<center><h1>". $lex{'Are you sure?'}. "</h1>\n";
print "<p>". $lex{'Normally dates are only erased at the start of the year'}. ".</p>\n";

print "<p><form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"emptydate\" value=\"1\">\n";
print "<input type=\"submit\" value=\"". $lex{'Yes, erase all dates!'}. "\"></form></p>\n";

print "</center></body></html>\n";


#------------
sub deleteAll {
#------------

    $sth = $dbh->prepare("delete from dates");
    $sth->execute;
    
    if ( not $DBI::errstr ) {
	print "<center><h1>". $lex{'Record(s) Deleted'}. ".</h1>\n";
    } else {
	print "<center><h1>". $lex{Error}. " $DBI::errstr</h1>\n";
    }

    #print "[ <a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";
    print "</center></body></html>\n";

    exit;

} # End of deleteAll
