#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Edit/Delete Dates' => 'Edit/Delete Dates',
	   'Eoy' => 'Eoy',
	   'Main' => 'Main',
	   'Date' => 'Date',
	   'Edit' => 'Edit',
	   'Delete' => 'Delete',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

# Read config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


my $sth = $dbh->prepare("select id, date, type, desc1 from dates order by date");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

print "$doctype\n<html><head><title>". $lex{'Edit/Delete Dates'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print "<a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";
print "<center><h1>". $lex{'Edit/Delete Dates'}. "</h1>\n";

print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">\n";
print "<tr><th>". $lex{Date}. "</th><th>". $lex{Edit}. "</th><th>";
print $lex{Delete}. "</th></tr>\n";

while ( my ( $id, $date, $type, $desc1 ) = $sth->fetchrow ) {
    print "<tr><td><b>$date</b> - $desc1 ($type)</td>\n";
    print "<td><a href=\"dated.pl?id=$id\">". $lex{Edit}. "</a></td>\n";
    print "<td><a href=\"datedel.pl?id=$id\">". $lex{Delete}. "</a></td></tr>\n";
}

print "</table></center></body></html>\n";
