#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# This is still the klunky old stuff not based on meta or templates, yet.

my %lex = ('View Staff Records' => 'View Staff Records',
	   'Main' => 'Main',
	   'Eoy' => 'Eoy',
	   'Staff' => 'Staff',
	   'Preregistration' => 'Preregistration',
	   'Click on <b>Name</b> to Edit Record' => 'Click on <b>Name</b> to Edit Record',
	   'Name' => 'Name',
	   'Position' => 'Position',
	   'UserID' => 'UserID',
	   'Password' => 'Password',
	   'Hm Rm' => 'Hm&nbsp;Rm',
	   'Grade' => 'Grade',
	   'E-mail' => 'E-mail',
	   'Phone' => 'Phone',
	   'Address' => 'Address',
	   'Att' => 'Att',
	   'Emergency' => 'Emergency',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

# Select table to view; staff or prereg_staff;
my ($table, $tableview);
if ( $arr{tbl} ){ # view prereg_staff table
    $table = 'prereg_staff';
    $tableview = "<font color=\"red\">". $lex{Preregistration}.
    '</font>'. q{ }. $lex{Staff};
} else {
    $table = 'staff';
    $tableview = $lex{Staff};
}


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


my %m;
# Create mapping hash between name and the array index variable of value.
$sth = $dbh->prepare("select fieldid, arrayidx from meta 
  where tableid = 'staff' order by arrayidx");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die "$DBI::errstr";}
while (my ($fi,$idx) = $sth->fetchrow) {
    $m{$fi} = $idx;
}

$sth = $dbh->prepare("select * from $table order by lastname, firstname");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die "$DBI::errstr";}

print "$doctype\n<html><head><title>";
print $lex{'View Staff Records'};
print "</title><link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">";
print "$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print " <a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";
print "<center><h1>$schoolname $tableview</h1>\n";
print $lex{'Click on <b>Name</b> to Edit Record'};
print "\n";

print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">\n";
print "<tr><th>". $lex{Name}."/". $lex{'E-mail'}. "</th><th>";
print $lex{Position}.'/'.$lex{Emergency}. "</th>\n";
print "<th>". $lex{UserID}. "<br>\n";
print $lex{Password}. "</th><th>";
print $lex{'Hm Rm'};
print "<br>". $lex{Grade}. "</th><th>\n";
print $lex{Phone}. "</th><th>". $lex{Address}. "</th><th>";
print $lex{Att}. "</th></tr>\n";

while ( my @arr = $sth->fetchrow ){
    print "<tr style=\"line-height: 120%;\">\n<td>";
    if ( $arr{tbl} ) {
	print "<a href=\"staffed.pl?id=$arr[0]&tbl=prereg\">\n";
    } else {
	print "<a href=\"staffed.pl?id=$arr[0]\">\n";
    }
    print "<b>$arr[$m{lastname}]</b></a>,\n";
    print "$arr[$m{sal}] $arr[$m{firstname}] $arr[$m{middlename}]<br>";
    print "$arr[$m{email}]</td>\n";
    print "<td>$arr[$m{position}]<br><b>Em:</b>$arr[$m{emergency_contact_name}] ";
    print "$arr[$m{emergency_contact_phone}]</td>\n";
    print "<td>U:$arr[$m{userid}]<br>P:$arr[$m{passwd}]</td>\n";
    print "<td>$arr[$m{homeroom}]<br>Gr:$arr[$m{grade}]</td>\n";
    print "<td>$arr[$m{home_phone}]H<br>$arr[$m{cell_phone}]C</td>\n";
    print "<td>$arr[$m{street}] $arr[$m{city}]<br>$arr[$m{prov}] $arr[$m{pcode}]</td>\n";
    print "<td>$arr[$m{doatt}]</td></tr>\n";
}
print "</table></body></html>\n";

