#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# Export Contact Name, rather than Student Name

my %lex = ('Main' => 'Main',
	   'Export' => 'Export',
	   'Export Students to Gabriel Library System' => 
	     'Export Students to Gabriel Library System',
	   'Download Gabriel Student File' => 'Download Gabriel Student File',
	   'Cannot open' => 'Cannot open',
	   'Error' => 'Error',

	   );


use DBI;
use CGI;
use Text::CSV_XS;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $q = CGI->new;
print $q->header( -charset, $charset );

my $csv = Text::CSV_XS->new();

# Open output file
$fileName = "dbase.tsv";
open (EX,">$fileName") || die $lex{'Cannot open'}. " Export file $fileName\n";

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Comment out the staff export stuff. 
# my $sth = $dbh->prepare("select lastname, firstname, userid,passwd,
# homeroom, grade from staff");
# $sth->execute;
# while ( my ($lname,$fname,$userid,$passwd,$homeroom,$grade) = $sth->fetchrow){
#    print EX "\t$lname\t$fname\t\t\t\t\t$grade\t$userid\t$passwd\t2\t\t$homeroom\t\n";
# }

my $sth = $dbh->prepare("select studnum,lastname,firstname,sex,grade,
 birthdate,hphone1,homeroom from student order by lastname, firstname");
$sth->execute;
while ( my ($studnum,$lastname,$firstname,$sex,$grade,$birthdate,$hphone1,
 $homeroom) = $sth->fetchrow ) {
    print EX "$studnum\t$lastname\t$firstname\t$sex\t$birthdate\t\t$hphone";
    print EX "\t$grade\t$userid\tabc123\t1\t\t$homeroom\t\n";
}

print "$doctype\n<html><head><title>";
print $lex{'Export Students to Gabriel Library System'}. "</title>
<link rel=\"stylesheet\" type=\"text/css\" href=\"$css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$exppage\">". $lex{Export}. "</a> ]\n";
print "<center><h1>". $lex{'Export Students to Gabriel Library System'}. "</h1>\n";

close EX;
system("mv $fileName $downloaddir");

print "<h1>[ <a href=\"$webdownloaddir/$fileName\">";
print $lex{'Download Gabriel Student File'}. "</a> ]</h1>\n";
print "</center></body></html>\n";
