#! /usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Empty Preregistration Table' => 'Empty Preregistration Table',
	   'Eoy' => 'Eoy',
	   'Main' => 'Main',
	   'Are you sure?' => 'Are you sure?',
	   'This will remove all student pre-registration entries.' => 
	     'This will remove all student pre-registration entries.',
	   'Make sure that all of your pre-registered students are present in the student table.' =>
	     'Make sure that all of your pre-registered students are present in the student table.',
	   ' ie. They are visible when you go to edit students.' =>
	    ' ie. They are visible when you go to edit students.',
	   'Empty the Student Pre-registration table!' => 
	   'Empty the Student Pre-registration table!',
	   'Your student pre-registration table has been emptied.' =>
	     'Your student pre-registration table has been emptied.',
	   'There was an error emptying the table' => 'There was an error emptying the table',
	   'Record the following error' => 'Record the following error',
	   'Contact' => 'Contact',
	   'Error' => 'Error',

	   );

my $self = 'preregempty.pl';

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


print "$doctype\n<html><head><title>". $lex{'Empty Preregistration Table'};
print "</title>\n<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n";
print "<style type=\"text/css\">body { margin: 2em;}</style>
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";

if ( $arr{emptyflag} ) {
    delete $arr{emptyflag};
    deleteRecords();
}

print "<center><h1>". $lex{'Are you sure?'}. "</h1>\n";

print "<p>". $lex{'This will remove all student pre-registration entries.'}. "<br>\n";
print $lex{'Make sure that all of your pre-registered students are present in the student table.'}. ".\n";
print $lex{' ie. They are visible when you go to edit students.'}. "</p>\n";

print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"emptyflag\" value=\"1\">\n";
print "<input type=\"submit\" value=\"". $lex{'Empty the Student Pre-registration table!'};
print "\"></form></p>\n";

#print "[ <a href=\"$eoypage\">". $lex{Eoy}. "</a> ]

print "</body></html>\n";


#---------------
sub deleteRecords {
#---------------

    # Empty out date table.
    $sth = $dbh->prepare("delete from prereg");
    $sth->execute;


    if (not $DBI::errstr){
	print "<center><h1>";
	print $lex{'Your student pre-registration table has been emptied.'}. "</h1>\n";
    } else {
	print "<h3>". $lex{'There was an error emptying the table'}. ".<br>\n";
	print $lex{Contact}. " $adminname at <a href=\"mailto:$adminemail\">$adminemail</a>\n";
	print $lex{'Record the following error'}. ": $DBI::errstr</h3>\n"; 

    }

    print "[ <a href=\"$eoypage\">". $lex{Eoy}. "</a> ]</body></html>\n";

    exit;

}
