#! /usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my $self = 'saliasdel.pl';
my %lex = ('Delete Subject Aliases' => 'Delete Subject Aliases',
	   'Are you sure' => 'Are you sure',
	   'Erase all subject aliases' => 'Erase all subject aliases',
	   'Main' => 'Main',
	   'Report Card' => 'Report Card',
	   'Your subject aliases have been erased' => 'Your subject aliases have been erased',
	   'Please use the alias update script to put in new (more organized) ones' =>
	     'Please use the alias update script to put in new (more organized) ones',
	   'Error' => 'Error',

	   );


use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head><title>". $lex{'Delete Subject Aliases'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print "<a href=\"$reppage\">". $lex{'Report Card'}. "</a> ]\n";


if ( $arr{flag} ) {
    deleteRecord();
    die;
}

print "<h1>". $lex{'Delete Subject Aliases'}. "</h1>\n";

print "<p>Normally subject aliases are only erased at the start of the year<br>
in order to &quot;reset&quot; all aliases for the new subjects. During the year,<br>
you only have to update the aliases if new subjects are added.<br>
Since these may be used to enter attendance make <b>sure</b> that all<br>
teachers know about any new subject aliases.</p>\n";

print "<h1>". $lex{'Are you sure'}. "?</h1>\n";

print "<p><form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"flag\" value=\"1\">\n";
print "<input type=\"submit\" value=\"". $lex{'Erase all subject aliases'};
print "!\"></form></p>\n";

print "<p>[ <a href=\"$reppage\">Report Card Page</a> ]</p>
</center></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    # Empty out the alias field in subjects.
    my $sth = $dbh->prepare("update subject set alias = $sql{default}");
    $sth->execute;
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }

    print "<h1>". $lex{'Your subject aliases have been erased'}. ".</h1>\n";
    print "<p>". $lex{'Please use the alias update script to put in new (more organized) ones'}. ".</p>\n";

    print "[ <a href=\"$reppage\">Report Card Page</a> ]\n";
    print "</body></html>\n";

}
