#!/usr/bin/perl
#  Copyright 2001-2005 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  Open Admin for Schools is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

use DBI;
use CGI;

require "../../etc/admin.conf" or die "checkhsn.pl: Cannot open admin.conf!";

$q = new CGI;

# Http Header to return
print $q->header; 

%arr = $q->Vars;

$dsn = "DBI:$dbtype:dbname=$dbase";
$dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head>
<title>Check Provincial Health Number Parity</title>
<link rel=\"stylesheet\" type=\"text/css\" href=\"$css\">
$chartype\n</head><body><a name=\"top\"></a>[ <a href=\"$homepage\">Main</a> |
<a href=\"$exppage\">Export</a> ]
<center><h1>Check Provincial Health Services Number Parity</h1>
<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">
<tr><th>Error</th><th>Student</th></tr>\n";


$sth = $dbh->prepare("select * from student 
  order by lastname, firstname");
$sth->execute;
if ($DBI::errstr){print "$DBI::errstr \n"; die "DBI::errstr";}

$errflag = 0;

while (@student = $sth->fetchrow){
    if ($student[10]) { # They have a prov number  
	$student[10] =~ s/ //g;  # strip spaces
	if (checkhn($student[10])){
	  print "<tr><td><b><font color=\"red\">Parity Error</font></b></td>";
	  print" <td><i>$student[1]</i>, $student[2]";
	  print " $student[3] ($student[4]) - HSN#: $student[10]</td></tr>\n";
	  $errflag = 1;
	}  
    } else {
	print "<tr><td><b>No Health Services Number</b></td>";
        print "<td><i>$student[1]</i>, $student[2] $student[3]";
	print "($student[4])</td></tr>\n";
	$errflag = 1;
    }
} # end of reading loop

print "</table>\n";
if ($errflag){
    print "<p><b>Please recheck/enter the provincial health services numbers 
     for those students listed above!</b></p>\n\n";
} else {
    print "<p>All provincial health services numbers have passed a 
     parity check!</p>\n";
}
print "<p>[ <a href=\"#top\">Top</a> ]</p></body></html>\n";


sub checkhn {
    my $hn = shift;
    my @hn = split(//,$hn);
    my ($i, $total);
    foreach my $num (reverse @hn){
	$i++;
	$num *= $i;
	$total += $num;
    }
    my $remainder = $total % 11;  # should be zero, if correct.
}

