#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# This is still the klunky old stuff not based on meta or templates, yet.

# View Language Proficiency

my %lex = ('View English Proficiency' => 'View English Proficiency',
	   'Main' => 'Main',
	   'English Proficiency' => 'English Proficiency',
	   'Name' => 'Name',
	   'Proficiency' => 'Proficiency',
	   'Home Lang' => 'Home Lang',
	   'Survey' => 'Survey',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

# Read config variables
eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my %m;
# Create mapping hash between name and the array index variable of value.
$sth = $dbh->prepare("select fieldid, arrayidx from meta where tableid = 'student' 
  order by arrayidx");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
while (my ($fi,$idx) = $sth->fetchrow) {
    $m{$fi} = $idx;
}

$sth = $dbh->prepare("select * from student order by lastname, firstname");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die "$DBI::errstr";}

print "$doctype\n<html><head><title>";
print $lex{'View English Proficiency'};
print "</title><link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">";
print "$chartype\n</head><body>[ <a href=\"$homepage\">";
print $lex{Main}. "</a> ]\n";
print "<center><h1>$schoolname ". $lex{'English Proficiency'}. "</h1>\n";

print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">\n";
print "<tr><th>". $lex{Name}. "</th><th>". $lex{'Proficiency'}. "</th><th>";
print $lex{Survey}. '</th><th>'.$lex{'Home Lang'}. "</th>\n";


while (@arr = $sth->fetchrow){
    print "<tr style=\"line-height: 120%;\">\n<td><b>$arr[$m{lastname}]</b>,\n";
    print "$arr[$m{firstname}] $arr[$m{initial}]</td>\n";
    print "<td>$arr[$m{eng_prof}]</td><td>$arr[$m{eng_survey}]</td>\n";
    print "<td>$arr[$m{eng_prime_lang}]</td></tr>\n";
}
print "</table></body></html>";

