#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

my %lex = ('Delete Chips' => 'Delete Chips',
	   'Main' => 'Main',
	   'Name' => 'Name',
	   'Are you sure you want to delete this record?' => 
	     'Are you sure you want to delete this record?',
	   'Delete the Record' => 'Delete the Record',
	   'Description' => 'Description',
	   'Chips Deleted' => 'Chips Deleted',
	   'View/Edit/Delete Chips' => 'View/Edit/Delete Chips',
	   'Error' => 'Error',
	   'Yes' => 'Yes',

	   );

my $self = 'chipdel.pl';

use CGI;
use DBI;


eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;
my $id = $arr{id};


my $dsn = "DBI:$dbtype:$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select studnum, cdate, ccode, category, comment
 from choices where id = ?"); 
$sth->execute($id);
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}
my ($studnum, $cdate, $ccode, $category, $comment) = $sth->fetchrow;

# Get Student Name
my $sth = $dbh->prepare("select lastname, firstname from studentall where studnum = ?");
$sth->execute($studnum);
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}
my ($lastname, $firstname) = $sth->fetchrow;


# Page Header.
print "$doctype\n<html><head><title>". $lex{'Delete Chips'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
</head><body>[ <a href=\"$tchpage\">". $lex{Main}. "</a> ]
<center><h1>". $lex{'Delete Chips'}. "</h1>\n";

if ($arr{flag}) {
    delete $arr{flag};
    deleteRecord();
    die;
}


print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\">\n";
print "<tr><th align=\"right\"><b>". $lex{Name}. "</b></td>
  <td>$firstname $lastname ($studnum)</td></tr>
<tr><th align=\"right\"><b>". $lex{Description}. "</b></td>
<td>$cdate<br>$ccode - $category<br>$comment</td></tr>  
</table>\n";


print "<p><em>". $lex{'Are you sure you want to delete this record?'}. "</em></p>
<form action=\"$self\" method=\"post\">
<input type=\"hidden\" name=\"id\" value=\"$id\">
<input type=\"hidden\" name=\"flag\" value=\"1\">
<input type=\"submit\" value=\"". $lex{Yes}. q{, }. $lex{'Delete the Record'}. "\"></center>
</form></body></html>\n";



#---------------
sub deleteRecord {
#---------------
    #foreach my $key (keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from choices where id = ?"); 
    $sth->execute($id);
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}

    print '<p><b>'. $lex{'Chips Deleted'}. "</b></p>\n";
    print "<p>[ <a href=\"$tchpage\">". $lex{Main}. "</a> |\n";
    print "<a href=\"chipdeled.pl\">". $lex{'View/Edit/Delete Chips'}. "</a> ]</p>\n";

    print "</body></html>\n";


}
