#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Gradebook Reports' => 'Gradebook Reports',
	   'GB&nbsp;Main' => 'GB&nbsp;Main',
	   'Main' => 'Main',
	   'Reports' => 'Reports',
	   'for this subject' => 'for this subject',
	   'Blank Mark Sheets' => 'Blank Mark Sheets',
	   'Student Marks (PDF) - by subject then by student' =>
	     'Student Marks (PDF) - by subject then by student',
	   'Student Marks - by Student' => 'Student Marks - by Student',
	   'Student Marks (PDF) - by student then subject' =>
	     'Student Marks (PDF) - by student then subject',
	   'Student Passwords' => 'Student Passwords',
	   'View Student Passwords - All (Web)' => 'View Student Passwords - All (Web)',
	   'Please Log In' => 'Please Log In',
	   'Student Marks - by Subject' => 'Student Marks - by Subject',
	   'Error' => 'Error',

	   );

use DBI;
use CGI::Session;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " : $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
my $q = CGI->new;

# Get Session Information...
my $session = new CGI::Session("driver:mysql;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

my $logged_in = $session->param('logged_in');
my $userid = $session->param('userid');

print $q->header( -charset, $charset );

print "$doctype\n<html><head><title>". $lex{'Gradebook Reports'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$tchpage\">". $lex{Main}. "</a> |\n";
print "<a href=\"gbmain.pl\">". $lex{'GB&nbsp;Main'}. "</a> ]\n";
print "<h1>". $lex{Reports}. "</h1>\n";

if ( not $logged_in ){
    print $lex{'Please Log In'};
    print "</body></html>\n";
    die;
}
# Ok, we have a login. Values below we have in environment.

# Print Reports Line
print "<div id=\"reports\"><ol style=\"line-height: 160%\">\n";

print "<li><a href=\"rptmarksheet.pl\" title=\"";
print $lex{'Blank Mark Sheets'}. q{ }. $lex{'for this subject'};
print "\">". $lex{'Blank Mark Sheets'}. "</a></li>\n";

print "<li><a href=\"rptsubj.pl\" title=\"";
print $lex{'Student Marks (PDF) - by subject then by student'};
print "\">". $lex{'Student Marks - by Subject'}. "</a></li>\n";

print "<li><a href=\"rptstud.pl\" title=\"";
print $lex{'Student Marks (PDF) - by student then subject'};
print "\">". $lex{'Student Marks - by Student'}. "</a></li>\n";

print "<li><a href=\"rptstudpwd.pl\" title=\"";
print $lex{'View Student Passwords - All (Web)'};
print "\">". $lex{'Student Passwords'}. "</a></li>\n";

print "</ol></div>\n";
print "</center></body></html>\n";
