#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Edit/Delete Assessment Items' => 'Edit/Delete Assessment Items',
	   'GB&nbsp;Main' => 'GB&nbsp;Main',
	   'Main' => 'Main',
	   'Date' => 'Date',
	   'Name' => 'Name',
	   'Description' => 'Description',
	   'Group' => 'Group',
	   'Edit' => 'Edit',
	   'Delete' => 'Delete',
	   'No Subject Found' => 'No Subject Found',
	   'Error' => 'Error',
	   'Please Log In' => 'Please Log In',

	   );

use DBI;
use CGI;
use CGI::Session;

my $q = new CGI;
my %arr = $q->Vars;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@<br>\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Get Session Information...
my $session = new CGI::Session("driver:mysql;serializer:FreezeThaw",
 undef,{Handle => $dbh}) or die CGI::Session->errstr;

my $logged_in = $session->param(logged_in);
if ( not $logged_in ) {
    print $q->header( -charset, $charset );
    print $lex{'Please Log In'}. "<br>\n";
    die;
}

my $subjsec = $session->param('subjsec');
print $q->header( -charset, $charset ); 


my $sth = $dbh->prepare("select description from subject where subjsec = ?");
$sth->execute( $subjsec );
if ($DBI::errstr){ print $DBI::errstr; die "$DBI::errstr:$!\n";}
my $subject = $sth->fetchrow;

$sth = $dbh->prepare("select id, tdate, name, description, grp from gbtest 
  where subjsec = ? order by tdate, grp");
$sth->execute( $subjsec );
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }


print "$doctype\n<html><head><title>". $lex{'Edit/Delete Assessment Items'};
print "</title>\n<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$tchpage\">". $lex{Main};
print "</a> | <a href=\"gbmain.pl\">". $lex{'GB&nbsp;Main'};
print "</a> ]\n<center><h1>";
print $lex{'Edit/Delete Assessment Items'}. " - $subject</h1>\n";

if (not $subjsec){
    print '<h1>'. $lex{'No Subject Found'}. "</h1>\n";
    die;
}

print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">";
print '<tr><th>'. $lex{Name}. '</th><th>'. $lex{Description}. '</th><th>'. $lex{Date};
print '</th><th>'. $lex{Group}. '</th><th>'. $lex{Edit}. '</th><th>'. $lex{Delete}. "</th></tr>\n";

while (my ($id, $tdate, $name, $desc, $grp) = $sth->fetchrow){
    print "<tr><td>$name</td><td>$desc</td><td>$tdate</td><td>$grp</td>\n";
    print "<td><a href=\"tested.pl?id=$id\">". $lex{Edit}. "</a></td>\n";
    print "<td><a href=\"testdel.pl?id=$id\">". $lex{Delete}. "</a></td></tr>\n";
}

print "</table></center></body></html>\n";
