#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  ===  View Special Needs Students in a particular school.

###  NOT Complete  ###

my %lex = ('View Special Needs Students' => 'View Special Needs Students',
	   'Main' => 'Main',
	   'Name' => 'Name',
	   'Id' => 'Id',
	   'Description' => 'Description',
	   'Designation' => 'Designation',
	   'DDPF Level' => 'DDPF Level',
	   'Des Date' => 'Des Date',
	   'Medical' => 'Medical',
	   'Medication' => 'Medication',
	   'Equipment' => 'Equipment',
	   'Adaptations' => 'Adaptations',
	   'History' => 'History',
	   'View Detailed Report' => 'View Detailed Report',
	   'Error' => 'Error',
	   'BDate' => 'BDate',
	   'Grade' => 'Grade',
	   'School' => 'School',
	   'Sex' => 'Sex',
	   'Studnum' => 'Studnum',
	   'ProvNum' => 'ProvNum',
	   
	   );


use DBI;
use CGI;

# Read config variables
eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


# Read the admin file for the name of the school database so
#  we can find the school's students in the ppp database. The
#  school field has the database name in brackets. Not elegant
#  but it works.

my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, 
 $iddst) = localtime(time);
$year = $year + 1900;
$mon++;
$wday++;
my $currdate = "$dow[$wday], $month[$mon] $mday, $year";

my $schooldbase = $dbase;

# don't move this up...
require "$iepdir/cgi/ppp.conf" || die "Cannot read the ppp.conf file!";

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sortorder = "lastname, firstname";

$sth = $dbh->prepare("select * from special 
where school like '%$schooldbase%' order by $sortorder");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die; }
my $rows = $sth->rows;

print "$doctype\n<html><head><title>". $lex{'View Special Needs Students'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
$chartype</head><body>\n";

print "[ <a href=\"$tchpage\">". $lex{Main}. "</a> ]\n";

print "<center><h1>". $lex{'View Special Needs Students'}. " - $schoolname</h1>
<h3>$currdate</h3>\n";

print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
print "<tr><th>". $lex{Name}. "/". $lex{Id}. "</th><th>". $lex{Description}. "</th></tr>\n";

for ($i=1; $i <= $rows; ++$i) {

    @arr = $sth->fetchrow;
    ($dud,$school) = split /\(/,$arr[10];
    chop $school;  # remove trailing parenthesis.  

    print "<tr><td valign=\"top\">\n<table>\n";
    print "<tr><td colspan=\"2\" align=\"center\"><b>$arr[2] $arr[1]</b></td></tr>\n";
    print "<tr><td align=\"right\"><em>$lex{BDate}:</em></td><td>$arr[3]</td></tr>\n";
    print "<tr><td align=\"right\"><em>$lex{Grade}:</em></td><td>$arr[9]</td></tr>\n";
    print "<tr><td align=\"right\"><em>$lex{School}:</em></td><td>$arr[10]</td></tr>\n";
    print "<tr><td align=\"right\"><em>$lex{Sex}:</em></td><td>$arr[11]</td></tr>\n";
    print "<tr><td align=\"right\"><em>$lex{Studnum}:</em></td><td>$arr[4]</td></tr>\n";
    print "<tr><td align=\"right\"><em>$lex{ProvNum}:</em></td><td>$arr[5]</td></tr>\n";
    print "<tr><td align=\"center\" colspan=\"2\">\n";
    print "<form action=\"specedfull.pl\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"studnum\" value=\"$arr[4]\">\n";
    print "<input type=\"hidden\" name=\"school\" value=\"$school\">\n";
    print "<input type=\"submit\" value=\" $lex{'View Detailed Report'} \"></form>\n";
    print "</td></tr></table>\n";

    print "</td><td valign=\"top\">\n";

    print "<table>\n<tr><td align=\"right\" valign=\"top\"><b>". $lex{Designation};
    print "</b></td><td valign=\"top\">$arr[8]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{'DDPF Level'};
    print "</b></td><td valign=\"top\">$arr[7]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{'Des Date'};
    print "</b></td><td valign=\"top\">$arr[6]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{Medical};
    print "</b></td><td valign=\"top\">$arr[12]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{Medication};
    print "</b></td><td valign=\"top\">$arr[13]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{Equipment};
    print "</b></td><td valign=\"top\">$arr[14]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{Adaptations};
    print "</b></td><td valign=\"top\">$arr[15]</td></tr>\n";
    print "<tr><td align=\"right\" valign=\"top\"><b>". $lex{History};
    print "</b></td><td valign=\"top\">$arr[16]</td></tr></table>\n";

    print "</td></tr>\n";

}

print "</table></center></body></html>\n";
