#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.
#  Script 2 of Multi-Day Entry. Allow the addition of reasons.
#  It now jumps into the Tattentry1.pl script (ie. back to normal flow)

use DBI;
use CGI;
use Time::JulianDay;

my %lex = ( 'Main' => 'Main',
	    'Error' => 'Error',
	    'Continue' => 'Continue',
	    'Multi-Day Attendance Confirmation' => 'Multi-Day Attendance Confirmation',
	    'Name' => 'Name',
	    'Date' => 'Date',
	    'Period' => 'Period',
	    'Reason' => 'Reason',

	    );

eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head><title>". $lex{'Multi-Day Attendance Confirmation'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
$chartype\n</head><body>[ <a href=\"$tchpage\">". $lex{Main}. "</a> ]<center>
<h1>". $lex{'Multi-Day Attendance Confirmation'}. "</h1>\n";

print "<form action=\"tattentry1.pl\" method=\"post\">
<input type=\"hidden\" name=\"name\" value=\"$arr{name}\">
<input type=\"hidden\" name=\"method\" value=\"$arr{method}\">
<input type=\"hidden\" name=\"passwd\" value=\"$arr{passwd}\">
<input type=\"hidden\" name=\"date\" value=\"\">\n";

print "<input type=\"submit\" value=\"". $lex{Continue}. "\">\n";
print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
print "<tr><th>". $lex{Name}. "</th><th>". $lex{Date}. "</th><th>";
print $lex{Period}. "</th><th>". $lex{Reason}. "</th></tr>\n";


$sth=$dbh->prepare("select lastname, firstname from studentall where studnum = ?");

foreach my $key (sort keys %arr){
    if ($arr{$key} == 1){
	my ($studnum,$date,$period) = split /:/,$key;

	# Generate a list from those dates. Assume year-mon-day
	my ($year,$month,$day) = split /-/,$date;
	my $jd = julian_day($year,$month,$day);
	my $dow = day_of_week($jd) + 1;

	$sth->execute($studnum);
	if ($DBI::errstr){ die $DBI::errstr;}
	my ($lastname, $firstname) = $sth->fetchrow;
	
	print "<tr><td><b>$lastname</b>, $firstname</td>";
	print "<td>$dow[$dow], $date</td><td align=\"center\">$period</td>";
	print "<td><select name=\"$key\"><option></option>\n";
	foreach my $reason (@attend){
	    print "<option>$reason</option>\n";
	}
	print"</select></td></tr>\n";
    }

}

print "</table><input type=\"submit\" value=\"". $lex{Continue}. "\">\n";
print "</form></center></body></html>\n";
