#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# NOTE: No editing of 'author' field present. This is property of record.

my %lex = ('Discipline Edit' => 'Discipline Edit',
	   'Main' => 'Main',
	   'Author' => 'Author',
	   'Date' => 'Date',
	   'Student Number' => 'Student Number',
	   'Infraction' => 'Infraction',
	   'Description' => 'Description',
	   'Action Taken' => 'Action Taken',
	   'Repeated Behavior Consequence' => 'Repeated Behavior Consequence',
	   'Parental Contact' => 'Parental Contact',
	   'Update Discipline Record' => 'Update Discipline Record',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select * from discipline where id = ? "); 
$sth->execute( $arr{id} ); # not recnum
my @arr = $sth->fetchrow;

print "$doctype\n<html><head><title>". $lex{'Discipline Edit'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">$chartype\n</head><body>\n";
print "[ <a href=\"$tchpage\">". $lex{Main}. "</a> ]\n";
print "<center><h1>". $lex{'Discipline Edit'}. "</h1>\n";
print "<form action=\"tdisced1.pl\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"id\" value=\"$arr[0]\">\n";

print "<center><input type=\"submit\" value=\"". $lex{'Update Discipline Record'};
print "\"></center>\n";
print "<table cellpadding=\"4\" cellspacing=\"0\" border=\"0\">\n";

print "<tr><td align=\"right\"><b>". $lex{Author}. "</b></td>";
print "<td>$arr[8]</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{Date}. "</b></td>\n";
print "<td><input type=\"text\" name=\"date\" size=\"11\" value=\"$arr[1]\"></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Student Number'}. "</b></td>\n";
print "<td><input type=\"text\" name=\"userid\" size=\"6\" value=\"$arr[2]\"></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{Infraction}. "</b></td>\n";
print "<td><input type=\"text\" name=\"infraction\" size=\"30\" value=\"$arr[3]\" ></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{Description}. "</b></td>\n";
print "<td><textarea name=\"description\" cols=\"60\" rows=\"6\">$arr[4]</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Action Taken'}. "</b></td>\n";
print "<td><textarea name=\"action\" cols=\"60\" rows=\"4\">$arr[5]</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Repeated Behavior Consequence'}. "</b></td>\n";
print "<td><textarea name=\"ifrepeat\" rows=\"4\" cols=\"60\">$arr[6]</textarea></td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Parental Contact'}. "</b></td>\n";
print "<td><input type=\"text\" name=\"parent\" size=\"12\" value=\"$arr[7]\"></td></tr>\n";

print "</table><center>
<input type=\"submit\" value=\"". $lex{'Update Discipline Record'}. "\"></center></form>\n";

print "</center></body></html>\n";
