<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<!--
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->
<head>
<title><#Student Attendance#></title>
<link rel="stylesheet" href="admin.css" type="text/css">
<link rel="stylesheet" type="text/css" media="all" href="js/calendar-blue.css" title="blue">
<script type="text/javascript" src="js/calendar.js"></script>
<script type="text/javascript" src="js/lang/calendar-en.js"></script>
<script type="text/javascript" src="js/calendar-setup.js"></script>

<style type="text/css">
  form, input, button, select { padding:0; margin:0;font-size:100%; }
</style>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head><body>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li class="active"><a href="attendance.html" class="active"><#Attendance#></a></li>
<li><a href="discipline.html"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="schedule.html"><#Schedule#></a></li>
<li><a href="export.html"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="help.html"><#Help#></a></li>
</ul>
<div style="height:24px;"></div>

<table border = "0" cellpadding="4" cellspacing="0">
<tr><td valign="top" style="border-right: 1px solid gray; padding-top:0;">
<!-- Left Column -->
<table cellpadding="0" cellspacing="0" border="0">
<tr><td style="padding-top:4px;"><img src="images/logotn.gif" alt="logo">
</td><td><hr><h1 style="padding:0; margin:0;"><#Attendance#></h1><hr></td></tr>
</table>

<h2><#Attendance Edit#></h2>

<table cellpadding="0" cellspacing="3" border="0"><tr><td valign="top">
<form action="/cgi-bin/attendance/attdeled.pl" method="post" style="display:inline;">
<input type="hidden" name="date" value="today">
<input type="submit" value="<#Edit Today#>">
</form><br>

<form action="/cgi-bin/attendance/attdeled.pl" method="post" style="display:inline;">
<input type="hidden" name="date" value="yesterday">
<input type="submit" value="<#Edit PrevDay#>">
</form><br>

<form action="/cgi-bin/attendance/attdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit All#>">
</form>

</td><td valign="top">

<form action="/cgi-bin/attendance/attdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit Date Range#>"><br>
<#Start#>&nbsp;<input type="text" id="datestart" name="datestart" size="7">
<button type="reset" id="start_trigger">...</button><br>
<#End#>&nbsp;&nbsp;&nbsp;<input type="text" id="dateend" name="dateend" size="7">
<button type="reset" id="end_trigger">...</button> <#Blank=Today#>

<script type="text/javascript">
 Calendar.setup({
  inputField  : "datestart",
  ifFormat    : "%Y-%m-%d",
  button      : "start_trigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "dateend",
  ifFormat    : "%Y-%m-%d",
  button      : "end_trigger",
  singleClick : false,
  step : 1
  });
</script>

</form>

</td></tr></table>

<div style="margin:0.4em;border:1px solid gray;padding:4px;">
<form action="/cgi-bin/attendance/attdeled.pl" method="post">
<input type="submit" value="<#Edit Student#>">
<input type="text" name="student" size="25"><br>
<#(Last,First/Last/Initials/Studnum)#>
</form>
</div>


<form action="/cgi-bin/attendance/attrsnreset.pl" method="post" style="padding:2px 2px 2px 4px;">
<input type="submit" value="<#Reset Reason#>">
<#Date#> <input type="text" id="reason_date" name="date" size="8">
<button type="reset" id="reason_trigger">...</button> <#Blank=Today#>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "reason_date",
  ifFormat    : "%Y-%m-%d",
  button      : "reason_trigger",
  singleClick : false,
  step : 1
  });
</script></form>


<div style="margin:0.4em;border:1px solid gray;padding:4px;">
<form action="/cgi-bin/attendance/attpwrdel.pl" method="post">
<input type="submit" value="<#POWER Delete#>">
<#Date#> <input type="text" id="power_date" name="date" size="8">
<button type="reset" id="power_trigger">...</button> <#Blank=Today#><br>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "power_date",
  ifFormat    : "%Y-%m-%d",
  button      : "power_trigger",
  singleClick : false,
  step : 1
  });
</script></form>
</div>


<form action="/cgi-bin/attendance/attcheck.pl" method="post">
<input type="submit" value="<#Check Attendance Records#>"></form>
<#Check for duplicates, empty reasons and dates#>


<h2><#Attendance Entry#></h2>

<!-- <form action="/cgi-bin/attendance/attentry0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Multiple Student Entry#>">
<select name="method">
<option><#Student Num, Rsn/Sub/Per#> (sn9)</option>
<option><#Student Num, AM/PM#> (snap)</option>
<option><#Student Alias, Period#> (sa4)</option>
<option><#Student Alias, Rsn, Per#> (sa5)</option>
<option><#Student Alias, Sub,Per#> (sa6)</option>
</select></form><br>
-->
<div style="border:1px solid gray;padding:0.4em;margin:0.5em;">
<form action="/cgi-bin/attendance/attaddall.pl" method="post" style="display:inline;">
<input type="submit" value="<#New Attendance Entry#>"></form>
</div>

<form action="/cgi-bin/attendance/attentrymd0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Multiple Date Entry#>">
<#Room#>/<#Grade#> <input type="text" name="class" size="6"><br>
<select name="mode"><option><#Weekly#></option>
<option><#Biweekly#></option></select>
<select name="group"><option><#Grade#></option><option><#Class#></option>
<option><#All#></option></select>
</form><br>


<h2><#Teacher Attendance Entry#></h2> 

<form action="/cgi-bin/attendance/chkattend.pl" method="post">
<input type="submit" value="<#Check#>">
<#Date#> <input type="text" id="teacheratt_date" name="date" size="12"> 
<button type="reset" id="teacheratt_trigger">...</button> <#Blank=Today#>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "teacheratt_date",
  ifFormat    : "%Y-%m-%d",
  button      : "teacheratt_trigger",
  singleClick : false,
  step : 1
  });
</script></form>
<#Ensure that teachers have entered their attendance for today.#>

</td><td valign="top" style="border-right: 1px solid gray; padding-top:0;">
<!-- ********* CENTER COLUMN ********** -->

<h2><#Student Attendance#></h2> 

<form action="/cgi-bin/attendance/rptattstuday.pl" method="post">
<input type="submit" value="<#Daily Attendance Report#>"><br>
<#Date#> <input type="text" id="studatt_date" name="date" size="10">
<button type="reset" id="studatt_trigger">...</button> <#Blank=Today#>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "studatt_date",
  ifFormat    : "%Y-%m-%d",
  button      : "studatt_trigger",
  singleClick : false,
  step : 1
  });
</script></form>

<div style="margin:0.4em;border:1px solid gray;padding:4px;">
<form action="/cgi-bin/attendance/chkstuatt.pl" method="post">
<input type="submit" value="<#Check Days#>">
<#Max Days Missing#> <input type="text" name="days" size="4"><br>
<#Start#> <input type="text" id="chkstudatt_sdate" name="startdate" size="10">
<button type="reset" id="chkstudatt_strigger">...</button>

<#End#> <input type="text" id="chkstudatt_edate" name="enddate" size="10">
<button type="reset" id="chkstudatt_etrigger">...</button><br>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "chkstudatt_sdate",
  ifFormat    : "%Y-%m-%d",
  button      : "chkstudatt_strigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "chkstudatt_edate",
  ifFormat    : "%Y-%m-%d",
  button      : "chkstudatt_etrigger",
  singleClick : false,
  step : 1
  });
</script></form>
</div>

<div style="margin:0.4em;border:1px solid gray;padding:4px;">
<form action="/cgi-bin/attendance/attscan.pl" method="post" style="display:inline;">
<input type="submit" value="<#Attendance Scan#>">
</form>

<form action="/cgi-bin/attendance/rptlate.pl" method="post" style="display:inline;">
<input type="submit" value="<#Late Report#>">
</form>
</div>

<h2><#Subject Attendance#></h2>

<div style="border:1px solid gray;margin:0.4em;padding:4px;">
<form action="/cgi-bin/attendance/rptattstudsubj.pl" method="post">
<input type="submit" value="<#Subject Attendance - by Student#>"><br>
<#Term#> <input type = "text" name="term" size="4"> <#Blank=Current#><br>
<#Cumulative?#> <input type="checkbox" name="all" value="1"></form>
</div>

<form action="/cgi-bin/attendance/rptattsubj.pl" method="post">
<input type="submit" value="<#Subject Attendance - by Subject#>"><br>
<#Term#> <input type = "text" name="term" size="4"> <#Blank=Current#>
</form>


<h2><#Phone List#></h2>

<form action="/cgi-bin/attendance/rptattphone.pl" method="post">
<input type="submit" name="qdate" value="<#Today#>">
<input type="submit" name="qdate" value="<#Yesterday#>"><br>
<input type="submit" value="<#Date#>">
<input type="text" id="phone_date" size="10" name="date"> 
<button type="reset" id="phone_trigger">...</button><br>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "phone_date",
  ifFormat    : "%Y-%m-%d",
  button      : "phone_trigger",
  singleClick : false,
  step : 1
  });
</script></form>

<h2><#View Attendance Records#></h2>

<form action="/cgi-bin/attendance/attview.pl" method="post">
<input type="submit" value="<#View by Student#>">
<input type="text" name="student" size="10">
<#(Last,First/Last/Initials/Studnum)#>
</form>

<div style="border:1px solid gray;margin:0.4em;padding:4px;">
<form action="/cgi-bin/attendance/attview.pl" method="post">
<input type="submit" value="<#View by Date#>"><br>
<#Start#> <input type="text" id="view_sdate" name="startdate" size="10">
<button type="reset" id="view_strigger">...</button>

<#End#> <input type="text" id="view_edate" name="enddate" size="10">
<button type="reset" id="view_etrigger">...</button><br>

<script type="text/javascript">
 Calendar.setup({
  inputField  : "view_sdate",
  ifFormat    : "%Y-%m-%d",
  button      : "view_strigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "view_edate",
  ifFormat    : "%Y-%m-%d",
  button      : "view_etrigger",
  singleClick : false,
  step : 1
  });
</script></form>
</div>

<!-- <div style="border:1px solid gray; padding:4px;margin:2px;"> -->
<form action="/cgi-bin/attendance/attview.pl" method="post">
<input type="submit" value="<#View by Class#>"><br>
<#Start Class#> <input type="text" name="startclass" size="6">
<#End#> <input type="text" name="endclass" size="6">
</form>


</td><td valign="top" style="padding-top:0;">
<!-- ********* RIGHT COLUMN ********** -->


<h2><#Monthly Attendance Reports#></h2>

<form action="/cgi-bin/attendance/rptattmonth.pl" method="post">
<input type="submit" name="html" value="<#Monthly Attendance Report (Web)#>">
<input type="submit" name="pdf" value="<#Monthly Attendance Report (Pdf)#>"><br>
<#Date#> <input type="text" id="monthatt_date" name="date" size="10">
<button type="reset" id="monthatt_trigger">...</button><br>

<#Group: Homeroom#>&nbsp;<input type="radio" name="group" value="homeroom" checked>
<#Grade#>&nbsp;<input type="radio" name="group" value="grade">
<#Band#>&nbsp;<input type="radio" name="group" value="band">
</form>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "monthatt_date",
  ifFormat    : "%Y-%m-%d",
  button      : "monthatt_trigger",
  singleClick : false,
  step : 1
  });
</script>

<div style="border:1px solid gray;margin:0.4em;padding:4px;">
<form action="/cgi-bin/attendance/rptinac.pl" method="post">
<input type="submit" name="html" value="<#INAC Attendance Report#>"><br>
<#End of Month#> <input type="text" id="inac_date" name="date" size="10">
<button type="reset" id="inac_trigger">...</button><br>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "inac_date",
  ifFormat    : "%Y-%m-%d",
  button      : "inac_trigger",
  singleClick : false,
  step : 1
  });
</script></form>
</div>

<h2><#Attendance Reports#></h2>

<div style="margin:0.4em;border:1px solid gray;padding:4px;">
<form action="/cgi-bin/attendance/rptattprof.pl" method="post">
<input type="submit" value="<#Student Profiles Report#>">
</form>
</div>

<form action="/cgi-bin/attendance/attethview.pl" method="post">
<input type="submit" value="<#Ethnic Attendance Report#>"><br>

<#Start Date#> <input type="text" id="ethnic_sdate" name="startdate" size="10">
<button type="reset" id="ethnic_strigger">...</button><br>
<#End Date#>&nbsp;&nbsp;<input type="text" id="ethnic_edate" name="enddate" size="10">
<button type="reset" id="ethnic_etrigger">...</button><br>
<#Teaching Days(in period)#> <input type="text" name="days" size="4">

<script type="text/javascript">
 Calendar.setup({
  inputField  : "ethnic_sdate",
  ifFormat    : "%Y-%m-%d",
  button      : "ethnic_strigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "ethnic_edate",
  ifFormat    : "%Y-%m-%d",
  button      : "ethnic_etrigger",
  singleClick : false,
  step : 1
  });
</script></form>



<div style="margin:0.4em;border:1px solid gray;padding:4px;">
<form action="/cgi-bin/attendance/rptattperf.pl" method="post">
<input type="submit" value="<#Perfect Attendance Check#>"><br>
<#Start Date#> <input type="text" id="perfatt_sdate" name="startdate" size="10">
<button type="reset" id="perfatt_strigger">...</button><br>
<#End Date#>&nbsp;&nbsp;<input type="text" id="perfatt_edate" name="enddate" size="10">
<button type="reset" id="perfatt_etrigger">...</button><br>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "perfatt_sdate",
  ifFormat    : "%Y-%m-%d",
  button      : "perfatt_strigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "perfatt_edate",
  ifFormat    : "%Y-%m-%d",
  button      : "perfatt_etrigger",
  singleClick : false,
  step : 1
  });
</script></form>
</div>

<form action="/cgi-bin/attendance/rptattyear.pl" method="post">
<input type="submit" value="<#Year End Attendance Report#>"></form>

</td></tr></table>

</body></html>
