<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<!--
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->

<html><head>
<title>Open Admin - <#Export#> / <#Data Transfers#></title>
<link rel="stylesheet" href="admin.css" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
  form, input, button, select { padding:0; margin:0;font-size:100%; }
</style>
</head><body>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li><a href="discipline.html"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="schedule.html"><#Schedule#></a></li>
<li class="active"><a href="export.html" class="active"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="help.html"><#Help#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellspacing="0" cellpadding="4" border="0">
<tr><td width="50%" valign="top">
<!--  ======= Left Column == Export =====  -->

<table cellpadding="0" cellspacing="0" border="0">
<tr><td><img src="images/logotn.gif" alt="logo"></td>
<td><hr><h1 style="padding:0;margin:0;"><#Exports/Data Transfers#></h1><hr></td>
</tr></table>

<h2><#Backup School Database#></h2>

<form action ="/cgi-bin/export/backupall.pl" method="post" style="padding:0.5em">
<input type="submit" value="<#Backup School Database to Zip File#>"></form>

<h2><#Image Management#></h2>

<form action="/cgi-bin/image/imageadd.pl" method="post" 
 enctype="multipart/form-data">
<input type="submit" value="<#Upload Images (jpg,zip,tgz)#>">
<input type="file" name="filename">
</form>

<form action="/cgi-bin/image/imageview.pl" method="post">
<input type="submit" value="<#View Student Pictures#>"></form>

<form action="/cgi-bin/image/associate.pl" method="post">
<input type="submit" value="<#Associate Pictures and People#>"></form>

<form action="/cgi-bin/image/studpicview.pl" method="post">
<input type="submit" value="<#View Student Pictures by Grade/Name#>"></form>


<h2><#Student Import#></h2>

<div style="padding:0.2em;">
<form action="/cgi-bin/export/importCSV.pl" method="post" style="display:inline;">
<input type="submit" value="<#Import Student Records - CSV#>"></form></div>

<!--
<h2><Student Export></h2>
<form action="/cgi-bin/export/expwdstud.pl" method="post">
<input type="submit" value="Export Demographic Data">
</form> 
-->


</td><td width="50%" valign="top">
<!-- ====== Right Column == Export ======  -->

<h2><#Student Export#></h2>

<form action="/cgi-bin/export/expstudent.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Student Information#>"></form>&nbsp;
<#Select fields and sort order#><br>

<!-- <form action="/cgi-bin/export/expstud.pl" method="post">
<input type="submit" value="<#Export Complete Student Table#>"></form> -->

<form action="/cgi-bin/export/expcustom.pl" method="post" style="display:inline;">
<input type="submit" value = "<#Custom Export - Any Table#>"></form><br>

<form action="/cgi-bin/export/exprepcard.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Report Card Labels#>"></form>&nbsp;
<#Student Name#>, <#Grade#>, <#Teacher#> - <#Sort by#>
<#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#><br>

<form action="/cgi-bin/export/expcumfldr.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Cume Folder Labels#>"></form>&nbsp;
<#Student Name#>, <#Sex#>, <#Bdate#>, <#HealthID#>, <#Relation1#>,
<#Parent 1#>, <#Relation2#>, <#Parent 2#>, <#Ethnic Category#>, <#Provincial Student Number#>
- <#Sort by#> <#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#><br>

<form action="/cgi-bin/export/expaddress.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Address Labels#>"></form>&nbsp;
<#Student Name#>, <#address#>, <#city#>, <#postal code#>
- <#Sort by#> <#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#><br>

<form action="/cgi-bin/export/expphoto.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Photo Data#>"></form>&nbsp;
<#Student Number#>, <#Student Name#>, <#Grade#>, <#Homeroom#> - <#Sort by#>
<#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#><br>

<form action="/cgi-bin/export/export_gabriel.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Gabriel Libary System Data#>"></form>&nbsp;
<#Student Number#>, <#Lastname#>, <#Firstname#>, <#Sex#>, <#Grade#>, <#Birthdate#>, <#Phone#><br>

<form action="/cgi-bin/export/expstaff.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Staff Data#>"></form>&nbsp;
<#Sort by#> <#Lastname#>, <#Firstname#>

</td></tr></table>  <!-- End of Export Section  -->


<div class="sds"> <!-- Start of SDS Div  -->
<h2>Saskatchewan Learning Transfers</h2>

<table cellspacing="0" cellpadding="4" border="0" width="100%">
<tr><td width="50%" valign="top">
<!--  ======= Left Column ======  -->

<div style="background-color:#EEE; border:1px solid gray;padding:0.5em;">

<div style="margin:0.2em; line-height:160%;">
<a href="https://www.sasked.gov.sk.ca/sdsj2ee/index.jsp"
class="button" style="background-color:#6A6;" target="_blank">SDS Web
Site</a> - Run this <b>in another window</b> or tab to copy provincial
numbers, names, run reports, etc. on the SDS side.</div>


<form action="/cgi-bin/sasklrn/qryschident.pl" method="post">
<input type="submit" value="SL Identity Resolution">&nbsp;
This function will search through students with missing provincial
student numbers and try to resolve the problem by looking at SL
enrollments and local records. It will use enrollment (ie. transfer)
records to allow students to enrol with SL (and get a provincial
number). This is the <b>first step</b> in resolving SDS issues. If
this fails, use the SDS website to get the provincial number and enter
this information into his/her student record.</form>

<form action="/cgi-bin/sasklrn/syncenrol.pl" method="post">
<input type="submit" value="SL Enrollment Resolution">&nbsp;
This function will compare the students enrolled with SL and compare
them with local enrollments and calculate students to withdraw / enrol
with SL. It will activate transfer records to allow this to happen.
</form>

<form action="/cgi-bin/sasklrn/updatedemog.pl" method="post">
<input type="submit" value="Update Student Demographics">&nbsp;
This function will update Sask Learning from the student information
wherever changes have been made in student table (ie. new phone,
address). It should be run every week.</form>
</div>


</td><td width="50%" valign="top">
<!-- ==== Right Column = Sask Learning ======  -->


<div class="highschool" style="background-color:#EEF;border:1px solid
gray;padding:0.5em;"> <!-- ========== Start of High School Div   -->

<h2>High School</h2>

<form action="/cgi-bin/sasklrn/synccourses.pl" method="post" style="display:inline;">
<input type="submit" value="Synchronize Class Enrollments"></form>&nbsp;
This function will update Sask Learning with any class enrollments
stored locally. It will query SL, compare the results to local records
and then send updates to SL to synchronize with local data store.<br>

<form action="/cgi-bin/sasklrn/qryschcourses.pl" method="post" style="display:inline;">
<input type="submit" value="Query Class Enrollments"></form>&nbsp;
This function will query Sask Learning for class enrollment
information and compare it with local class enrollment information.<br>

<form action="/cgi-bin/sasklrn/studmark0.pl" method="post" style="display:inline;">
<input type="submit" value="Student Mark Submission"> Chk
<input type="checkbox" name="checked" value="checked"></form>&nbsp;
This function will update Sask Learning with marks for students
previously registered in those classes.
</div> <!-- End of High School Div  -->

<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/sasklrn/checkpn.pl" method="post" style="display:inline;">
<input type="submit" value="Check Prov# Parity"></form>

<form action="/cgi-bin/sasklrn/checkhsn.pl" method="post"  style="display:inline;">
<input type="submit" value="Check Health# Parity"></form>
</div>


<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/sasklrn/logview.pl" method="post">
<input type="submit" value="View Log">
<select name="log"><option>Error</option><option>Update</option></select>
Order <select name="order"><option>Forward</option>
<option>Reverse</option></select></form>

<form action="/cgi-bin/sasklrn/logtrunc.pl" method="post">
<input type="submit" value="Shorten Log">
<select name="log"><option>Error</option><option>Update</option></select>
to <input type="text" size="4" name="rec" value="25">&nbsp;records.</form>
</div>


<!--   ========== Older Development - no longer used? === We'll see
<div style="padding:0.3em 0.5em;"><b>Ask Questions and Get Answers
from Sask Learning</b> &ndash; This query function will allow the user to
ask questions about student demographics, class and grade
information.</div>

<center><form action="/cgi-bin/sasklrn/qrystudpsl0.pl" method="post">
<input type="submit" value="Demographics Query">
<select name="type"><option>Student</option><option>Grade</option>
<option>Class</option><option>All</option></select>
Chk <input type="checkbox" name="checked" value="checked"><br>
Std#/Class/Grade <input type="text" name="input" size="12"> Blank=All
</form>

<form action="/cgi-bin/sasklrn/qrycourse.pl" method="post">
<table cellpadding="3" cellspacing="0" border="0"> 
<tr><td align="right"><input type="submit" value="Course Query"></td>
<td><select name="type"><option>Student</option>
 <option>Current</option><option>Dept</option></select></td></tr>
<tr><td align="right">Student Number (local)</td>
 <td><input type="text" name="studnum" size="6"></td></tr>
<tr><td align="right">Start Date (yymmdd)</td>
 <td><input type="text" name="startdate"></td></tr>
<tr><td align="right">End Date (yymmdd)</td>
 <td><input type="text" name="enddate"></td></tr>
</table></form>
-->

</td></tr></table>
</div> <!-- End of SDS Div  -->

</body></html>

