<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<!--
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->
<html><head>
<title>Open Admin for Schools 3.75 - <#School Administration#></title>
<link rel="stylesheet" href="admin.css" type="text/css">
<link rel="stylesheet" type="text/css" media="all" href="js/calendar-blue.css" title="blue">
<script type="text/javascript" src="js/calendar.js"></script>
<script type="text/javascript" src="js/lang/calendar-en.js"></script>
<script type="text/javascript" src="js/calendar-setup.js"></script>
<style type="text/css">
 form, input, button, select { padding:1px;margin:1px;font-size:100%; }
 div.fmt { padding:2px ; margin:1px 4px; border:1px solid gray;}
</style>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head><body>
<!--#config timefmt="%A %B %e, %Y" -->

<ul class="nav" style="border-top:1px solid gray; margin: 0.5em;
 position: fixed; top:0; bottom:auto;">
<li class="active"><a href="index.shtml" class="active"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li><a href="discipline.html"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="schedule.html"><#Schedule#></a></li>
<li><a href="export.html"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="help.html"><#Help#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellpadding="4" cellspacing="0" border="0">
<tr><td valign="top" style="padding:0;margin:0;">
<!--   **** Left Column **** -->

<table cellpadding="0" cellspacing="0" border="0">
<tr><th style="padding:0.3em;"><!--#echo var="DATE_LOCAL"--></th></tr>

<tr><td align="center">
<img src="images/logo.gif" align="top" alt=" ">
</td></tr>

<tr><th style="padding:0.3em;"><span style="font-size: 120%;">
Open Admin for Schools 3.75</span> <#by#> Les Richardson</th></tr>
</table>

<h2><#Student Search#></h2>

<div style="text-align:center;border:1px solid gray;margin:0.2em 1em;">
<form action="/cgi-bin/studsearch.pl" method="post">
<input type="submit" value="<#Search#>">
<input type="text" name="student" size="25"><br>
<#Name (last,first/last/initials) or Student Number#>
</form></div>

<h2><#View/Edit Students#></h2>

<div class="fmt" style="text-align:center;">
<form action="/cgi-bin/studview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Students#>"></form>

<form action="/cgi-bin/studeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit Student Records#>"></form>
</div>

<h2><#Student Reports#></h2><!--  === Report Section ===  -->

<div style="padding:0.2em 1em;text-align:left;">

<form action="/cgi-bin/rptbirthday.pl" method="post" style="display:inline;">
<input type="submit" value="<#Birthdays#>">
</form>

<form action="/cgi-bin/rpthouseleague.pl" method="post" style="display:inline;">
<input type="submit" value="<#House Leagues#> <#PDF#>"></form>

<form action="/cgi-bin/rptfamily.pl" method="post" style="display:inline;">
<input type="submit" value="<#Families#>"></form>

<form action="/cgi-bin/rptbillet.pl" method="post" style="display:inline;">
<input type="submit" value="<#Billets#>"></form>

</div>

<div style="border:1px solid gray;">
<form action="/cgi-bin/rptmedical.pl" method="post" style="display:inline;">
<input type="submit" value="<#Medical Report#>">
<select name="type"><option><#Web#></option><option><#Pdf#></option></select>
<#Srch#> <input type="text" name="search" size="18"></form>
</div>

<div style="border:1px solid gray;">
<form action="/cgi-bin/rptphone.pl" method="post" style="display:inline;">
<input type="submit" value="<#Phoning Report#>"></form>

<form action="/cgi-bin/rptreligion.pl" method="post" style="display:inline;" class="religion">
<input type="submit" value="<#Religion Details by Name#>"></form>
</div>

<div style="border:1px solid gray;" class="religion">
<form action="/cgi-bin/rptsumrel.pl" method="post" style="display:inline;">
<input type="submit" value="<#Religion - by Grade#>"></form>

<form action="/cgi-bin/rptrelsacra.pl" method="post" style="display:inline;">
<input type="submit" value="<#Religion - Sacramental#>"></form>
</div>



<div style="border:1px solid gray;">
<form action="/cgi-bin/rptreserve.pl" method="post" style="display:inline;">
<input type="submit" value="<#Reserve Report#>">
</form>

<form action="/cgi-bin/rpttrack.pl" method="post" style="display:inline;">
<input type="submit" value="<#Track Report#>">
<#Aging Date#> <input type="text" name="agingdate" size="6">
</form>
</div>


<div style="border:1px solid gray;">
<form action="/cgi-bin/rptyoungest.pl" method="post" style="display:inline;">
<input type="submit" value="<#Youngest Report#>">
<#Homeroom#> <input type="text" name="homeroom" size="6">
<#Blank=All#>
</form>
</div>

</div>
<!-- End of Student Reports Section -->


</td><td valign="top" style="margin:0;padding:0 1em;">
<!--   **** Right Column ****  -->

<h2><#Student Rosters#></h2>

<div style="padding:0.2em 1em;text-align:left;">

<div style="border:1px solid gray;">
<form action="/cgi-bin/rptstudrost.pl" method="post" style="display:inline;">
 <input type="submit" value="<#Full Student Roster - Pdf#>">
 <#Sort by#>
 <select name="sortorder">
 <option><#Lastname#></option>
 <option><#Homeroom#></option>
 </select>
</form></div>


<div style="border:1px solid gray;">
<form action="/cgi-bin/rptshorrost.pl" method="post" style="display:inline;">
<input type="submit" value="<#Short Student Roster - Web#>">
<#Sort by#>
<select name="sortorder">
<option><#Lastname#></option>
<option><#Homeroom#></option></select></form>
</div>


<div style="border:1px solid gray;">
<form action="/cgi-bin/rptpdfshorost.pl" method="post" style="display:inline;">
<input type="submit" value="<#Short Student Roster - Pdf#>">
<#Max Students/page#>
<input type="text" name="maxstudents" value="16" size="3">
</form></div>



<div style="border:1px solid gray;">
<form action="/cgi-bin/rptsrost0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Short Roster - Select, Pdf#>"></form>

<form action="/cgi-bin/studviewmini.pl" method="post" style="display:inline;">
<input type="submit" value="<#Mini Student Roster - Web#>">
</form></div>


<div style="border:1px solid gray;">
<form action="/cgi-bin/rptdemoconf.pl" method="post" style="display:inline;">
<input type="submit" value="<#Student Data Confirmation#>">
</form>

<form action="/cgi-bin/rptcustomclasslist.pl" method="post" style="display:inline;">
<input type="submit" value="<#Custom Classlist - Pdf#>"></form>
</div>

<div style="border:1px solid gray;">
<form action="/cgi-bin/rptcustomstafflist.pl" method="post" style="display:inline;">
<input type="submit" value="<#Custom Stafflist - Pdf#>">
</form>

<form action="/cgi-bin/labels.pl" method="post" style="display:inline;">
<input type="submit" value="<#Print Labels#>">
</form>

<form action="/cgi-bin/emailgroup.pl" method="post" style="display:inline;">
<input type="submit" value="<#Group Email#>">
</form>
</div>

</div> <!-- End of Student Rosters Div --> 


<h2><#Student Enrollment/Withdrawal#></h2>

<div class="fmt">
<form action="/cgi-bin/entry/sentry0.pl" method="post">
<input type="submit" value="<#Enrol/Withdraw#>">
<#Student Number#> <input type="text" name="studentnumber" size="8"><br>
<#Leave blank for new student#> | <a href="entrynotes.html"><#Notes#></a>
</form></div>

<div class="fmt">
<form action="/cgi-bin/entry/transview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View/Edit Transfers#>">
</form>

<form action="/cgi-bin/entry/waitview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View/Edit Waiting List#>">
</form></div>

<div class="fmt">
<form action="/cgi-bin/studview.pl" method="post" style="display:inline;">
<input type="hidden" name="table" value="wd">
<input type="submit" value="<#Withdrawn Students - Local#>"></form>

<form action="/cgi-bin/entry/globview.pl" method="post" style="display:inline;">
<input type="submit" value="<#Withdrawn Students - Division#>"></form>
</div>

<h2><#Enrollment Reports#></h2>

<div class="fmt">
  <form action="/cgi-bin/rptsumenrol.pl" method="post" style="display:inline;">
  <input type="submit" value="<#Enrollment by Homeroom#>">
  </form>

<form action="/cgi-bin/rptsumage.pl" method="post" style="display:inline;">
<input type="submit" value="<#Enrollment by Age#>"><br>  
<#Aging Date#> <input type="text" id="aging_date" name="date" size="10">
<button type="reset" id="aging_trigger">...</button> <#Blank=Today#>
</form>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "aging_date",
  ifFormat    : "%Y-%m-%d",
  button      : "aging_trigger",
  singleClick : false,
  step : 1
  });
</script>
</div>

<div class="fmt">
<form action="/cgi-bin/rptenrol.pl" method="post">
<input type="submit" value="<#Enrollment by Date#>">
<input type="text" name="date" id="enrol_date" size="10">
<button type="reset" id="enrol_trigger">...</button>
</form>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "enrol_date",
  ifFormat    : "%Y-%m-%d",
  button      : "enrol_trigger",
  singleClick : false,
  step : 1
  });
</script>
</div>

<div class="fmt">
 <form action="/cgi-bin/rptethnic.pl" method="post" style="display:inline;">
 <input type="submit" value="<#Ethnic Enrollment - Grade#>">
 </form>

 <form action="/cgi-bin/rptsumethnic.pl" method="post" style="display:inline;">
 <input type="submit" value="<#Ethnic Enrollment - Summary#>">
</form></div>

<div class="fmt">
 <form action="/cgi-bin/rpttransmon.pl" method="post" style="display:inline;">
 <input type="submit" value="<#Monthly Transfers (PDF)#>">
 <input type="text" name="date" id="transmon_date" size="10">
 <button type="reset" id="transmon_trigger">...</button>
 </form>
 <script type="text/javascript">
 Calendar.setup({
  inputField  : "transmon_date",
  ifFormat    : "%Y-%m-%d",
  button      : "transmon_trigger",
  singleClick : false,
  step : 1
  });
 </script>
<br>

<form action="/cgi-bin/rptenrolmon.pl" method="post" style="display:inline;">
<input type="submit" value="<#Monthly Enrollment Change#>">
<input type="text" name="date" id="enrolmon_date" size="10">
<button type="reset" id="enrolmon_trigger">...</button>
</form>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "enrolmon_date",
  ifFormat    : "%Y-%m-%d",
  button      : "enrolmon_trigger",
  singleClick : false,
  step : 1
  });
</script>
<br><#Leave blank for previous month#>.  <#Date in Month#>
</div>
</td></tr></table>
</body></html>
