#!/usr/bin/perl
#  Copyright 2001-2007 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  ===  View Special Needs Students in a particular school.

use DBI;
use CGI;

@month = ('January','February','March','April','May','June','July',
 'August','September','October','November','December');
@dow = ('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');

($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $iddst) = localtime(time);
$year = $year + 1900;
$currdate = "$dow[$wday], $month[$mon] $mday, $year";

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;

# Read config variables
require "../admin.conf" or die "Cannot open admin.conf!";

# Read the admin file for the name of the school database so
#  we can find the school's students in the ppp database. The
#  school field has the database name in brackets. Not elegant
#  but it works.

$schooldbase = $dbase;

require "$iepdir/cgi/ppp.conf"; 

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

$sortorder = "lastname, firstname";

print "<!DOCTYPE HTML PUBLIC \"-/W3C/DTD HTML 4.01/EN\" 
\"http://www.w3.org/TR/html4/loose.dtd\">
<html><head><title>View Special Needs Students</title>
<link rel=\"stylesheet\" href=\"/division.css\" type=\"text/css\">
</head><body>
[ <a href=\"/index.shtml\">Main</a> ]\n";
print "<center><h1>Special Needs Students - $divisionname</h1>
<h3>$currdate</h3>\n";


$sth = $dbh->prepare("select * from special order by $sortorder");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr;  die $DBI::errstr; }
$rows = $sth->rows;

if ($rows < 1){
  print "<p><b>No Students found.</b></p></body></html>\n";
  die;
}

print "<table border=\"1\" cellpadding=\"3\" cellspacing=\"0\">
  <tr><th>Name/ID</th><th>Description</th></tr>";


for ($i=1; $i <= $rows; ++$i) {
  @arr = $sth->fetchrow;
  ($dud,$school) = split /\(/,$arr[10];
  chop $school;  # remove trailing parenthesis.  

  print <<"EOF";
   <tr>
   <td valign="top">
    <table>
    <tr><td colspan="2" align="center"><h2> $arr[2] $arr[1]</h2></td>
    </tr>
    <tr><td align="right"><em>BDate:</em></td><td> $arr[3]</td></tr>
    <tr><td align="right"><em>Grade:</em></td><td> $arr[9]</td></tr>
    <tr><td align="right"><em>School:</em></td><td> $arr[10]</td></tr>
    <tr><td align="right"><em>Sex:</em></td><td> $arr[11]</td></tr>
    <tr><td align="right"><em>Studnum:</em></td><td> $arr[4]</td></tr>
    <tr><td align="right"><em>ProvNum:</em></td><td> $arr[5]</td></tr>
    <tr><td align="center" colspan="2">
     <form action="/cgi-bin/ppp/rptsummht.pl" method="post">
     <input type="hidden" name="studnum" value="$arr[4]">
     <input type="hidden" name="school" value="$school">
     <input type="submit" value="View Detailed Report"></form>
     </a></td></tr>
    </table>
   </td>

  <td valign="top">
   <table>
   <tr><td align="right"><em>Designation:</em></td><td> $arr[8]</td></tr>
   <tr><td align="right"><em>DDPF Level:</em></td><td> $arr[7]</td></tr>
   <tr><td align="right"><em>Des Date:</em></td><td> $arr[6]</td></tr>
   <tr><td align="right"><em>Medical:</em></td><td> $arr[12]</td></tr> 
   <tr><td align="right"><em>Medication:</em></td><td> $arr[13]</td></tr> 
   <tr><td align="right"><em>Equipment:</em></td><td> $arr[14]</td></tr>
   <tr><td align="right"><em>Adaptations:</em></td><td> $arr[15]</td></tr>
   <tr><td align="right"><em>History:</em></td><td> $arr[16]</td></tr>
   </table>
  </td>

 </tr>
EOF

}

print "</table></center></body></html>";
