#!/usr/bin/perl

use DBI;

# Read config variables
do "admin.conf" || die "Cannot read admin.conf!";
do "$globdir/global.conf" || die "Cannot read global.conf!";

@dbase = sort keys %dbase;

foreach $database (@dbase) { #defined in global config file.

    $dsn = "DBI:mysql:$database";
    $dbh = DBI->connect($dsn,$guser,$gpassword);
    $sth = $dbh->prepare("select id, password, lastname, firstname  from student 
     order by lastname, firstname");
    $sth->execute;
    while ( my  ($id, $password, $lastname, $firstname ) = $sth->fetchrow ) {
	if ( length( $password ) > 6 ) {
	    print "$dbase - $lastname, $firstname - $password\n";
	}
    }

} # end of database loop
