#!/usr/bin/perl

use DBI;
use Cwd;

unless (require "../../etc/admin.conf") {
    print "Cannot open admin.conf\n";
    die "Cannot open admin.conf\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


$sth = $dbh->prepare("select studnum, owing from student where owing > 0");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }

$date = '2007-10-17';
$name = 'School Fees';
$description = 'Balance Forward - Fees';

while ( my ($studnum, $owing) = $sth->fetchrow ) {
    print "SN: $studnum Owing: $owing\n";

    my $sth1 = $dbh->prepare("insert into fees_jrl values(
     $sql{default}, '$studnum', '$date', 'chg', '$name', '$description', '$owing',
     NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '$owing', $sql{default}, $sql{default} ) ");

    $sth1->execute;
    if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }

}
