#!/usr/bin/perl

# Populate the evaljrl table. Don't forget to change settings for
# database, userd and password, below.

use DBI;

$dbase = 'hafford';
$user='hafford';
$password = 'hafftwo';

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select distinct subjcode, studnum from eval
  order by subjcode");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die;}

while (my ($subjsec,$studnum) = $sth->fetchrow){

    $sth1 = $dbh->prepare("select lastname, firstname, initial, 
     birthdate, provnum from studentall
     where studnum = '$studnum'");
    $sth1->execute;
    if ($DBI::errstr){ print $DBI::errstr; die;}
    my ($lastname, $firstname, $middlename, $birthdate, 
	$identnum) = $sth1->fetchrow;
    if (not $lastname){
	print "Student not found for: $studnum\n";
    }
    

    # Skip existing records in table.
    $sth1 = $dbh->prepare("select count(id) from evaljrl
     where studnum = '$studnum' and subjsec = '$subjsec'");
    $sth1->execute;
    if ($DBI::errstr){ print $DBI::errstr; die;}
    my $count = $sth1->fetchrow;
    if ($count){ 
	print "Skipping: $lastname, $firstname ($studnum) - $subjsec\n";
	next;
    }

    # Now do the insertion.
    $sth1 = $dbh->prepare("insert into evaljrl values (
      NULL, '$subjsec','$studnum',now(),'enrol','Y',
      '$lastname','$firstname','$middlename','$birthdate','$identnum')");
    $sth1->execute;
    if ($DBI::errstr){ print $DBI::errstr; die;}


}

print "Done!\n\n";
