
CREATE TABLE rc_subject (
  id int(11) NOT NULL auto_increment,
  subjsec varchar(32) default NULL,
  description varchar(255) default NULL,
  smdesc varchar(8) default NULL,
  startterm tinyint(3) unsigned default NULL,
  endterm tinyint(3) unsigned default NULL,
  sequence int(11) default NULL,
  studgrpname varchar(255) default NULL,
  studgrpvalue varchar(255) default NULL,
  markscheme text,
  schedppc1 int(11) default NULL,
  schedppc2 int(11) default NULL,
  schedppc3 int(11) default NULL,
  schedppc4 int(11) default NULL,
  backwith varchar(16) default NULL,
  credit varchar(8) default NULL,
  difficulty varchar(4) default NULL,
  area varchar(255) default NULL,
  calcavg char(1) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


CREATE TABLE rc_teacher (
  id int(11) NOT NULL auto_increment,
  subjsec varchar(32) default NULL,
  userid varchar(40) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


CREATE TABLE rc_objective (
  id int(11) NOT NULL auto_increment,
  subjsec varchar(32) default NULL,
  name varchar(64) default NULL,
  description varchar(255) default NULL,
  groupname varchar(64) default NULL,
  groupseq int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


CREATE TABLE rc_obj_eval (
  id int(11) NOT NULL auto_increment,
  studnum int(11) default NULL,
  objid int(11) default NULL,
  term tinyint(3) unsigned default NULL,
  eval varchar(255) default NULL,
  comment varchar(255) default NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;


CREATE TABLE rc_obj_choice (
  id int(11) NOT NULL auto_increment,
  objid int(11) default NULL,
  choice varchar(255) default NULL,
  PRIMARY KEY (id)
) TYPE=MyISAM;

