CREATE TABLE fees_predefined (
  id int(11) NOT NULL auto_increment,
  name varchar(16) default NULL,
  description varchar(255) default NULL,
  amount double default NULL,
  discount double default NULL,
  tax1_flag char(1) default NULL,
  tax2_flag char(1) default NULL,
  tax3_flag char(1) default NULL,
  tax4_flag char(1) default NULL,
  group_name varchar(32) default NULL,
  group_value varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


CREATE TABLE fees_jrl (
  id int(11) NOT NULL auto_increment,
  studnum int(11) default NULL,
  trans_date date default NULL,
  trans_type varchar(8) default NULL,
  name varchar(255) default NULL,
  description text,
  subtotal decimal(10,2) default NULL,
  tax1 decimal(10,2) default NULL,
  tax1_name varchar(16) default NULL,
  tax2 decimal(10,2) default NULL,
  tax2_name varchar(16) default NULL,
  tax3 decimal(10,2) default NULL,
  tax3_name varchar(16) default NULL,
  tax4 decimal(10,2) default NULL,
  tax4_name varchar(16) default NULL,
  total decimal(10,2) default NULL,
  paid_id int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

