--
-- Table structure for table `rc_obj_choice`
--

CREATE TABLE rc_obj_choice (
  id int(11) NOT NULL auto_increment,
  objid int(11) default NULL,
  choice text,
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rc_obj_choice`
--

INSERT INTO rc_obj_choice VALUES (161,57,'Identifies and labels some letters of the alphabet. Understands that letters combined make a word ie) name. Can determine the difference between letters. \"Is it an A or a B?\"');
INSERT INTO rc_obj_choice VALUES (23,18,'Can follow 3, or more, part directions. More complicated, more abstract with no assistance.');
INSERT INTO rc_obj_choice VALUES (24,18,'Can follow 2 part directions without any assistance. Must be completed independently.');
INSERT INTO rc_obj_choice VALUES (25,18,'Can follow one simple, single step without any assistance. One direction only. Does not follow the class and completes tasks independently.');
INSERT INTO rc_obj_choice VALUES (26,18,'Can follow simple one step direction with provided gesture. May need guidance.');
INSERT INTO rc_obj_choice VALUES (27,19,'Is able to attend to teacher directed activity for ten minutes or more.');
INSERT INTO rc_obj_choice VALUES (28,19,'Is able to attend to teacher directed activity for 6-9 minutes.');
INSERT INTO rc_obj_choice VALUES (29,19,'Is able to attend to teacher directed activity for 2-5 minutes.');
INSERT INTO rc_obj_choice VALUES (30,19,'Is unable to attend to teacher directed activity.');
INSERT INTO rc_obj_choice VALUES (31,20,'vocabulary words are countless. New words are surprising.');
INSERT INTO rc_obj_choice VALUES (32,20,'New words are used correctly in context.');
INSERT INTO rc_obj_choice VALUES (33,20,'Uses new two-word combinations including nouns, verbs, prepositions , on in etc., and possessive words, my your, him\'s, etc.');
INSERT INTO rc_obj_choice VALUES (34,20,'Vocabulary growth is limited to new single words, nouns and action words, after much repetition. Uses only a few concrete words.');
INSERT INTO rc_obj_choice VALUES (35,21,'Combining many words into sentences which tell about an event, experience, etc. Combines many words using descriptive language. Using connective words and, or, but.');
INSERT INTO rc_obj_choice VALUES (36,21,'Combining 4-5 words. ie: My big dog go fast, Sentence length is growing.');
INSERT INTO rc_obj_choice VALUES (37,21,'Combining three words. ie: My big dog');
INSERT INTO rc_obj_choice VALUES (38,21,'Combining two words. ie: Big dog');
INSERT INTO rc_obj_choice VALUES (39,22,'Can verbally respond to questions using several words. ie: When do you come to school? Why do you need mitts?');
INSERT INTO rc_obj_choice VALUES (40,22,'Can answer harder question types, one word answer will do. ie: Who lives with you?');
INSERT INTO rc_obj_choice VALUES (41,22,'Can answer harder questions asked simply, one word answer. ie: Where do you live?');
INSERT INTO rc_obj_choice VALUES (42,22,'Can answer simple questions, ie: What is your name? May need prompting');
INSERT INTO rc_obj_choice VALUES (43,53,'Identifies and labels four shapes.  Can label shapes in any context ie) When given two alike shapes but different sizes determines that they are the same shape.  Can identify parts of a whole ie) Find the shapes: the wheel on the car is a circle.  Underst');
INSERT INTO rc_obj_choice VALUES (44,53,'Identifies and labels at least two shapes.  Recognizes shape in relation to concrete objects.  ie) the ball is a circle.  Understands shape concepts: Can answer a question: \"What shape is it?\"  Using concrete objects.  Can determine the difference between');
INSERT INTO rc_obj_choice VALUES (45,53,'Identifies and labels one shape.  Can answer: \"Is it a circle?\" using concrete examples.  Can identify objects of the same shape.');
INSERT INTO rc_obj_choice VALUES (46,53,'Does not understand the concept of shape.');
INSERT INTO rc_obj_choice VALUES (47,52,'Identifies labels ten colors.  Can label colors in any context.  ie) When given two alike shapes but different colors, can name each color.  Understands color abstractly. ie) Can answer a question: \"What color of crayon would you like?\" without seeing the');
INSERT INTO rc_obj_choice VALUES (48,52,'Identifies and labels at least five colors.  Recognizes color in relation to concrete objects. ie) yellow sun, green grass, brown bear.  Understands color concepts: ie)  Can answer a question: \"What color is it?\" using concrete objects.  Can determine dif');
INSERT INTO rc_obj_choice VALUES (49,52,'Identifies and labels more than one color.  Can answer: \"Is it blue?\" using concrete examples.  Can identify objects of the same color.');
INSERT INTO rc_obj_choice VALUES (50,52,'Does not understand the concept of color.');
INSERT INTO rc_obj_choice VALUES (51,54,'Identifies and labels some letters of the alphabet.   Understands that letters combined make a word. ie) name.  Can determine the diffeerence between letters.  \"Is it an A or a B\"');
INSERT INTO rc_obj_choice VALUES (52,54,'Can identify and label some letters of the alphabet.  Can identify alike and different letters.  Can answer: \"Is it an \"A\"?\" using concrete examples.');
INSERT INTO rc_obj_choice VALUES (53,54,'can identify some letters of the alphabet.  May not label them.  Can group alike letters.  Does not understand the concept of letters.');
INSERT INTO rc_obj_choice VALUES (54,46,'Is knowledgeable about close family members and can share with an adult who belongs in their family.');
INSERT INTO rc_obj_choice VALUES (55,46,'Is able to identify brothers and sisters in their family.');
INSERT INTO rc_obj_choice VALUES (56,46,'Is able to identify some family members with some assistance.');
INSERT INTO rc_obj_choice VALUES (57,46,'Is unable to identify family members from others not in their family.');
INSERT INTO rc_obj_choice VALUES (58,44,'Is able to recognize their printed name in a variety of places throughout the room.');
INSERT INTO rc_obj_choice VALUES (59,44,'Is able to recognize their printed name in at least 2 places in the classroom.');
INSERT INTO rc_obj_choice VALUES (60,44,'Is able to recognize their printed name with some assistnace or clues.');
INSERT INTO rc_obj_choice VALUES (61,44,'Is unable to recognize their printed name even with assistance.');
INSERT INTO rc_obj_choice VALUES (62,45,'Knows their full name, age and their gender and is able to share that information with an adult.');
INSERT INTO rc_obj_choice VALUES (63,45,'Knows part of their name, age, gender and is able to share that information with an adult.');
INSERT INTO rc_obj_choice VALUES (64,45,'Is able to share the information of their name, age, and gender with some assistance from an adult.');
INSERT INTO rc_obj_choice VALUES (65,45,'Is unable to identify their name, age or gender even with assistance.');
INSERT INTO rc_obj_choice VALUES (66,26,'Participates with confidence.  May even ask for or initiate songs and fingerplays.  Can offer rhyming words, understands the rhythm of the verse or music.  Is able to substitute words or fill in the blanks.  Can wait for turn.');
INSERT INTO rc_obj_choice VALUES (67,26,'Participates and shows that he/she knows the words.  May take his turn but may still need a prompt.  May rhyme and is trying the rhythm.  He/she made need some encouragement.');
INSERT INTO rc_obj_choice VALUES (68,26,'More enthusiastically joins in or participates with vocalizations and actions.  May know some of the tune, rhythm, or rhyme.  (needs encouragement)');
INSERT INTO rc_obj_choice VALUES (69,26,'May participate non-verbally.  May clap and do some actions.  (May still be reluctant or apprehensive)');
INSERT INTO rc_obj_choice VALUES (70,27,'Is able to tell the whole story, with no assistance, in the correct sequence and can adapt the story by offering new or novel information.  It may be a silly word or concept but he is able to play with the story.');
INSERT INTO rc_obj_choice VALUES (71,27,'After multiple repetitions (opportunities to hear the same predictable story) can accurately recall a verse of a story.  (ie: Brown Bear.....looking at me)');
INSERT INTO rc_obj_choice VALUES (72,27,'With a model can complete or recall the phrase correctly.  ie) Brown Bear, Brown Bear........or follows a model to fill in the word. ie) Brown Bear, Brown Bear.');
INSERT INTO rc_obj_choice VALUES (73,27,'Cannot fill in a word in a familiar story even with picture assistance.');
INSERT INTO rc_obj_choice VALUES (74,25,'Demonstrates knowledge that a book tells a story.  by \"reading the pictures\" or the story as he remembers it from the teacher.  He/she may have favorite books.  Uses descriptive and novel words relating to story.');
INSERT INTO rc_obj_choice VALUES (75,25,'Chooses/selects book based on interest.  Turns pages one at a time and looks at each page with interest and comments.  Holds the book correctly (not updside down) turns pages, going left to right.  Seems to recognize begining and end.');
INSERT INTO rc_obj_choice VALUES (76,25,'Shows interest in books.  Opens it and looks.');
INSERT INTO rc_obj_choice VALUES (77,25,'No concept of a book.  No recognition of the object by function.  Disregard or inappropriate use (ripping, throwing).');
INSERT INTO rc_obj_choice VALUES (78,30,'In sorting, groups objects together on the basis of two or more attributes.');
INSERT INTO rc_obj_choice VALUES (79,30,'In sorting, groups objects together that are the same in some way but different in other ways ( ie: combines red stars and red circles).  May describe what has been done.');
INSERT INTO rc_obj_choice VALUES (80,30,'Groups identical objects together.');
INSERT INTO rc_obj_choice VALUES (81,30,'Does not yet sort objects into groups.');
INSERT INTO rc_obj_choice VALUES (82,28,'Correctly counts between six and ten objects.');
INSERT INTO rc_obj_choice VALUES (83,28,'Correctly counts between one and five objects.');
INSERT INTO rc_obj_choice VALUES (84,28,'Touches objects and names a number for each one, although the numbers may not be in the correct order.');
INSERT INTO rc_obj_choice VALUES (85,28,'Does not yet relate number words and objects.');
INSERT INTO rc_obj_choice VALUES (86,29,'Compares three or more things using quantitative words appropriately.  (ie: smaller, smallest)');
INSERT INTO rc_obj_choice VALUES (87,29,'Uses quantitative concept words.  (This one is bigger than that one).');
INSERT INTO rc_obj_choice VALUES (88,29,'Follows directions that involve quantitative concepts (ie: take the biggest cookie)');
INSERT INTO rc_obj_choice VALUES (89,29,'Does not yet use or respond to quantitative concepts (ie: bigger, biggest).');
INSERT INTO rc_obj_choice VALUES (90,35,'Can demonstrate 5 basic coordination skills.');
INSERT INTO rc_obj_choice VALUES (91,35,'Can demonstrate 4 basic coordination skills');
INSERT INTO rc_obj_choice VALUES (92,35,'Can demonstrate 2-3 basic coordination skills');
INSERT INTO rc_obj_choice VALUES (93,35,'Can demonstrate 1 or less of the basic coordination skills');
INSERT INTO rc_obj_choice VALUES (94,36,'Completes eye-hand coordination activities unassisted.');
INSERT INTO rc_obj_choice VALUES (95,36,'Completes eye-hand coordination activities with some assistance');
INSERT INTO rc_obj_choice VALUES (96,36,'Completes eye-hand coordination activities with assistance');
INSERT INTO rc_obj_choice VALUES (97,36,'Demonstrates little or no eye-hand coordination');
INSERT INTO rc_obj_choice VALUES (98,38,'Uses thumb, index finger and middle finger to grip writing tools.  Wrist slightly extended.  Demonstrates fine localized movement.');
INSERT INTO rc_obj_choice VALUES (99,38,'Crude approximation of thumb, index, and middle fingers grasp.  No fine localized movement.  Hand moves as a unit.');
INSERT INTO rc_obj_choice VALUES (100,38,'Forearm moves as a unit.  Held with fingers.  Wrist straight.');
INSERT INTO rc_obj_choice VALUES (101,38,'Held with fisted hand, wrist slightly flexed.  arm moves as a unit.');
INSERT INTO rc_obj_choice VALUES (102,37,'Can hold and cut with scissors correctly:  straight line, shapes, non-paper materials.');
INSERT INTO rc_obj_choice VALUES (103,37,'Can hold and cut with scissors correctly:  straight line, simple shapes.');
INSERT INTO rc_obj_choice VALUES (104,37,'Can hold and cut with scissors:  short random strips.');
INSERT INTO rc_obj_choice VALUES (108,37,'Can cut with scissors with assistance.  May not hold correctly.');
INSERT INTO rc_obj_choice VALUES (109,34,'Participates in large motor activities individually and in groups.  Uses a variety of gym equipment and enjoys challenges.');
INSERT INTO rc_obj_choice VALUES (110,34,'Usually participates in large motor activities in groups and individually.  Will try new equipment with guidance.  Accepts challenges with encouragement.');
INSERT INTO rc_obj_choice VALUES (111,34,'Will occasionally participate in large motor activities.  Not confident in whole group activities.  Most of the students time is spent observing or playing alone.  Is not comfortable accepting challenges.');
INSERT INTO rc_obj_choice VALUES (112,34,'Does not participate in large motor activities individually or in groups.  Sits on the sidelines and observes.  Is unwilling to try new equipment or activities..');
INSERT INTO rc_obj_choice VALUES (113,39,'Is engaged in using a variety of tactile materials.');
INSERT INTO rc_obj_choice VALUES (114,39,'Is engaged in using only some tactile materials.');
INSERT INTO rc_obj_choice VALUES (115,39,'Shows preference for specific tactile materials.  ie) Appears to like only soft textures.');
INSERT INTO rc_obj_choice VALUES (116,39,'Has no interest in tactile materials.  May demonstrate dislike of particular textures.');
INSERT INTO rc_obj_choice VALUES (117,47,'Has \"safety sense\".  Is aware of danger and concerned for own safety and that of others.');
INSERT INTO rc_obj_choice VALUES (118,47,'Has some \"safety sense\".  Is able to understand danger but may need reminders.');
INSERT INTO rc_obj_choice VALUES (119,47,'Has \"safety sense\" when guided by an adult.');
INSERT INTO rc_obj_choice VALUES (120,47,'Has no \"safety sense\".  Does not understand dangers to self and others.');
INSERT INTO rc_obj_choice VALUES (121,48,'Understands and follows basic safety rules.');
INSERT INTO rc_obj_choice VALUES (122,48,'Follows most safety rules with reminders.  May not understand their purpose.');
INSERT INTO rc_obj_choice VALUES (123,48,'Follows basic safety rules with constant supervision.');
INSERT INTO rc_obj_choice VALUES (124,48,'Does not understand or follow safety rules.');
INSERT INTO rc_obj_choice VALUES (125,51,'Is Independent in all areas of personal care.  ie) toileting, dressing, hand wahing, cleaning up after snack');
INSERT INTO rc_obj_choice VALUES (126,51,'Needs some assistance in some personal care areas.');
INSERT INTO rc_obj_choice VALUES (127,51,'Needs to be reminded and needs some assistance in all personal care areas.');
INSERT INTO rc_obj_choice VALUES (128,51,'Is unable to care for their personal needs independently and requires assistance in all areas.');
INSERT INTO rc_obj_choice VALUES (129,49,'Is able to follow classroom routines regularly and can predict what comes next.');
INSERT INTO rc_obj_choice VALUES (130,49,'Is able to follow classroom rules and routines most of the time and can sometimes predict what will come next.');
INSERT INTO rc_obj_choice VALUES (131,49,'Is able to follow classroom rules and routines but needs to be given prompts and reminded of what comes next.');
INSERT INTO rc_obj_choice VALUES (132,49,'Is unable to follow any rules or routines without adult assistance.');
INSERT INTO rc_obj_choice VALUES (133,50,'Selects a variety of tasks and completes them independently.');
INSERT INTO rc_obj_choice VALUES (134,50,'Needs some direction to select and complete a variety of tasks.');
INSERT INTO rc_obj_choice VALUES (135,50,'Needs adult assistance in selecting and completing a variety of tasks.');
INSERT INTO rc_obj_choice VALUES (136,50,'Is unable to choose tasks on their own and is not able to complete them without assistance.');
INSERT INTO rc_obj_choice VALUES (137,43,'Initiates and maintains interactions independently.  Engages mainly in cooperative play.');
INSERT INTO rc_obj_choice VALUES (138,43,'Intitiates interactions and can maintain interaction with encouragement and prompts.  Is beginning to play cooperatively.');
INSERT INTO rc_obj_choice VALUES (139,43,'Does not initiate interactions.  Engages in parallel play.');
INSERT INTO rc_obj_choice VALUES (140,43,'Does not initiate interactions with peers.  Chooses to play alone.');
INSERT INTO rc_obj_choice VALUES (141,41,'Is able to positively resolve most conflicts independently.');
INSERT INTO rc_obj_choice VALUES (142,41,'Is able to positively resolve most conflicts with the guidance of an adult.');
INSERT INTO rc_obj_choice VALUES (143,41,'Has a hard time suggesting or following positive actions to resolve conflicts.');
INSERT INTO rc_obj_choice VALUES (144,41,'Cannot resolve conflicts.');
INSERT INTO rc_obj_choice VALUES (145,40,'Shares and takes turns independently.  Shares and takes turns without being asked.');
INSERT INTO rc_obj_choice VALUES (146,40,'Can share and take turns.  Understands sharing and turn taking as part of routine.');
INSERT INTO rc_obj_choice VALUES (147,40,'Is able to share and take turns with prompt and encouragement.');
INSERT INTO rc_obj_choice VALUES (148,40,'Does not share or take turns.');
INSERT INTO rc_obj_choice VALUES (149,42,'Is able to understand feelings of another peer or adult.  May comfort or indicate understanding verbally. ie) He\'s sad.');
INSERT INTO rc_obj_choice VALUES (150,42,'Is able to express own feelings to adult or peer and may verbally express these feelings. ie) I\'m mad.');
INSERT INTO rc_obj_choice VALUES (151,42,'Understands basic \"feeling words\".  Is aware of own feelings.');
INSERT INTO rc_obj_choice VALUES (152,42,'Does not understand feeling words and shows no interest in emotions demonstrated by others.');
INSERT INTO rc_obj_choice VALUES (153,56,'Identifies and labels four shapes. Can label shapes in any context ie) When given two alike shapes but different sizes determines that they are the same shape. Can identify parts of a whole ie) Find the shapes: the wheel on the car is a circle. Underst');
INSERT INTO rc_obj_choice VALUES (154,56,' Identifies and labels at least two shapes. Recognizes shape in relation to concrete objects. ie) the ball is a circle. Understands shape concepts: Can answer a question: \"What shape is it?\" Using concrete objects. Can determine the difference between');
INSERT INTO rc_obj_choice VALUES (155,56,'Identifies and labels one shape. Can answer: \"Is it a circle?\" using concrete examples. Can identify objects of the same shape.');
INSERT INTO rc_obj_choice VALUES (156,56,'Does not understand the concept of shape.');
INSERT INTO rc_obj_choice VALUES (157,55,' Identifies labels ten colors. Can label colors in any context. ie) When given two alike shapes but different colors, can name each color. Understands color abstractly. ie) Can answer a question: \"What color of crayon would you like?\" without seeing the');
INSERT INTO rc_obj_choice VALUES (158,55,'Identifies and labels at least five colors. Recognizes color in relation to concrete objects. ie) yellow sun, green grass, brown bear. Understands color concepts: ie) Can answer a question: \"What color is it?\" using concrete objects. Can determine dif');
INSERT INTO rc_obj_choice VALUES (159,55,'Identifies and labels more than one color. Can answer: \"Is it blue?\" using concrete examples. Can identify objects of the same color');
INSERT INTO rc_obj_choice VALUES (160,55,'Does not understand the concept of color.');
INSERT INTO rc_obj_choice VALUES (162,57,'Can identify and label some letters of the alphabet. Can identify alike and different letters. Can answer: \"Is it an A?\" using concrete examples.');
INSERT INTO rc_obj_choice VALUES (163,57,'Can identify some letters of the alphabet. May not label them. Can group alike letters.');
INSERT INTO rc_obj_choice VALUES (164,57,'Does not understand the concept of letters.');
INSERT INTO rc_obj_choice VALUES (165,60,'Is knowledgeable about close family members and can share with an adult who belongs in their family.');
INSERT INTO rc_obj_choice VALUES (166,60,'Is able to identify brothers and sisters in their family.');
INSERT INTO rc_obj_choice VALUES (167,60,'Is able to identify some family members with some assistance.');
INSERT INTO rc_obj_choice VALUES (168,60,'Is unable to identify family members from others not in their family.');
INSERT INTO rc_obj_choice VALUES (169,58,'Is able to recognize their printed name in a variety of places throughout the room.');
INSERT INTO rc_obj_choice VALUES (170,58,'Is able to recognize their printed name in at least 2 places in the classroom.');
INSERT INTO rc_obj_choice VALUES (171,58,'Is able to recognize their printed name with some assistance or clues.');
INSERT INTO rc_obj_choice VALUES (172,58,'Is unable to recognize their printed name even with assistance.');
INSERT INTO rc_obj_choice VALUES (173,59,'Knows their full name, age and their gender and are able to share that information with an adult.');
INSERT INTO rc_obj_choice VALUES (174,59,'Knows parts  of their name, age, gender and is able to share that information with an adult.');
INSERT INTO rc_obj_choice VALUES (175,59,'Is able to share the information of their name, age and gender with some assistance from an adult.');
INSERT INTO rc_obj_choice VALUES (176,59,'Is unable to identify their name, age or gender even with assistance.');
INSERT INTO rc_obj_choice VALUES (177,61,'Can follow 3 (or more) part directions. More complicated, more abstract with no assistance. (To be completed independently)');
INSERT INTO rc_obj_choice VALUES (178,61,'Can follow 2 part directions without any assistance. Must be completed independently.');
INSERT INTO rc_obj_choice VALUES (179,61,'Can follow one simple single step without any assistance. One direction only. (Does not follow the class and completes task independently)');
INSERT INTO rc_obj_choice VALUES (180,61,'Can follow simple one step direction with provided gesture. May need guidance.');
INSERT INTO rc_obj_choice VALUES (181,62,'Is able to attend to teacher directed activity for ten minutes or more.');
INSERT INTO rc_obj_choice VALUES (182,62,'Is able to attend to teacher directed activity for 6-9 minutes.');
INSERT INTO rc_obj_choice VALUES (183,62,'Is able to attend to teacher directed activity for 2-5 minutes.');
INSERT INTO rc_obj_choice VALUES (184,62,'Is unable to attend to teacher directed activity.');
INSERT INTO rc_obj_choice VALUES (185,63,'Vocabulary words are countless. New words are surprising.');
INSERT INTO rc_obj_choice VALUES (186,63,'New words are used correctly in context.');
INSERT INTO rc_obj_choice VALUES (187,63,'Uses new two word combinations including nouns, verbs, prepositions (on, in etc.) and possessive words (my, your, him\'s, etc.)');
INSERT INTO rc_obj_choice VALUES (188,63,'Vocabulary growth is limited to new single words, nouns and action words, after much repetition. Uses only a few concrete words.');
INSERT INTO rc_obj_choice VALUES (189,64,'Combining many words into sentences which tell about an event, experience, etc. Combines many words using descriptive language. Using connective words and, or, but.');
INSERT INTO rc_obj_choice VALUES (190,64,'Combining 4-5 words. (ie. My big dog go fast) Sentence length is growing.');
INSERT INTO rc_obj_choice VALUES (191,64,'Combining three words (ie. My big dog)');
INSERT INTO rc_obj_choice VALUES (192,64,'Combining two words (ie. Big dog).');
INSERT INTO rc_obj_choice VALUES (193,65,'Can verbally respond to questions using several words. ie: When do you come to school? Why do you need mitts?');
INSERT INTO rc_obj_choice VALUES (194,65,'Can answer harder question types (one word answer will do) (ie. Who lives with you?)');
INSERT INTO rc_obj_choice VALUES (195,65,'Can answer harder questions asked simply ( One words answer) (ie. Where do you live?)');
INSERT INTO rc_obj_choice VALUES (196,65,'Can answer simple questions, ie: What is your name? May need prompting');
INSERT INTO rc_obj_choice VALUES (197,66,'Demonstrates knowledge that a book tells a story. By \'reading the pictures\' or the story as he remembers it from the teacher. He/she may have favorite books. Uses descriptive and novel words relating to story.');
INSERT INTO rc_obj_choice VALUES (198,66,'Chooses/selects book based on interest. Turns pages one at a time and looks at each page with interest and comments. Holds the book correctly (not upside down) turns pages, going left to right. Seems to recognize beginning and end.');
INSERT INTO rc_obj_choice VALUES (199,66,'Shows interest in books. Opens it and looks.');
INSERT INTO rc_obj_choice VALUES (200,66,'No concept of a book. No recognition of the object by function. Disregard or inappropriate use (ripping, throwing)');
INSERT INTO rc_obj_choice VALUES (201,67,'Participates with confidence. May even ask for or initiate songs and fingerplays. Can offer rhyming words, understands the rhythm of the verse or music. Is able to substitute words or fill in the blanks. Can wait for turn.');
INSERT INTO rc_obj_choice VALUES (202,67,'Participates and shows that he/she knows the words. May take his turn but may still need a prompt. May rhyme and is trying the rhythm. He/she made need some encouragement.');
INSERT INTO rc_obj_choice VALUES (203,67,'More enthusiastically joins in or participates with vocalizations and actions. May know some of the tune, rhythm, or rhyme (needs encouragement).');
INSERT INTO rc_obj_choice VALUES (204,67,'May participate non-verbally. May clap and some actions (May still be reluctant or apprehensive).');
INSERT INTO rc_obj_choice VALUES (205,68,'Is able to tell the whole story, with no assistance, in the correct sequence and can adapt the story by offering new or novel information. It may be a silly word or concept but he is able to play with the story.');
INSERT INTO rc_obj_choice VALUES (206,68,'After multiple repetitions (opportunities to hear the same predictable story) can accurately recall a verse or a story (ie. Brown Bear . . . looking at me).');
INSERT INTO rc_obj_choice VALUES (207,68,'With a model can complete or recall the phrase correctly ie. Brown Bear  ________________ or follows a model to fill in the word. Ie) Brown Bear, Brown Bear');
INSERT INTO rc_obj_choice VALUES (208,68,'Cannot fill in a word in a familiar story even with picture assistance.');
INSERT INTO rc_obj_choice VALUES (209,31,'Correctly counts between six and ten objects.');
INSERT INTO rc_obj_choice VALUES (210,31,'Correctly counts between one and five objects.');
INSERT INTO rc_obj_choice VALUES (211,31,'Touches objects and names a number for each one, although the numbers may not be in the correct order.');
INSERT INTO rc_obj_choice VALUES (212,31,'Does not yet relate number words objects.');
INSERT INTO rc_obj_choice VALUES (213,32,'Compares three or more things using quantitative words appropriately. (ie: smaller, smallest)');
INSERT INTO rc_obj_choice VALUES (214,32,'Uses quantitative concept words. (ie: This one is bigger than that one)');
INSERT INTO rc_obj_choice VALUES (215,32,'Follows directions that involve quantitative concepts (ie: take the biggest cookie).');
INSERT INTO rc_obj_choice VALUES (216,32,'Does not yet use or respond to quantitative concepts (ie: bigger, biggest)');
INSERT INTO rc_obj_choice VALUES (217,33,'In sorting, groups objects together on the basis of two or more attributes.');
INSERT INTO rc_obj_choice VALUES (218,33,'In sorting, groups objects together that are the same in some way but different in other ways (ie: combines red stars and red circles). May describe what has been done.');
INSERT INTO rc_obj_choice VALUES (219,33,'Groups identical objects together.');
INSERT INTO rc_obj_choice VALUES (220,33,'Does not yet sort objects into groups.');
INSERT INTO rc_obj_choice VALUES (221,70,'Can demonstrate 5 basic coordination skills.');
INSERT INTO rc_obj_choice VALUES (222,70,'Can demonstrate 4 basic coordination skills.');
INSERT INTO rc_obj_choice VALUES (223,70,'Can demonstrate 2 or 3 basic coordination skills.');
INSERT INTO rc_obj_choice VALUES (224,70,'Can demonstrate 1 or less of the basic coordination skills.');
INSERT INTO rc_obj_choice VALUES (225,69,'Participates in large motor activities individually and in groups. Uses a variety of gym equipment and enjoys challenges.');
INSERT INTO rc_obj_choice VALUES (226,69,'Usually participates in large motor activities in groups and individually. Will try new equipment with guidance. Accepts challenges with encouragement.');
INSERT INTO rc_obj_choice VALUES (227,69,'Will occasionally participate in large motor activities. Not confident in whole group activities. Most of the students time is spent observing or playing alone. Is not comfortable accepting challenges.');
INSERT INTO rc_obj_choice VALUES (228,69,'Does not participate in large motor activities individually or in groups. Sits on the sidelines and observes. Is unwilling to try new equipment or activities.');
INSERT INTO rc_obj_choice VALUES (229,71,'Completes eye-hand coordination activities unassisted.');
INSERT INTO rc_obj_choice VALUES (230,71,'Completes eye-hand coordination activities with some assistance.');
INSERT INTO rc_obj_choice VALUES (231,71,'Completes eye-hand coordination activities with assistance.');
INSERT INTO rc_obj_choice VALUES (232,71,'Demonstrates little or no eye-hand coordination.');
INSERT INTO rc_obj_choice VALUES (233,72,'Can hold and cut with scissors correctly: straight line, shapes, non-paper materials.');
INSERT INTO rc_obj_choice VALUES (234,72,'Can hold and cut with scissors correctly: straight line, simple shapes');
INSERT INTO rc_obj_choice VALUES (235,72,'Can hold and cut with scissors: short random strips.');
INSERT INTO rc_obj_choice VALUES (236,72,'Can cut with scissors with assistance. May not hold correctly.');
INSERT INTO rc_obj_choice VALUES (237,73,'Uses thumb, index finger and middle finger to grip writing tools. Wrist slightly extended. Demonstrates fine localized movement.');
INSERT INTO rc_obj_choice VALUES (238,73,'Crude approximation of thumb, index and middle finger grasp. No fine localized movement. Hand moves as a unit.');
INSERT INTO rc_obj_choice VALUES (239,73,'Forearm moves as a unit. Held with fingers. Wrist straight.');
INSERT INTO rc_obj_choice VALUES (240,73,'Held with fisted hand, wrist slightly flexed. Arm moves as a unit.');
INSERT INTO rc_obj_choice VALUES (241,74,'Is engaged in using a variety of tactile materials.');
INSERT INTO rc_obj_choice VALUES (242,74,'Is engaged using only some tactile media.');
INSERT INTO rc_obj_choice VALUES (243,74,'Shows preference for specific tactile materials. ie) Appears to like only soft textures.');
INSERT INTO rc_obj_choice VALUES (244,74,'Has no interest in tactile materials. May demonstrate dislike of particular textures.');
INSERT INTO rc_obj_choice VALUES (245,75,'Has \'safe sense\'. Is aware of danger and concerned for own safety and that of others.');
INSERT INTO rc_obj_choice VALUES (246,75,'Has some \'safety sense\'. Is able to understand danger but may need reminders.');
INSERT INTO rc_obj_choice VALUES (247,75,'Has \'safety sense\' when guided by an adult.');
INSERT INTO rc_obj_choice VALUES (248,75,'Has no \'safety sense\'. Does not understand dangers to self and others.');
INSERT INTO rc_obj_choice VALUES (249,76,'Understands and follows basic safety rules');
INSERT INTO rc_obj_choice VALUES (250,76,'Follows most safety rules with reminders. May not understand their purpose.');
INSERT INTO rc_obj_choice VALUES (251,76,'Follows basic safety rules with constant supervision.');
INSERT INTO rc_obj_choice VALUES (252,76,'Does not understand or follow safety rules.');
INSERT INTO rc_obj_choice VALUES (253,77,'Is able to follow classroom routines regularly and can predict what comes next.');
INSERT INTO rc_obj_choice VALUES (254,77,'Is able to follow classroom rules and routines most of the time and can sometimes predict what will come next.');
INSERT INTO rc_obj_choice VALUES (255,77,'Is able to follow classroom rules and routines but needs to be given prompts and reminded of what comes next.');
INSERT INTO rc_obj_choice VALUES (256,77,'Is unable to follow any rules or routines without adult assistance.');
INSERT INTO rc_obj_choice VALUES (257,78,'Selects a variety of tasks and completes them independently.');
INSERT INTO rc_obj_choice VALUES (258,78,'Needs some direction to select and complete a variety of tasks.');
INSERT INTO rc_obj_choice VALUES (259,78,'Needs adult assistance in selecting and completing a variety of tasks.');
INSERT INTO rc_obj_choice VALUES (260,78,'Is unable to choose tasks on their own and is not able to complete them without assistance.');
INSERT INTO rc_obj_choice VALUES (261,79,'Is independent in all areas of personal care. ie) toileting, dressing, hand washing, cleaning up after snack.');
INSERT INTO rc_obj_choice VALUES (262,79,'Needs some assistance in some personal care areas.');
INSERT INTO rc_obj_choice VALUES (263,79,'Needs to be reminded and needs some assistance in all personal care areas.');
INSERT INTO rc_obj_choice VALUES (264,79,'Is unable to care for their personal needs independently and requires assistance in all areas.');
INSERT INTO rc_obj_choice VALUES (265,80,'Shares and takes turns independently. Shares and takes turns without being asked.');
INSERT INTO rc_obj_choice VALUES (266,80,'Can share and take turns. Understands sharing and turn taking as part of routine.');
INSERT INTO rc_obj_choice VALUES (267,80,'Is able to share and take turns with prompt and encouragement.');
INSERT INTO rc_obj_choice VALUES (268,80,'Does not share or take turns.');
INSERT INTO rc_obj_choice VALUES (269,81,'Is able to positively resolve most conflicts independently.');
INSERT INTO rc_obj_choice VALUES (270,81,'Is able to positively resolve most conflicts with the guidance of an adult.');
INSERT INTO rc_obj_choice VALUES (271,81,'Has a hard time suggesting or following positive actions to resolve conflicts.');
INSERT INTO rc_obj_choice VALUES (272,81,'Cannot resolve conflicts.');
INSERT INTO rc_obj_choice VALUES (273,82,'Is able to understand feelings of another peer or adult. May comfort or indicate understanding verbally. ie) He\'s sad.');
INSERT INTO rc_obj_choice VALUES (274,82,'Is able to express own feelings to adult or peer and may verbally express these feelings. ie) I\'m mad.');
INSERT INTO rc_obj_choice VALUES (275,82,'Understands basic \'feeling words\'. Is aware of own feelings.');
INSERT INTO rc_obj_choice VALUES (276,82,'Does not understand feeling words and shows no interest in emotions demonstrated by others.');
INSERT INTO rc_obj_choice VALUES (277,83,'Initiates and maintains interactions independently. Engages mainly in cooperative play.');
INSERT INTO rc_obj_choice VALUES (278,83,'Initiates interactions and can maintain interaction with encouragement and prompts. Is beginning to play cooperatively.');
INSERT INTO rc_obj_choice VALUES (279,83,'Does not initiate interactions. Engages in parallel play.');
INSERT INTO rc_obj_choice VALUES (280,83,'Does not initiate interactions with peers. Chooses to play alone.');

--
-- Table structure for table `rc_obj_eval`
--

CREATE TABLE rc_obj_eval (
  id int(11) NOT NULL auto_increment,
  studnum int(11) default NULL,
  objid int(11) default NULL,
  term tinyint(3) unsigned default NULL,
  eval text default NULL,
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- Table structure for table `rc_objective`
--

CREATE TABLE rc_objective (
  id int(11) NOT NULL auto_increment,
  subjsec varchar(32) default NULL,
  description text default NULL,
  groupname varchar(64) default NULL,
  groupseq int(11) default NULL,
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rc_objective`
--

INSERT INTO rc_objective VALUES (18,'100-2','Follows Directions','Language',100);
INSERT INTO rc_objective VALUES (19,'100-2','Attends to teacher directed activity','Language',110);
INSERT INTO rc_objective VALUES (20,'100-2','Uses New Words Appropriately','Language',120);
INSERT INTO rc_objective VALUES (21,'100-2','Connects Words','Language',130);
INSERT INTO rc_objective VALUES (22,'100-2','Answers Questions','Language',140);
INSERT INTO rc_objective VALUES (25,'110-1','Understands book concept',NULL,121);
INSERT INTO rc_objective VALUES (26,'110-1','Participates in Songs and Fingerplays',NULL,122);
INSERT INTO rc_objective VALUES (27,'110-1','Recalls stories, predicts and sequences',NULL,123);
INSERT INTO rc_objective VALUES (28,'120-2','Counts numbers 1-10 and 1 to one correspondance',NULL,131);
INSERT INTO rc_objective VALUES (29,'120-2','Uses comparison words',NULL,132);
INSERT INTO rc_objective VALUES (30,'120-2','Can group and match sets (classifying, sorting)',NULL,NULL);
INSERT INTO rc_objective VALUES (31,'120-1','Counts 1-10 (1-1 correspondence)',NULL,121);
INSERT INTO rc_objective VALUES (32,'120-1','Uses comparison words',NULL,122);
INSERT INTO rc_objective VALUES (33,'120-1','Can classify and sort sets',NULL,123);
INSERT INTO rc_objective VALUES (34,'130-1','Participates in large motor activities',NULL,124);
INSERT INTO rc_objective VALUES (35,'130-1','Demonstrates basic coordination skills',NULL,125);
INSERT INTO rc_objective VALUES (36,'130-1','Demonstrates eye-hand coordination',NULL,126);
INSERT INTO rc_objective VALUES (37,'130-1','Holds and cuts with scissors',NULL,127);
INSERT INTO rc_objective VALUES (38,'130-1','Demonstrates proper writing grip',NULL,128);
INSERT INTO rc_objective VALUES (39,'130-1','Uses a variety of tactile materials',NULL,129);
INSERT INTO rc_objective VALUES (40,'140-1','Shares and takes turns',NULL,141);
INSERT INTO rc_objective VALUES (41,'140-1','Resolves conflicts positively',NULL,142);
INSERT INTO rc_objective VALUES (42,'140-1','Understands feelings',NULL,143);
INSERT INTO rc_objective VALUES (43,'140-1','Initiates and maintains peer interactions',NULL,144);
INSERT INTO rc_objective VALUES (44,'150-1','Identifies name in print',NULL,151);
INSERT INTO rc_objective VALUES (45,'150-1','Knows full name, age, and gender',NULL,152);
INSERT INTO rc_objective VALUES (46,'150-1','Identifies \"family unit\"',NULL,153);
INSERT INTO rc_objective VALUES (47,'160-1','Demonstrates safety sense',NULL,161);
INSERT INTO rc_objective VALUES (48,'160-1','Follows basic health and safety practice',NULL,162);
INSERT INTO rc_objective VALUES (49,'170-1','Follows Classroom rules and routines',NULL,171);
INSERT INTO rc_objective VALUES (50,'170-1','Selects and completes tasks independently',NULL,172);
INSERT INTO rc_objective VALUES (51,'170-1','Attends to Personal Care',NULL,173);
INSERT INTO rc_objective VALUES (52,'180-1','Can identify ten basic colors, red, yellow, blue, green, orange, purple, pink, brown, black, white',NULL,181);
INSERT INTO rc_objective VALUES (53,'180-1','Can identify four shapes',NULL,182);
INSERT INTO rc_objective VALUES (54,'180-1','Can identify the letters of  alphabet',NULL,183);
INSERT INTO rc_objective VALUES (55,'180-2','Can identify ten basic colors, red, yellow, blue, green, orange, purple, pink, brown, black, white','PK',181);
INSERT INTO rc_objective VALUES (56,'180-2','Can identify four shapes','PK',182);
INSERT INTO rc_objective VALUES (57,'180-2','Can identify the letters of alphabet','PK',183);
INSERT INTO rc_objective VALUES (58,'150-2','Identifies name in print','pk',151);
INSERT INTO rc_objective VALUES (59,'150-2','Knows full name, age, and gender','pk',152);
INSERT INTO rc_objective VALUES (60,'150-2','Identifies \"family unit\"	','pk',153);
INSERT INTO rc_objective VALUES (61,'100-1','Follows Directions',NULL,101);
INSERT INTO rc_objective VALUES (62,'100-1','Attends to teacher directed activity',NULL,102);
INSERT INTO rc_objective VALUES (63,'100-1','Uses New Words Appropriately',NULL,103);
INSERT INTO rc_objective VALUES (64,'100-1','Connects Words',NULL,104);
INSERT INTO rc_objective VALUES (65,'100-1','Answers Questions',NULL,105);
INSERT INTO rc_objective VALUES (66,'110-2','Understands book concept',NULL,121);
INSERT INTO rc_objective VALUES (67,'110-2','Participates in Songs and Fingerplays',NULL,122);
INSERT INTO rc_objective VALUES (68,'110-2','Recalls stories, predicts and sequences',NULL,123);
INSERT INTO rc_objective VALUES (69,'130-2','Participates in large motor activities',NULL,124);
INSERT INTO rc_objective VALUES (70,'130-2','Demonstrates basic coordination skills',NULL,125);
INSERT INTO rc_objective VALUES (71,'130-2','Demonstrates eye-hand coordination',NULL,126);
INSERT INTO rc_objective VALUES (72,'130-2','Holds and cuts with scissors',NULL,127);
INSERT INTO rc_objective VALUES (73,'130-2','Demonstrates proper writing grip',NULL,128);
INSERT INTO rc_objective VALUES (74,'130-2','Uses a variety of tactile materials',NULL,129);
INSERT INTO rc_objective VALUES (75,'160-2','Demonstrates safety sense',NULL,161);
INSERT INTO rc_objective VALUES (76,'160-2','Follows basic health and safety practice',NULL,162);
INSERT INTO rc_objective VALUES (77,'170-2','Follows Classroom rules and routines',NULL,171);
INSERT INTO rc_objective VALUES (78,'170-2','Selects and completes tasks independently',NULL,172);
INSERT INTO rc_objective VALUES (79,'170-2','Attends to Personal Care',NULL,173);
INSERT INTO rc_objective VALUES (80,'140-2','Shares and takes turns',NULL,141);
INSERT INTO rc_objective VALUES (81,'140-2','Resolves conflicts positively',NULL,142);
INSERT INTO rc_objective VALUES (82,'140-2','Understands feelings',NULL,143);
INSERT INTO rc_objective VALUES (83,'140-2','Initiates and maintains peer interactions',NULL,144);

--
-- Table structure for table `rc_subject`
--

CREATE TABLE rc_subject (
  id int(11) NOT NULL auto_increment,
  subjsec varchar(32) default NULL,
  description varchar(255) default NULL,
  smdesc varchar(8) default NULL,
  startterm tinyint(3) unsigned default NULL,
  endterm tinyint(3) unsigned default NULL,
  sequence int(11) default NULL,
  studgrpname varchar(255) default NULL,
  studgrpvalue varchar(255) default NULL,
  markscheme text,
  schedppc1 int(11) default NULL,
  schedppc2 int(11) default NULL,
  schedppc3 int(11) default NULL,
  schedppc4 int(11) default NULL,
  backwith varchar(16) default NULL,
  credit varchar(8) default NULL,
  difficulty varchar(4) default NULL,
  area varchar(255) default NULL,
  calcavg char(1) default NULL,
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rc_subject`
--

INSERT INTO rc_subject VALUES (11,'110-1','Literacy','Lit',1,3,400,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (10,'110-2','Literacy','Lit',1,3,400,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (9,'100-1','Language','Comm',1,3,300,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (8,'100-2','Language','Comm',1,3,300,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (12,'120-1','Number Skills','number',1,3,500,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (13,'120-2','Number Skills','number',1,3,500,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (14,'130-1','Physical Skills','physical',1,3,600,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (15,'130-2','Physical Skills','Physical',1,3,600,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (16,'140-1','Social Skills','social',1,3,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (17,'140-2','Social Skills','Social',1,3,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (18,'150-1','All About Me','Me',1,3,200,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (19,'150-2','All About Me','Me',1,2,200,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (20,'160-1','Safety','Safety',1,2,700,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (21,'160-2','Safety','Safety',1,3,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (22,'170-1','Self-Help','Help',1,2,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (23,'170-2','Self-Help','Help',1,3,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (24,'180-1','Academic Skills','Academic',1,3,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');
INSERT INTO rc_subject VALUES (25,'180-2','Academic Skills','Academic',1,3,100,'Grade','PK','',NULL,NULL,NULL,NULL,NULL,'','','','N');

--
-- Table structure for table `rc_teacher`
--

CREATE TABLE rc_teacher (
  id int(11) NOT NULL auto_increment,
  subjsec varchar(32) default NULL,
  userid varchar(40) default NULL,
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

