#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('View Educators' => 'View Educators',
	   'Admin' => 'Admin',
	   'Objectives' => 'Objectives',
	   'Top' => 'Top',
	   'Error' => 'Error',
	   'Name' => 'Name',
	   'Userid' => 'Userid',
	   'Password' => 'Password',
	   'School Dbase' => 'School Dbase',
	   'Edit' => 'Edit',
	   'Delete' => 'Delete',

	   );

use DBI;
use CGI;

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;

# Read config variables
eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head><title>". $lex{'View Educators'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">
</head><body><a name=\"top\"></a>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
print "<center><h1>". $lex{'View Educators'}. "</h1>\n";

print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
print "<tr><th>". $lex{Name}. "</th><th>". $lex{Userid}. "</th><th>". $lex{Password};
print "</th><th>". $lex{'School Dbase'}. "</th><th></th><th></th></tr>\n";

my $sth = $dbh->prepare("select * from educator order by lastname, firstname");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

while ( my $hr = $sth->fetchrow_hashref ) {

    print "<tr><td>$hr->{firstname} $hr->{lastname}</td><td>$hr->{userid}</td>\n";
    print "<td>$hr->{password}</td><td>$hr->{schooldbase}</td>\n";

    print "<td><form action=\"edued.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"id\" value=\"$hr->{id}\">\n";
    print "<input type=\"submit\" value=\"". $lex{Edit}. "\"></form></td>\n";

    print "<td><form action=\"edudel.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"id\" value=\"$hr->{id}\">\n";
    print "<input type=\"submit\" value=\"". $lex{Delete}. "\"></form></td>\n";


    
} # End of loop 

print "</table>\n";
print "<p>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]</p></body></html>\n";
