#!/usr/bin/perl
#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  Power Delete Evaluation Records - at year end.
#   Passed a hash of student numbers to delete. Then check for any more
#   existing records and whose they are.

use CGI;
use DBI;

$q = new CGI;

# Http Header to return
print $q->header; 

%arr = $q->Vars;

do "ppp.conf" or die "Cannot open ppp.conf!";

print "$doctype\n<html><head><title>Results of Evaluation Deletion</title>
<link rel=\"stylesheet\" href=\"/ppp.css\" type=\"text/css\">
</head><body><p>[ <a href=\"$adminpage\">Admin</a> ]
<center><h1>Evaluation Record Deletion</h1></center>\n";


$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

#die;  # Just in case I get stupid

$sth = $dbh->prepare("delete from eval where studnum = ?");
$sth1 = $dbh->prepare("delete from evalmst where studnum = ?");

foreach my $studnum (keys %arr){
    $sth->execute($studnum);
    $sth1->execute($studnum);
}

if ($DBI::errstr) {
    print " Record Deletion Failed. Please contact $adminname<br>
     $DBI::errstr \n";
} 

my $emptyflag = 1; # assume it's empty.
$sth = $dbh->prepare("select distinct eval.studnum, special.lastname, 
  special.firstname from eval,special 
  where eval.studnum = special.studnum 
  order by special.lastname, special.firstname"); # any left?
$sth->execute;
while (my ($studnum,$lastname,$firstname) = $sth->fetchrow){
    $emptyflag = 0;
    print "$firstname $lastname ($studnum) still has evalution records.<br>\n";
}
if ($emptyflag){ # no records left.
 print"<h2>All evaluation records have been erased. The table is empty.</h2>\n";
}

print "<p>[ <a href=\"$adminpage\">Admin</a> ]</p>\n";
print "</center></body></html>";
