#!/usr/bin/perl

#  Copyright 2001-2007 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Personnel Entry' => 'Personnel Entry',
	   'Admin' => 'Admin',
	   'User Id' => 'User Id',
	   'Last Name' => 'Last Name',
	   'First Name' => 'First Name',
	   'Job Title' => 'Job Title',
	   'Agency' => 'Agency',
	   'Phone' => 'Phone',
	   'E-Mail' => 'E-Mail',
	   'Save Personnel Record' => 'Save Personnel Record',
	   


	   );


use DBI;
use CGI;

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;
my $studnum = $arr{studnum};

my @tim = localtime(time);
my $year = $tim[5] + 1900;
my $month = $tim[4] + 1;
my $currdate = "$year-$month-$tim[3]";

require "ppp.conf" or die "Cannot open ppp.conf!";
require "$globdir/global.conf" || die "Cannot read the global.conf file!";

print "$doctype\n<html><head><title>". $lex{'Personnel Entry'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"/ppp.css\" type=\"text/css\"></head><body>\n";
print "[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
print "<center><h1>". $lex{'Personnel Entry'}. "</h1>\n";

print "<form action=\"pradd1.pl\" method=\"post\">\n";
print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";

print "<tr><td align=\"right\">". $lex{'User Id'}. "</td>
<td><input type=\"text\" name=\"userid\" size=\"10\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Last Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"lastname\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'First Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"firstname\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Job Title'}. "</td>\n<td>";
print "<input type=\"text\" name=\"jobtitle\" size=\"20\" ></td></tr>\n";

print "<tr><td align=\"right\">". $lex{Agency}. "</td>\n<td>";
print "<input type=\"text\" name=\"agency\" size=\"20\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{Phone}. "</td>\n<td>";
print "<input type=\"text\" name=\"phone\" size=\"20\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'E-Mail'}. "</td>\n<td>";
print "<input type=\"text\" name=\"email\" size=\"20\"></td></tr>\n";

print "<tr><td colspan=\"2\" align=\"center\">\n";
print "<input type=\"submit\" value=\"". $lex{'Save Personnel Record'}. "\">\n";
print "</td></tr></table>\n";

print "</form></center></body></html>\n";

