#!/usr/bin/perl
#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

use DBI;
use CGI 

$q = CGI->new;

# Http Header to return
print $q->header; 

%arr = $q->Vars;

# Read config variables
require "ppp.conf" || die "Cannot read admin.conf!";
require "$globdir/global.conf" || die "Cannot read the global.conf file!";

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

# Print Page Header
print <<"EOH";
$doctype\n<html><head><title>Multi Edit/Delete Subject Objectives</title>
<link rel="stylesheet" href="/ppp.css" type="text/css">
</head><body><a name="top"></a>[ <a href="$adminpage">Admin</a> ]
<center><h1><b>Multi</b> - Edit/Delete Objectives</h1>
<p>Click on <i>Name</i> to <b>Edit</b></p>
EOH

$sth = $dbh->prepare("select distinct catnum,category from subject 
 order by catnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die;}

print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">
<tr><th>Cateogry</th><th>Recat</th></tr>\n";

while(@arr = $sth->fetchrow){
    print "<tr><td><a href=\"/cgi-bin/admin/submuled.pl?cat=$arr[0]\">";
    print "<b>$arr[1]</b></a> ($arr[0])</td><td>";
    print "<a href=\"/cgi-bin/admin/subrecat.pl?cat=$arr[0]\">Recat</a></td></tr>\n";
}
print "</table></center></body></html>";
