#!/usr/bin/perl
#  Copyright 2001-2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# submuled0.pl - Subject Category Multi-edit. 
#  - will also allow objective deletion and re-ordering.

use DBI;
use CGI;

$q = new CGI;

# Http Header to return
print $q->header; 

%arr = $q->Vars;
my $catnum = $arr{cat};
my $update = $arr{update};

require "ppp.conf" or die "Cannot open ppp.conf!";

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

if ($update){ # update passed records.
    &update;
}

$sth = $dbh->prepare("select * from subject where catnum = '$catnum'
  order by idnum");
$sth->execute;
if ($DBI::errstr) { print "$DBI::errstr"; die;}

print <<"EOF";
$doctype\n<html><head><title>Multi Edit Subject</title>
<link rel="stylesheet" href="/ppp.css" type="text/css">
</head><body>[ <a href="$adminpage">Admin</a> |
<a href="/cgi-bin/admin/submuldeled.pl">Edit Other Categories</a> | 
<a href="/cgi-bin/admin/subrecat.pl?cat=$catnum">Recategorize</a> ]

<center><h2>Multi-Edit Category</h2>
<p>A <b>Blank</b> Id Num will <b>Delete</b> the objective.<br>
<b>Renumber</b> the ID Num's to <b>Rearrange</b> the objectives.<br>
<b>Edit</b> the text to <b>Change</b> the objective</p>


<table cellpadding="2" cellspacing="0" border="1">
<tr><th>Cat<br>Num</th><th>Category</th><th>ID<br>Num</th>
 <th>Objective</th></tr>
<form action="/cgi-bin/admin/submuled.pl" method="post">
<input type="hidden" name="update" value="1">
<input type="hidden" name="cat" value="$catnum">
EOF
print "<tr><td colspan=\"4\" align=\"center\"><input type=\"submit\" ";
print "value=\"Update these objectives\"></td></tr>\n";


while (@arr = $sth->fetchrow){
    print "<tr><td>$arr[1]</td><td>$arr[2]</td><td>";
    print "<input type=\"text\" name=\"ID-$arr[0]\" value=\"$arr[3]\" ";
    print "size=\"6\"></td>\n";
    print "<td><input type=\"text\" name=\"$arr[0]\" size=\"75\" ";
    print "value=\"$arr[5]\"></td></tr>\n";
}

print "<tr><td colspan=\"4\" align=\"center\"><input type=\"submit\" ";
print "value=\"Update these objectives\"></form></td>\n";
print "</tr></table></center>\n";
print "[ <a href=\"$adminpage\">Admin</a> |
<a href=\"/cgi-bin/admin/submuldeled.pl\">Edit Other Categories</a> | 
<a href=\"/cgi-bin/admin/subrecat.pl?cat=$catnum\">Recategorize</a> ]";
print "</body></html>\n";

#================== Functions

#----------
sub update { # update subject records (ie. objectives)
#----------
    foreach my $key (keys %arr) { 
	($idtext, $idrec) = split /-/,$key;
	if ($idtext eq "ID" and $arr{$key}){ 
	    # if we have an idnum pair AND a non-blank idnum field; update it.
	    # $idrec is the record number, $arr{$idrec} is objective text
	    # $arr{$key} is the value of the idnum for this objective.
	    #  (the identifying number of this objective within the category)
	    # Simple, right?

	    $arr{$idrec} =~ s/'/"/g;
	    $arr{$idrec} =~ s/\\/\\\\/g;

	    #print "Idnum: $arr{$key} Objective:$arr{$idrec} ID:$idrec<br>\n";
	    $sth = $dbh->prepare("update subject set
	     description='$arr{$idrec}', idnum = '$arr{$key}' 
	     where id = '$idrec'");
	    $sth->execute;
	    if ($DBI::errstr){ print $DBI::errstr; die;}
	} elsif ($idtext eq "ID" and not $arr{$key}){ 
	    # Blank key, erase this record
	    $sth = $dbh->prepare("delete from subject 
	     where id = '$idrec'");
	    $sth->execute;
	    if ($DBI::errstr){ print $DBI::errstr; die;}
	}

    } # keys loop
}
