#!/usr/bin/perl
#  Copyright 2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Error' => 'Error',
	   'Duplicate Check for IDNUM in Subject!' => 'Duplicate Check for IDNUM in Subject!',
	   'Duplicate for id number' => 'Duplicate for id number',

	   );


use DBI;
use CGI;

# Check for duplicates of idnum

my $q = new CGI;
print $q->header;
my %arr = $q->Vars;

# Read config variables
eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select id, catnum, idnum from subject  order by catnum, idnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

print "$doctype\n<title>". $lex{'Duplicate Check for IDNUM in Subject!'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\"></head><body>\n";
print "<center><h1>". $lex{'Duplicate Check for IDNUM in Subject!'}. "</h1>\n";

my $currid;
my $previd;

while ( my ($id, $catnum, $idnum)  = $sth->fetchrow ) {

    my $previd = $currid;
    my $currid = $idnum;

    #print "ID: $id CATNUM: $catnum IDNUM: $idnum<br>\n";
    if ($currid == $previd ) {
	print $lex{'Duplicate for id number'}. ": $id - $catnum - $idnum<br>\n\n";
    }

}

print "</body></html>\n";
