#---------------
sub latex_filter {  # Escape those funny LaTeX Characters.
#---------------
    foreach my $value ( @_ ){

	$value =~ s/\000//g; # remove nulls.
	$value =~ s/\222|\223|\224|\225|\226//g; # remove high MS Characters
	$value =~ s/\205/.../g;
	$value =~ s/\$/\\\$/g;
	$value =~ s/#/\\#/g;
	$value =~ s/&/\\&/g;
	$value =~ s/%/\\%/g;
	$value =~ s/\{/\\\{/g;
	$value =~ s/\}/\\\}/g;
	$value =~ s/\^/\\^/g;
	$value =~ s/_/\\_/g;
	$value =~ s/~/\\~/g;
	$value =~ s/>/\$>\$/g; # > and < put into math mode
	$value =~ s/</\$<\$/g;
    }
    return @_;

} # end of sub latex_filter;

# Older Methods; Any Merit?
#$value =~ s/([^\\])#/$1\\#/g;
#$value =~ s/\$/\Q\\$\E/g;
# Match any &, not having a leading backslash to escape it.
# $value =~ s/([^\\])&/$1\\&/g;
1; #true
