#!/usr/bin/perl
#  Copyright 2001-2005 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

use DBI;
use CGI;
use FreezeThaw qw(thaw);

$q = new CGI;

# Http Header to return
print $q->header;


require "ppp.conf" || die "Cannot open admin.conf!";

$dsn = "DBI:$dbtype:dbname=$dbase";
$dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select * from sessions");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr;}
$rows = $sth->rows;

print "$doctype\n<html><head><title>View Sessions</title>
 <link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
 </head><body><a name=\"top\"></a>[ <a href=\"$tchpage\">Main</a> ]\n";

print "<table border=\"1\" cellpadding=\"2\" cellspacing=\"0\">
 <tr><th>ID</th><th>Session Values</th></tr>";

while (my ($id,$session) = $sth->fetchrow){
    @sess = thaw $session;
    print "<tr><td>$id</td><td>";
    foreach my $sess (@sess){
	foreach my $key (keys %{$sess}){
	    print "K:$key V:${$sess}{$key}<br>\n";
	    if ($key eq "_SESSION_EXPIRE_LIST"){
		my $expref = \%{ ${$sess}{$key} };
        	foreach my $k (keys %{$expref}){ print "<b>K:$k V:${$expref}{$k}</b><br>\n";}
	    }
	}
    }
    print "</td></tr>\n";
}

print "</table>";
print "</center></body></html>";
