#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#NOTE: To Do: Fix yesterday, today, all at bottom (after attdeled.pl fixed).


my %lex = (
	   'Delete Attendance Records' => 'Delete Attendance Records',
	   'Student' => 'Student',
	   'Date' => 'Date',
	   'Reason' => 'Reason',
	   'Period' => 'Period',
	   'Attendance' => 'Attendance',
	   'Delete the Record' => 'Delete the Record',
	   'Edit/Delete Another Record' => 'Edit/Delete Another Record',
	   'Record deleted' => 'Record deleted',
	   'Record Deletion Failed' => 'Record Deletion Failed',
	   'Contact' => 'Contact',
	   'Error' => 'Error',
	   'Main' => 'Main',
	   'Are you sure you want to delete this record' => 
	     'Are you sure you want to delete this record',

	   );

my $self = 'attdel.pl';

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset => $charset ); 
my %arr = $q->Vars;


my $studentname = $arr{name};

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select studentid, absdate, reason, period 
  from attend where attid = ?"); 
$sth->execute( $arr{recnum} );
if ( $DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
my ( $studnum, $date, $reason, $period ) = $sth->fetchrow;

print "$doctype\n<html><head><title>". $lex{'Delete Attendance Records'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$attpage\">". $lex{Attendance}. "</a> ]\n";
print '<center><h1>'. $lex{'Delete Attendance Records'}. "</h1>\n";

if ($arr{deleteflag}) {
    delete $arr{deleteflag};
    deleteRecord();
}

print "<table><tr><td align=\"right\">". $lex{Student}. ":</td>
<td><b>$studnum</b> - $studentname</td></tr>\n";

print "<tr><td align=\"right\">". $lex{Date}. ":</td><td> $date</td></tr>\n";
print "<tr><td align=\"right\">". $lex{Reason}. ":</td><td> $reason</td></tr>\n";
print "<tr><td align=\"right\">". $lex{Period}. ":</td><td> $period</td></tr>\n";
print "</table>\n";

print "<p><em>". $lex{'Are you sure you want to delete this record'}. "?</em></p>\n";
print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"attid\" value=\"$arr{recnum}\">
<input type=\"hidden\" name=\"deleteflag\" value=\"1\">
<input type=\"hidden\" name=\"name\" value=\"$studentname\">
<input type=\"submit\" value=\"". $lex{'Delete the Record'}. "\"></center>
</form></body></html>\n";


#---------------
sub deleteRecord {
#---------------
    
    $sth = $dbh->prepare("delete from attend where attid = ?");
    $sth->execute( $arr{attid} );

    if ($DBI::errstr) {
	print $lex{'Record Deletion Failed'}. q{ }. $lex{Contact};
	print " $adminname <a href=\"mailto:$adminemail\">$adminemail</a>";
	print "<br>$DBI::errstr\n";
    } else {
	print '<b>'. $lex{'Record deleted'};
	print " - $studentname.</b>.\n";
    }

    print "<p>[ <a href=\"$attpage\">". $lex{Attendance}. "</a> ]</p>";
    print "<p><form action=\"attdeled.pl\" method=\"post\">";
    print "<select name=\"date\"><option>today</option><option>yesterday</option>\n";
    print "<option>all</option></select>\n";
    print "<input type=\"submit\" value=\"". $lex{'Edit/Delete Another Record'};
    print "\"></p></center></body></html>\n";

    exit;

}
