#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson
#  Update by Kevin Waddell

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.


my %lex = ('Results of Record Deletion' => 'Results of Record Deletion',
	   'Your selected Student Discipline Records have been deleted.' => 
	     'Your selected Student Discipline Records have been deleted.',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',
	   'Error' => 'Error',

	   );

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head><title>". $lex{'Results of Record Deletion'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body><center>\n";

foreach $key (keys %arr){
    $sth = $dbh->prepare("delete from discipline where userid = ?");
    $sth->execute( $key );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
}

print "<p><b>". $lex{'Your selected Student Discipline Records have been deleted.'}. "</b></p>";

print "<p>[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]</p>\n";
print "</center></body></html>\n";
