#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson
#  Update by Kevin Waddell

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Discipline Record Deletion' => 'Discipline Record Deletion',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',
	   'Delete Discipline Record' => 'Delete Discipline Record',
	   'Event' => 'Event',
	   'Are you sure you want to delete this record?' => 
	     'Are you sure you want to delete this record?',
	   'Delete the Record' => 'Delete the Record',
	   'Yes' => 'Yes',
	   'Error' => 'Error',

	  );

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select * from discipline where id = ?"); 
$sth->execute( $arr{id} );
@arr = $sth->fetchrow;

$sth1 = $dbh->prepare("select * from student where studnum='$arr[2]'");
$sth1->execute;
@student = $sth1->fetchrow;

print "$doctype\n<html><head><title>". $lex{'Discipline Record Deletion'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n";
print "$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]\n";


print "<center><h1>". $lex{'Delete Discipline Record'}. "</h1>\n";
print "<table border=\"1\" cellpadding=\"3\" cellspacing=\"0\">\n";
print "<tr><td align=\"right\">". $lex{Event}. ":</td>\n";
print "<td align=\"left\"><b>$arr[1]</b> $student[1] $student[2] 
  ($arr[2]) - <b>$arr[3]</b> $arr[4]</td></tr></table>\n";

print "<p><em>". $lex{'Are you sure you want to delete this record?'}. "</em></p>\n";
print "<form action=\"discdel1.pl\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"itemid\" value=\"$arr{id}\">\n";
print "<input type=\"submit\" value=\"". $lex{Yes}. q{, }. $lex{'Delete the Record'};
print "\"></center>\n";
print "</form></body></html>\n";
