#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson
#  Update by Kevin Waddell

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('View Infraction Types' => 'View Infraction Types',
	   'Main' => 'Main',
	   'Discipline' => 'Discipline',
	   'View Infraction Types' => 'View Infraction Types',
	   'Name' => 'Name',
	   'Error' => 'Error',

	  );	   

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select name from infraction order by name");
$sth->execute;
$rows = $sth->rows;

print "$doctype\n<html><head><title>". $lex{'View Infraction Types'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | ";
print "<a href=\"$discpage\">". $lex{Discipline}. "</a> ]\n";

print "<center><h1>". $lex{'View Infraction Types'}. "</h1>\n";
print "<table border=\"1\" cellpadding=\"3\" cellspacing=\"0\">\n";
print "<tr><th>". $lex{Name}. "</th></tr>\n";

while ( my $name = $sth->fetchrow ) {
    print"<tr><td><b>$name</b></td></tr>\n";
}
print "</table></center></body></html>\n";

