#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Add Transfer' => 'Add Transfer',
	   'Main' => 'Main',
	   'Last Name' => 'Last Name',
	   'First Name' => 'First Name',
	   'Middle Name' => 'Middle Name',
	   'Birthdate' => 'Birthdate',
	   'YYYY-MM-DD' => 'YYYY-MM-DD',
	   'Student Number' => 'Student Number',
	   'Provincial Student Number' => 'Provincial Student Number',
	   'Date' => 'Date',
	   'Type' => 'Type',
	   'Withdraw' => 'Withdraw',
	   'Enrol' => 'Enrol',
	   'Description' => 'Description',
	   'Save Record' => 'Save Record',
	   'Error' => 'Error',

	   );

$self = 'transadd0.pl';

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


$q = new CGI;
print $q->header( -charset, $charset ); 
%arr = $q->Vars;


print "$doctype\n<html><head><title>". $lex{'Add Transfer'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> ]\n";
print "<center><h1>". $lex{'Add Transfer'}. "</h1>\n";


print "<form action=\"transadd1.pl\" method=\"post\"> \n";
print "<table cellpadding = \"3\" cellspacing=\"0\" border=\"0\">\n";

print "<tr><td align=\"right\">". $lex{'Last Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"lastname\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'First Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"firstname\" size=\"25\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Middle Name'}. "</td>\n<td>";
print "<input type=\"text\" name=\"middlename\" size=\"25\"></td></tr>\n":

print "<tr><td align=\"right\">". $lex{'Birthdate'}. "</td>\n<td>";
print "<input type=\"text\" name=\"birthdate\" size=\"12\"> ". $lex{'YYYY-MM-DD'}. "</td></tr>\n"

print "<tr><td align=\"right\">". $lex{'Student Number'}. "</td>\n<td>";
print "<input type=\"text\" name=\"studnum\" size=\"8\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{'Provincial Student Number'}. "</td>\n<td>";
print "<input type=\"text\" name=\"provnum\" size=\"12\"></td></tr>\n";

print "<tr><td align=\"right\">". $lex{Date}. "</td>\n<td>";
print "<input type=\"text\" name=\"date\" size=\"12\">". $lex{'YYYY-MM-DD'}. "</td></tr>\n"

print "<tr><td align=\"right\">". $lex{Type}. "</td>\n<td>";
print "<select name=\"type\"><option></option>";
print "<option>". $lex{Withdraw}. "</option><option>". $lex{Enrol}. "</option>";
print "</select></td></tr>\n":

print "<tr><td align=\"right\">". $lex{Description}. "</td>\n<td>";
print "<input type=\"text\" name=\"description\" size=\"50\"></td></tr>\n";

print "<tr><td colspan=\"2\" align=\"center\">\n";
print "<input type=\"submit\" value=\"". $lex{'Save Record'}. "\"></td></tr>\n";

print "</table></form>\n";
print "</center></body></html>\n";

