#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Main' => 'Main',
	   'Add Another Transfer/Enrollment Record' => 'Add Another Transfer/Enrollment Record',
	   'Please record the following error' => 'Please record the following error',
	   'Error' => 'Error',
	   'There was an error storing your data' => 'There was an error storing your data',
	   'Please contact' => 'Please contact',
	   'Add Transfer' => 'Add Transfer',

	   );

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

foreach $key (keys(%arr)) { 
  $arr{$key} =~ s/'/''/g;
  $arr{$key} =~ s/\\/\\\\/g;
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("insert into transfer values (
 $sql{default},'$arr{studnum}','$arr{date}','$arr{type}','$arr{description}',
 '$arr{entrytype}', '$arr{exittype}','$arr{prov}','$arr{country}',
 '$arr{utag}','$arr{lastname}', '$arr{firstname}', '$arr{middlename}',
 '$arr{birthdate}', '$arr{provnum}')");
$sth->execute;

print "$doctype\n<html><head><title>". $lex{'Add Transfer'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body><center>\n";

if ( not $DBI::errstr ) {
   print "<h3>The transfer record is now stored in the database.</h3></p>";
} else {
 print "<h3>". $lex{'There was an error storing your data'}. q{ }. $lex{'Please contact'};
 print " $adminname at <a href=\"mailto:$adminemail\">$adminemail</a>\n";
 print $lex{'Please record the following error'}. ": $DBI::errstr \n";

}

print "<p>[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print "<a href=\"transadd0.pl\">". $lex{'Add Another Transfer/Enrollment Record'};
print "</a> ]\n</p></center></body></html>\n";
