#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Password Updates' => 'Password Updates',
	   'Main' => 'Main',
	   'Eoy' => 'Eoy',
	   'Name' => 'Name',
	   'Student Number' => 'Student Number',
	   'Password' => 'Password',
	   'Error' => 'Error',

	   );


use DBI;
use CGI;


# Read config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}



my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# print the HTML head section.
print "$doctype\n<html><head><title>". $lex{'Password Updates'}. "</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> | \n";
print "<a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";

print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\" style=\"margin:1em;\">\n";
print "<tr><th>". $lex{Name}.  " (". $lex{'Student Number'}. ")</th><th>". $lex{Password}. "</th>\n";

my $sth = $dbh->prepare("select studnum,lastname, firstname from student 
 where password is null or password = ''");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }

while ( my ($studnum, $lastname, $firstname) = $sth->fetchrow){

    my $password = `/usr/local/bin/apg -n1 -m6 -x7 -M CLN -E lI`;
    # Note: -M characters, letters,numbers exclude 'ell' and capital 'eye'
    $password =~ s/\n$//; # strip trailing CR/LF
    print "<tr><td>$lastname, $firstname ($studnum)</td><td>$password</td></tr>\n";

    $sth1 = $dbh->prepare("update student set password = ? where studnum = ?");
    $sth1->execute( $password, $studnum );
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
  
}


print "</table></body></html>\n";

