#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ( 'Delete Staff Member' => 'Delete Staff Member',
	    'Delete' => 'Delete',
	    'Staff' => 'Staff',
	    'Preregistration' => 'Preregistration',
	    'Main' => 'Main',
	    'Eoy' => 'Eoy',
	    'Are you sure you want to delete this record?' => 
	      'Are you sure you want to delete this record?',
	    'Delete the Record' => 'Delete the Record',
	    'Record Deletion Failed. Please contact' => 'Record Deletion Failed. Please contact',
	    'Edit/Delete Staff Members' => 'Edit/Delete Staff Members',
	    'Edit/Delete <font color=red>Prereg</font> Staff Members' => 
	      'Edit/Delete <font color=red>Prereg</font> Staff Members',
	    'deleted' => 'deleted',
	    'Name' => 'Name',
	    'User Id' => 'User Id',
	    'Homeroom' => 'Homeroom',
	    'Subjects Taught' => 'Subjects Taught',
	    'Error' => 'Error',
	    'Yes' => 'Yes',

	    );

my $self = 'staffdel.pl';

use CGI;
use DBI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

my $table;
if ($arr{tbl}) {
    $table = 'prereg_staff';
    $tableview = '<font color=red>'. $lex{Preregistration}. '</font>'. q{ }. $lex{Staff};
} else {
    $table = 'staff';
    $tableview = $lex{Staff};
}


$dsn = "DBI:$dbtype:dbname=$dbase";
$dbh = DBI->connect($dsn,$user,$password);


$sth = $dbh->prepare("select lastname, firstname, userid, homeroom from $table where id = ?"); 
$sth->execute( $arr{id} );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
my ($lastname, $firstname, $userid, $homeroom) = $sth->fetchrow;


$sth = $dbh->prepare("select count(*) from subject
  where teacher like '%$userid%'"); 
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
my $subjectcount = $sth->fetchrow;


print "$doctype\n<html><head><title>".$lex{'Delete Staff Member'}."</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>\n[ <a href=\"$homepage\">";
print $lex{Main}, "</a> | <a href=\"$eoypage\">";
print $lex{Eoy}, "</a> ]<center><h1>";

print $lex{Delete}. q{ }. $tableview;
print "</h1>\n";

if ($arr{deleteflag}) {
    delete $arr{deleteflag};
    deleteRecord();
}

print "<table>
 <tr><td align=\"right\"><b>". $lex{'Name'}. "</b></td><td>$firstname $lastname</td></tr>
 <tr><td align=\"right\"><b>". $lex{'User Id'}. "</b></td><td>$userid</td></tr>
 <tr><td align=\"right\"><b>". $lex{'Homeroom'}. "</b></td><td>$homeroom</td></tr>
 <tr><td align=\"right\"><b>". $lex{'Subjects Taught'}. "</b></td><td>$subjectcount</td></tr>
 </table>\n";

print "<p><em>".$lex{'Are you sure you want to delete this record?'}."</em></p>
 <form action=\"$self\" method=\"post\">
 <input type=\"hidden\" name=\"itemid\" value=\"$arr{id}\">
 <input type=\"hidden\" name=\"tbl\" value=\"$arr{tbl}\">
 <input type=\"hidden\" name=\"name\" value=\"$firstname $lastname\">
 <input type=\"hidden\" name=\"deleteflag\" value=\"1\">
 <input type=\"submit\" value=\"".$lex{Yes}. q{, }. $lex{Delete the Record'}."\"></center>
 </form></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    #foreach my $key (keys %arr) { print "K:$key V:$arr{$key}<br>\n"; }


    $sth = $dbh->prepare("delete from $table where id = ?");
    $sth->execute( $arr{itemid} );

    if ($DBI::errstr) {
	print $lex{'Record Deletion Failed. Please contact'}. " $adminname<br>\n";
	print $DBI::errstr."\n";
    } else {
	print "<h1>$arr{name} ". $lex{deleted}. ".</h1>\n";
    }

    print "<p>[ ";

    if ($arr{tbl}) {
	print "<a href=\"staffdeled.pl?tbl=prereg\">";
	print $lex{'Edit/Delete <font color=red>Prereg</font> Staff Members'};
    } else {
	print "<a href=\"staffdeled.pl\">". $lex{'Edit/Delete Staff Members'};
    }

    print "</a> ]</p>\n";
    print "</center></body></html>";

    exit;

}
