#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Select Short Student Roster' => 'Select Short Student Roster',
	   'Main' => 'Main',
	   'Continue' => 'Continue',
	   'Homeroom' => 'Homeroom',
	   'Error' => 'Error',

	   );


use CGI;
use DBI;

eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;

my $maxstudents = $arr{maxstudents};

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select studid, lastname, firstname, initial, homeroom from student 
 order by homeroom,lastname, firstname");

$sth->execute;
$rows = $sth->rows;

print "$doctype\n<html><head><title>". $lex{'Select Short Student Roster'}. "</title>
<style type=\"text/css\">th.header {text-align:center; font-size:150%;}</style>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>[ <a href=\"$homepage\">". $lex{Main}. "</a> ]
<center><h1>". $lex{'Select Short Student Roster'}. "</h1>\n";

print "<form action=\"rptsrost1.pl\" method=\"post\">
 <table border=\"1\" cellpadding=\"3\" cellspacing=\"0\">
 <input type=\"hidden\" name=\"maxstudents\" value=\"$maxstudents\">\n";

$curroom = -1;

while ( my ($studid, $lastname, $firstname, $initial, $homeroom) = $sth->fetchrow ) {
    $oldroom = $curroom;
    $curroom = $homeroom;

    if ($oldroom ne $curroom) { # Print a New Heading
	print "\n<tr><th colspan=\"8\" class=\"header\">";
	print $lex{Homeroom}. ": $homeroom</th></tr>\n";
	$colcount = 0;
    }

    print "<td><strong>$lastname</strong>, $firstname $initial</td>";
    print "<td><input type=\"checkbox\" name=\"$lastname$firstname:$studid\" ";
    print "value=1></td>\n";
    $colcount ++;
    if ( $colcount % 4 == 0 ) {
	print "</tr><tr>";
    }
}
print "</table><input type=\"submit\" value=\"". $lex{Continue}. "\"></form></center>";
print "</body></html>\n";
