#!/usr/bin/perl
#  Copyright 2001-2005 Leslie Richardson
#  This file is part of Open Admin for Schools.

# ======= Query Function for StudentPersonal Objects
# Passed Values: input: value for Stud#,Grade,Class
# type: Student,Grade,Class, Synchronize

use DBI;
use CGI;

require "../../etc/admin.conf" or die "Cannot open admin.conf!";

$q = CGI->new;
%arr = $q->Vars;
my $checked = $arr{checked};

# Http Header to return
print $q->header; 

$dsn = "DBI:$dbtype:dbname=$dbase";
$dbh = DBI->connect($dsn,$user,$password);

if ($arr{input}){ # look for type of value.
    # Vars: type: Class,Grade,Student,Synchronize  input:value passed
    if ($arr{type} eq 'Student'){
	$sth = $dbh->prepare("select studnum, lastname, firstname 
         from studentall
         where studnum = '$arr{input}' order by lastname, firstname");
    } elsif ($arr{type} eq 'Class'){
	$sth = $dbh->prepare("select studnum, lastname, firstname 
          from student 
          where homeroom = '$arr{input}' order by lastname, firstname");
    } elsif ($arr{type} eq 'Grade'){
	$sth = $dbh->prepare("select studnum, lastname, firstname from student 
         where grade = '$arr{input}' order by lastname, firstname");
    } else { # Do them all.
	$sth = $dbh->prepare("select studnum, lastname, firstname from student 
         order by lastname, firstname");
    }
} else { # No input value; find all students...
    $sth = $dbh->prepare("select studnum, lastname, firstname from student 
     order by lastname, firstname");
}

$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}

print "$doctype\n<html><head><title>Sask Learning Query</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>[ <a href=\"$exppage\">Export</a> ]
<center><h1>Query Sask Learning - Student Demographics</h1>\n";

print "<form action=\"qrystudpsl1.pl\" method=\"post\">\n";
print "<table cellpadding=\"3\" border=\"1\" cellspacing=\"0\">\n";
print "<tr><th>Student</th><th>Select</th></tr>\n";
print "<tr><td colspan=\"5\" align=\"center\">
<input type=\"submit\" value=\"Query Selected Students\">
Debug? <input type=\"checkbox\" name=\"debug\" value=\"1\"></td></tr>\n";

while (@arr = $sth->fetchrow){
   print "<tr><td><b>$arr[1],</b> $arr[2] ($arr[0])</td><td>
 <input type=\"checkbox\" name=\"$arr[1]:$arr[2]:$arr[0]\" 
  value=\"1\" $checked></td></tr>\n";
}

print "<tr><td colspan=\"5\" align=\"center\">
<input type=\"submit\" value=\"Query Selected Students\"></td></tr>
</table></form></center></body></html>\n";
