#! /usr/bin/perl
#  Copyright 2001-2006 Leslie Richardson

#  This file is part of Open Admin for Schools.

# This script will update SL with student marks.
#  (in classes). This version will pass values: subjsec/studnum to next one.


use DBI;
use CGI;

# Read config variables
unless (require "../../etc/admin.conf") {
    print "Cannot read the admin.conf file!<br>\n";
    die "Cannot read the admin.conf file!\n";
}

#unless (require "../../etc/sasklrn.conf") {
#    print "Cannot read the sasklrn.conf file!";
#    die "Cannot read the sasklrn.conf file!";
#}

my $q = new CGI;
my %subjects = $q->Vars;

# passed a list of subjects to submit marks for.
my $checked = $subjects{checked};
delete $subjects{checked};

print $q->header;

print "$doctype\n<html><head><title>Student Mark Submission</title> 
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
$chartype\n</head><body>[ <a href=\"$homepage\">Main</a> | 
<a href=\"$exppage\">Export</a> ]
<center><h1>SDS Student Mark Submission</h1>\n";

#foreach my $key (keys %subjects) { print "K:$key V:$subjsects{$key}<br>\n"; }

my @tim = localtime(time);
my $year = $tim[5] + 1900;
$tim[4]++;
for (0..4){if (length($tim[$_]) == 1){ $tim[$_] = '0'.$tim[$_];}}
my $currdate = "$year-$tim[4]-$tim[3]";
my $currtime = "$tim[2]:$tim[1]:$tim[0]";

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "<form action=\"studmark2.pl\" method=\"post\">\n";
print "<input type=\"submit\" value=\"Send Selected Student Marks\"><br>\n";
print "Debug? <input type=\"checkbox\" name=\"debug\" value=\"1\">\n";

foreach my $subjsec (keys %subjects){
    # Get Subject Name
    my $sth = $dbh->prepare("select description from subject where
     subjsec = '$subjsec'");
    $sth->execute;
    if ($DBI::errstr) { print $DBI::errstr; die;}
    $subjectname = $sth->fetchrow;

    # Get Enrolled Students List
    $sth = $dbh->prepare("select distinct eval.studnum,studentall.lastname,
     studentall.firstname from eval,studentall where
     studentall.studnum = eval.studnum and 
     eval.subjcode = '$subjsec'
     order by studentall.lastname, studentall.firstname");

    $sth->execute;
    if ($DBI::errstr) { print $DBI::errstr; die; }
    my $rows = $sth->rows;
    if ($rows < 1){ next;}

    print "<h3>$subjectname ($subjsec)</h3>\n";
    print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
    print "<tr><th>Name</th><th>Select</th></tr>\n";

    my $sth1 = $dbh->prepare("select count(studid) from student where studnum = ?");
    
    while (my ($studnum,$lastname,$firstname) = $sth->fetchrow){

	# Check if enrolled!
	$sth1->execute($studnum);
	my $count = $sth1->fetchrow;
	if ($count < 1) { 
	    print "<tr><td style=\"color:red\">WD <b>$lastname,</b> $firstname</td>\n"; 
	    print "<td><input type=\"checkbox\" name=\"$subjsec:$studnum\" 
	    value=\"1\"></td></tr> \n";
	} else {
	    print "<tr><td><b>$lastname,</b> $firstname</td>\n";
	    print "<td><input type=\"checkbox\" name=\"$subjsec:$studnum\" 
	    value=\"1\" $checked></td></tr> \n";
	}

    }
    print "</table>\n";
}

print "<input type=\"submit\" value=\"Send Selected Student Marks\">\n";
print "</form></center></body></html>\n";
