#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# rptstudpwd.pl - Report Web Student Passwords

my %lex = ('View/Print Student Passwords' => 'View/Print Student Passwords',
	   'Main' => 'Main',
	   'GB&nbsp;Main' => 'GB&nbsp;Main',
	   'Report Menu' => 'Report Menu',
	   'Grade' => 'Grade',
	   'Error' => 'Error',
	   
	   );

use DBI;
use CGI;

eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@<br>\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;


my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $iddst) = localtime(time);
$year = $year + 1900;
$mon++;
$wday++;
$currdate = "$dow[$wday], $month[$mon] $mday, $year";

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

print "$doctype\n<html><head><title>". $lex{'View/Print Student Passwords'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
</head><body>\n";

print "[ <a href=\"$tchpage\">". $lex{Main}. "</a> |\n";
print "<a href=\"gbmain.pl\">". $lex{'GB&nbsp;Main'}. "</a> |\n";
print "<a href=\"rptmenu.pl\">". $lex{'Report Menu'}. "</a> ]\n";

print "<center><h1>". $lex{'View/Print Student Passwords'}. "</h1><h3>$currdate</h3>\n";


my $sortorder = "grade, lastname, firstname";
my $sth = $dbh->prepare("select lastname, firstname, studnum, grade, password 
  from student order by $sortorder");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }


my $currgrade = -1;
my $oldgrade;
my $first = 1;

while ( my ( $lastname, $firstname,$studnum,$grade,$password ) = $sth->fetchrow ){

    $oldgrade = $currgrade;
    $currgrade = $grade;

    if ($oldgrade ne $currgrade){ # print grade and start new table.
	if ( not $first ){ print "</table>\n";} else { $first = 0;}
	print "<h1>". $lex{Grade}. " $currgrade</h1>\n";
	print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"14\">";
    }

    print "<tr style=\"font-size:150%;font-weight:bold;font-family:'Times New Roman','Times', serif;\">";
    print "<td>$lastname, $firstname ($studnum)</td><td>$password</td></tr>\n";

}

print "</table></center></body></html>\n";
