#!/usr/bin/perl
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# NOT Complete...

my %lex = ('Student Report' => 'Student Report',
	   'Responsibility' => 'Responsibility',
	   'Strategies, Resources, Activities' => 'Strategies, Resources, Activities',
	   'Objectives' => 'Objectives',
	   'Student' => 'Student',
	   'Student Team' => 'Student Team',
	   'Name' => 'Name',
	   'Position' => 'Position',
	   'Assessments' => 'Assessments',
	   'Dates' => 'Dates',
	   'Category' => 'Category',
	   'Comments' => 'Comments',
	   'Back to Special Needs Students' => 'Back to Special Needs Students',
	   'Student Personal Program Plan' => 'Student Personal Program Plan',
	   'Identification' => 'Identification',
	   'Name' => 'Name',
	   'Gender' => 'Gender',
	   'Birthdate' => 'Birthdate',
	   'Grade' => 'Grade',
	   'Designation Date' => 'Designation Date',
	   'DDPF Level' => 'DDPF Level',
	   'Designation' => 'Designation',
	   'Medical(other)' => 'Medical(other)',
	   'School' => 'School',
	   'Parent/Guardian' => 'Parent/Guardian',
	   'Address' => 'Address',
	   'Home Phone' => 'Home Phone',
	   'Emergency Contact' => 'Emergency Contact',
	   'Error' => 'Error',

	   );

use DBI;
use CGI;

# Read config variables
eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

eval require "$iepdir/cgi/ppp.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

eval require "$globdir/global.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

$schoolname = $dbase{$database}; # from global.conf dbase hash.

my $q = new CGI;
print $q->header( -charset, $charset );my %arr = $q->Vars;
my %arr = $cgi->Vars;

# These MUST be passed in order to find student.
my $studnum = $arr{studnum};
my $database = $arr{school};


# Print Page Header
print "$doctype\n<html><head><title>". $lex{'Student Report'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">$chartype\n";
print "<style type=\"text/css\">body { padding: 0 3em;}
h2 { font-style:normal; font-size:medium; padding:3px; border:1px solid black;}
</style></head><body>\n";

my $dsn = "DBI:mysql:$database";
my $dbh = DBI->connect($dsn,$guser,$gpassword);

my $sth = $dbh->prepare("select * from student where studnum = ?");
$sth->execute( $studnum );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }  
my @student = $sth->fetchrow;

my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, 
    $iddst) = localtime(time);
$year = $year + 1900;
$mon++;
$wday++;
$currdate = "$dow[$wday], $month[$mon] $mday, $year";


# Now do the local PPP database; we have school data in @student.
my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select * from special where studnum = ?");
$sth->execute( $studnum );
if ($DBI::errstr) { print "Error: $DBI::errstr"; die $DBI::errstr; }
my @special = $sth->fetchrow; 
$studname = "$special[2] $special[1]";
$shortschool = $database;

# Find their subjects.
$sth = $dbh->prepare("select * from evalmst where studnum = ?");
$sth->execute( $studnum );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
$rows = $sth->rows;


# Print the heading section 
print "<table width=\"100%\"><tr><td colspan=\"2\">";
print "[ <a href=\"specedview.pl\">". $lex{'Back to Special Needs Students'};
print "</a> ]</td></tr>\n<tr>";
print "<td><h1>". $lex{'Student Personal Program Plan'}. "</h1></td>\n";
print "<td align=\"right\">$currdate</td></tr></table>\n";
print "<p><b>$studname</b></p>\n";


print "<h2>". $lex{Identification}. "</h2>\n";
print "<table cellspacing=\"0\" cellpadding=\"3\" border=\"0\">\n";

print "<tr><td align=\"right\"><b>". $lex{Name}. "</b></td><td> $studname </td></tr>\n";
print "<tr><td align=\"right\"><b>". $lex{Gender}. "</b></td><td> $student[7]</td></tr>\n";
print "<tr><td align=\"right\"><b>". $lex{Birthdate}. "</b></td><td> $student[8]</td></tr>\n";
print "<tr><td align=\"right\"><b>". $lex{Grade}. "</b></td><td> $student[5]</td></tr>\n";
print "<tr><td align=\"right\"><b>". $lex{'Designation Date'};
print "</b></td><td> $special[6]</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'DDPF Level'}. "</b></td><td> $special[7]</td></tr>\n";
print "<tr><td align=\"right\"><b>". $lex{Designation}. "</b></td><td> $special[8]</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Medical(other)'};
print "</b></td><td> $student[18]</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{School};
print "</b></td><td> $schoolname  -- $g_phone{$shortschool}</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Parent/Guardian'};
print "</b></td><td> $student[29]</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{Address};
print "</b></td><td> $student[34] $student[35] $student[36]</td></tr>\n";

print "<tr><td align=\"right\"><b>". $lex{'Home Phone'}. "</b></td><td> $student[30]</td></tr>\n";
print "<tr><td align=\"right\"><b>". $lex{'Emergency Contact'}. "</b></td><td>";
print "$student[49] $student[50] $student[51]</td></tr></table>\n";


# Let's Do Assessments!
my $sth1 = $dbh->prepare("select * from assess where studnum = ? order by resdate desc" );
$sth1->execute( $studnum );
if ($DBI::errstr) { print $DBI::errstr; die;}
my $assessrows = $sth1->rows; 

# Now print out Assessment headings
print "<h2>". $lex{Assessments}. "</h2>\n";
print "<table cellspacing=\"0\" cellpadding=\"3\" border=\"1\">\n";
print "<tr><th>". $lex{Dates}. "</th><th>". $lex{Category};
print "</th><th>". $lex{Comments}. "</th></tr>\n";

for (1..$assessrows){
    my @assess = $sth1->fetchrow;
    print  "<tr><td>$assess[3]</td><td>$assess[2]</td><td>$assess[5]</td></tr>\n";
}
print "</table>\n";


# Now lets do the team.
$sth1 = $dbh->prepare("select * from team where studnum = ?");
$sth1->execute( $studnum );
if ($DBI::errstr) { print $DBI::errstr; die;}
my $teamrows = $sth1->rows; 

print "<h2>". $lex{'Student Team'}. "</h2>\n";
print "<table cellspacing=\"0\" cellpadding=\"4\" border=\"1\">\n";
print "<tr><th>". $lex{Name}. "</th><th>". $lex{Position}. "</th></tr>\n";


for ( 1..$teamrows ) {
    @team = $sth1->fetchrow;
    ($teammember,$dud) = split /\(/,$team[2];
    #push @teamarray,$teammember;  # needed for signature page
    print "<tr><td>$teammember</td><td>$team[3]</td></tr>\n";
}
print "</table>\n";


# Now let's do the objectives
$sth = $dbh->prepare("select * from evalmst where studnum = ?");
$sth->execute( $studnum );
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
my $rows = $sth->rows; 

print  "<h2>". $lex{Student}. q{ }. $lex{Objectives}. "</h2>\n";


# Subjects Loop; once for each subject.
for ($i=1; $i <= $rows; ++$i) {
    my @evalmst = $sth->fetchrow;
    my $subnum = $evalmst[2];

    #lookup subject name
    $sth1 = $dbh->prepare("select * from subject where catnum = ?");
    $sth1->execute( $subnum );
    if ($DBI::errstr) { print $DBI::errstr; die;}
    my @catsubject = $sth1->fetchrow; 
    my $subname = $catsubject[2];
      
    print "<table cellspacing=\"0\" cellpadding=\"4\" border=\"1\">\n";
    print "<tr><th>$subname ($subnum)</th></tr>\n";
    print "<tr><td><b>". $lex{Responsibility}. ":</b> $evalmst[36]</td></tr>\n";
    print "<tr><td><b>". $lex{'Strategies, Resources, Activities'};
    print ":</b> $evalmst[35]</td></tr>\n<tr><td>";


    # Now print the objectives
    print "<b>". $lex{Objectives}. "</b><ul>\n";
    for ($j=3; $j<=34;$j++){
	if ($evalmst[$j]){
	    print "<li>$evalmst[$j]</li>";
	}
    }
    print "</ul></td></tr></table><p></p>\n";

} # End of Subject "For" Loop

print "</body></html>\n";
