#!/usr/bin/perl
# Copyright 2001-2008 Leslie Richardson
# Licensed under the GNU GPL.
# Part of Open Administration for Schools

my %lex = ('Main' => 'Main',
	   'Error' => 'Error',
	   'Edit Attendance' => 'Edit Attendance',
	   
	   );

use DBI;
use CGI;

eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset => $charset );
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

my $sth = $dbh->prepare("select * from attend where attid = ?"); 
$sth->execute( $arr{recnum} );
if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
@arr = $sth->fetchrow;


print "$doctype\n<html><head><title>". $lex{'Edit Attendance'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
$chartype\n</head><body>\n";

print "[ <a href=\"$tchpage\">". $lex{Main}. "</a> ]\n";
print "<center><h2>". $lex{'Edit Attendance'}. "</h2>\n";


print <<"EOF";
<form action=\"tattsubjed2.pl\" method=\"post\">
<input type=\"hidden\" name=\"recnum\" value=\"$arr[0]\"> 

<table><caption><b>$arr{name}</b></caption>
<tr>
  <td align="right">Student Number:</td>
  <td>$arr[1]</td>
</tr>

<tr>
  <td align="right">Date Absent(yymmdd):</td>
  <td>$arr[2]</td>
</tr>

<tr>
  <td align="right">Reason:</td>
  <td><select name="reason"><option>$arr[3]</option>
EOF

foreach $reason (@attend){
  print "<option>$reason</option>\n";
}
 
print <<"EOF1";
</select></td>
</tr>

<tr>
  <td align="right">Period:</td>
  <td>$arr[4]</td>
</tr>

<tr>
  <td align="right">Subject-Section:</td>
  <td>$arr[5]</td>
</tr>

<tr>
  <td align="right">Late:(min)</td>
  <td>$arr[6]</td>
</tr>

</table>

<p><input type="submit" value="Update Record">
</form></center></body>
</html>
EOF1
