#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Main' => 'Main',
	   'Error' => 'Error',
	   'Attendance Edit' => 'Attendance Edit',
	   'Your attendance update is now stored' => 'Your attendance update is now stored',
	   'There was an error storing your data' => 'There was an error storing your data',
	   'Contact' => 'Contact',
	   'Record the following error' => 'Record the following error',
	   'Back to Attendance Entry' => 'Back to Attendance Entry',
	   
	   );


use DBI;
use CGI;
 
eval require "../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}

my $q = new CGI;
print $q->header( -charset, $charset );
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Leave in for later changes if more allowed to change.
#$sth = $dbh->prepare("update attend set
#  studentid='$arr{studentid}',
#  absdate='$arr{absdate}',
#  reason='$arr{reason}',
#  period='$arr{period}',
#  subjsec='$arr{subjsec}',
#  late='$arr{late}'
#where attid = '$arr{'recnum'}'");

$sth = $dbh->prepare("update attend set reason = ? where attid = ?");
$sth->execute( $arr{reason}, $arr{recnum} );
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }

print "$doctype\n<html><head><title>". $lex{'Attendance Edit'}. "</title>
<link rel=\"stylesheet\" href=\"$tchcss\" type=\"text/css\">
$chartype\n<body>[ <a href=\"$tchpage\">". $lex{Main}. "</a> ]\n";

if (not $DBI::errstr ) {
    print "<h3>". $lex{'Your attendance update is now stored'}. ".</h3>\n";
} else {
    print "<h3>". $lex{'There was an error storing your data'}. q{ };
    print $lex{'Contact'}. " $adminname <a href=\"mailto:$adminemail\">$adminemail</a>\n";
    print $lex{'Record the following error'}. " $DBI::errstr</h3>\n";
}

print "<form><input type=\"button\" value=\"". $lex{'Back to Attendance Entry'};
print "\" onclick=\"javascript:history.go(-3)\"></form>\n";
print "<p><a href=\"$tchpage\">". $lex{Main}. "</a> ]</p></body></html>\n";
