<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<!--
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->
<html><head><title>Open Admin - <#Student Discipline#></title>
<link rel="stylesheet" type="text/css" href="admin.css">
<link rel="stylesheet" type="text/css" media="all" href="js/calendar-blue.css" title="blue">
<style type="text/css">
  form, input, button, select { padding:0; margin:0;font-size:100%; }
</style>
<script type="text/javascript" src="js/calendar.js"></script>
<script type="text/javascript" src="js/lang/calendar-en.js"></script>
<script type="text/javascript" src="js/calendar-setup.js"></script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head><body>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li class="active"><a href="discipline.html" class="active"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="schedule.html"><#Schedule#></a></li>
<li><a href="export.html"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="help.html"><#Help#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellpadding="4" cellspacing="0" border="0">
<tr><td><img src="images/logotn.gif" align="top" alt="school logo"></td>
<td><hr><h1 style="margin:0;padding:0;"><#Discipline Management#></h1><hr>
</td></tr></table>


<!--  Outermost Table -->
<table cellpadding="0" cellspacing="0" border="0">
<tr><td valign="top">


<div style="border:1px solid gray; padding:0.5em; margin:0 0.5em 0.5em 0.5em;">
<form action="/cgi-bin/discipline/discadd0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Enter Discipline Event#>">
<input type="text" name="student" size="12"><br>
<#Student#> (<#Last,First/Last/Initials/Studnum#>)</form><br>

<form action="/cgi-bin/discipline/discvw.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Discipline Events#>"></form>
</div>


<h2><#Reports#></h2>

<div style="border:1px solid gray;padding:0.3em;margin:0.5em;">
<form action="/cgi-bin/discipline/rptstud.pl" method="post">
<input type="submit" value="<#Student Summary Report#>"><br>
<input type="text" name="student" size="25"><br>
<#Student (Last,First/Last/Initials/Studnum)#><br>
<#Blank=All#>&nbsp;&nbsp;&nbsp;<#Summary?#> <input type="checkbox" name="summary" value="1">
</form></div>

<div style="border:1px solid gray; padding:0.5em; margin:0.5em;">
<form action="/cgi-bin/discipline/reportsum.pl" method="post">


<table cellpadding="4" cellspacing="0" border="0">
<tr><td align="left" colspan="2">
<input type="submit" value="<#School Summary Report#>"></td></tr>
<tr><td align="right"><#Start Date#></td>
<td align="left"><input type="text" id="sdate" name="sdate" size="12">
<button type="reset" id="start_trigger">...</button></td></tr>

<tr><td align="right"><#End Date#></td>
<td align="left"><input type="text" id="edate" name="edate" size="12">
<button type="reset" id="end_trigger">...</button> <#Blank=Today#></td></tr>

<tr><td align="left" colspan="2"><#Date Sort Order#>&nbsp;&nbsp;
<input type="radio" name="sort" value="d" checked="checked"><#Descending#> 
<input type="radio" name="sort" value="a"><#Ascending#> 
</td></tr></table>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "sdate",
  ifFormat    : "%Y-%m-%d",
  button      : "start_trigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "edate",
  ifFormat    : "%Y-%m-%d",
  button      : "end_trigger",
  singleClick : false,
  step : 1
  });
</script>
</form></div>


<!-- Right Column Now -->
</td><td valign="top">

<h2><#Administration#></h2>

<div style="border:1px solid gray; padding:0.5em; margin:0.3em;">
<form action="/cgi-bin/discipline/discdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete Discipline Records#>"></form>
</div>

<div style="border:1px solid gray; padding:0.5em; margin:0.3em;">
<form action="/cgi-bin/discipline/discbulkdel0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Delete Discipline Records#> - <#Student#>"></form>
</div>

<div style="border:1px solid gray; padding:0.5em; margin:0.3em;">
<form action="/cgi-bin/discipline/discdatedel.pl" method="post" style="display:inline;">
<input type="submit" value="<#Delete Discipline Records#> - <#Date#>"><br>
<#Delete Records older than#> <input type="text" id="delete_date" name="date" size="12">
<button type="reset" id="delete_trigger">...</button>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "delete_date",
  ifFormat    : "%Y-%m-%d",
  button      : "delete_trigger",
  singleClick : false,
  step : 1
  });
</script>
</form></div>


<div style="border:1px solid gray; padding:0.5em; margin:0.3em;">
<form action="/cgi-bin/discipline/catadd0.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add Infraction Types (Categories)#>"></form>
</div>

<div style="border:1px solid gray; padding:0.5em; margin:0.3em;">
<form action="/cgi-bin/discipline/infvw.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Infraction Types#>"></form>

<form action="/cgi-bin/discipline/infdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Delete An Infraction Type#>"></form>
</div>

<div style="border:1px solid gray; padding:0.5em; margin:0.3em;">
<form action="/cgi-bin/discipline/rptdiscstat.pl" method="post">
<table cellpadding="2" cellspacing="0" border="0">
<tr><td align="left" colspan="2"><input type="submit" value="<#Statistical Reports#>"></td></tr>
<tr><td align="right"><#Start Date#></td>
<td><input type="text" size="10" id="stat_sdate" name="startdate">
<button type="reset" id="stat_sdate_trigger">...</button></td></tr>

<tr><td align="right"><#End Date#></td>
<td><input type="text" size="10" id="stat_edate" name="enddate">
<button type="reset" id="stat_edate_trigger">...</button></td></tr>

<tr><td align="right"><#Type#></td><td><select name="type"><option><#Category#></option>
  <option><#Grade#></option><option><#Class#></option></select></td></tr>
</table>

<script type="text/javascript">
 Calendar.setup({
  inputField  : "stat_sdate",
  ifFormat    : "%Y-%m-%d",
  button      : "stat_sdate_trigger",
  singleClick : false,
  step : 1
  });
</script>
<script type="text/javascript">
 Calendar.setup({
  inputField  : "stat_edate",
  ifFormat    : "%Y-%m-%d",
  button      : "stat_edate_trigger",
  singleClick : false,
  step : 1
  });
</script>
</form></div>


<!-- End of Outermost Table -->
</td></tr></table>

</body></html>
