<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<!--
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->

<html><head><title>Open Admin - <#Start/End of Year#></title>
<link rel="stylesheet" href="admin.css" type="text/css">
<style type="text/css">
  form, input, button, select { padding:0; margin:0;font-size:100%; }
</style>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head><body><a name="top"></a>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li><a href="discipline.html"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="schedule.html"><#Schedule#></a></li>
<li><a href="export.html"><#Export/Xfer#></a></li>
<li class="active"><a href="eoy.html" class="active"><#Start/End of Year#></a></li>
<li><a href="help.html"><#Help#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellpadding="4" cellspacing="0" border="0">
<tr><td valign="top" width="50%">
<!--  The Left Column of this section  -->

<table cellpadding="0" cellspacing="0" border="0">
<tr><td><img src="images/logotn.gif" alt="logo"></td>
<td><hr><h1 style="padding:0;margin:0;"><#Start/End of Year#></h1><hr></td></tr>
</table>

<h2><#Staff Management#></h2>

<div>
<form action="/cgi-bin/eoy/staffadd.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Add Staff Member#>"></form>

<form action="/cgi-bin/eoy/staffdeled.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete Staff Members#>"></form>
<br>

<form action="/cgi-bin/eoy/staffview.pl"  method="post" style="display:inline;">
<input type="submit" value="<#View Staff Members#>"></form>

<form action="/cgi-bin/eoy/staffrpt.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Report Staff Members#>"></form>
</div>

<a name="dates"></a>
<h2><#Date Management#></h2>

<div>

<form action="/cgi-bin/eoy/dateadd.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Add Dates#>"></form>

<form action="/cgi-bin/eoy/datedeled.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete Dates#>"></form>
<br>
<form action="/cgi-bin/eoy/dateview.pl"  method="post" style="display:inline;">
<input type="submit" value="<#View Dates#>"></form>

<form action="/cgi-bin/eoy/datedelall.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Erase All Dates#>"></form>

</div>


<a name="config"></a>
<h2><#Configuration/Data Updates#></h2>

<form action="/cgi-bin/eoy/confview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Configuration Files#>">
</form>

<form action="/cgi-bin/meta/metaedit.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit Metadata#>">
</form>

<form action="/cgi-bin/meta/metaupdate.pl" method="post" style="display:inline;">
<input type="submit" value="<#Update Metadata#>">
</form>



</td><td width="50%" valign="top">
<!-- ======= The Right Column =========  -->


<h2><#Reset All Student Fields#></h2>

<form action="/cgi-bin/eoy/resetselect.pl" method="post" style="display:inline;">
<input type="submit" value="<#Reset Selected Fields#>"></form>

<form action="/cgi-bin/eoy/resethroom.pl" method="post" style="display:inline;">
<input type="submit" value="<#Reset Homerooms#>"></form>

<form action="/cgi-bin/eoy/resetgrade.pl" method="post">
<input type="submit" value="<#Reset Grades#>">
<#Promote#>? <input type="checkbox" name="promote" value="1"> 
<#Demote#>? <input type="checkbox" name="demote" value="1"></form>


<h2><#Archive/Delete#></h2>

<form action="/cgi-bin/eoy/withdrawprom.pl" method="post" style="display:inline;">
<input type="submit" value="<#Withdraw Promoted Students#>">
Grade <input type="text" name="grade" size="4"></form>
<br>

<form action="/cgi-bin/eoy/permdel.pl" method="post" style="display:inline;">
<input type="submit" value="<#Permanent Student Deletion#>"></form>


<h2><#Password Management#> - <#Student#> / <#Family#></h2>

<form action="/cgi-bin/eoy/pwdupd.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Fill in Blank Student Passwords#>"></form>

<h2><#Translation Tools#></h2>

<form action="/cgi-bin/xlat/xlatPhraseView.pl"  method="post" style="display:inline;">
<input type="submit" value="<#View Phrases#>"></form>

<form action="/cgi-bin/xlat/xlatTransEdit.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Edit Translated Phrases#>"></form>

<form action="/cgi-bin/xlat/xlatExportPO.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Export Translated Phrases#>"></form>

<form action="/cgi-bin/xlat/xlatImportPO.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Import Translated Phrases#>"></form>

<form action="/cgi-bin/xlat/xlatInsert.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Insert Translated Phrases#>"></form>

<form action="/cgi-bin/xlat/xlatExtract.pl"  method="post" style="display:inline;">
<input type="submit" value="<#Extract Phrases#>"></form>


<!--  <h2><#Student Alias Management#></h2>
<div>
<form action="/cgi-bin/eoy/aliasupd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Update Aliases#>"></form>
<form action="/cgi-bin/eoy/aliasdel0.pl" method="post" style="display:inline;"> 
<input type="submit" value="<#Erase Aliases#>"></form>
<form action="/cgi-bin/eoy/aliasview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Aliases#>"></form>
<form action="/cgi-bin/eoy/aliasrpt.pl" method="post" style="display:inline;">
<input type="submit" value="<#Report Aliases#>"></form>
</div>
<div style="margin:0.5em;">Student Aliases are 3 digits numbers used to identify students
to speed attendance entry with &quot;SA&quot; attendance entry methods. 
Ignore this section if not using these attendance methods.</div>
-->


</td></tr></table>
<!-- End of this section  -->


<a name="prereg"></a>
<h2><#Preregistration and Promotion#></h2>

<div style="margin:0.5em;"><#New students registering in Kindergarten
before current year end can be preregistered using the normal method
for entering new students (enter a blank student number in the
Enter/Withdraw student item.), but instead select the box for
&quot;preregistration&quot;. This will place this student's record in
a preregistration table. These records can be added to the other
student records later.#></div>


<div style="margin:0.5em;">
<form action="/cgi-bin/prereg/prstudview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Pre-registration Table#>"></form>
</div>


<div style="margin:0.5em;"><b><#The Simple Approach#></b> - <#If you have no
need for reporting at school year end, the approach to updating your
records for the next school year is very simple:#></div>

<ol style="margin-top:0.5em;margin-bottom:0.5em;">
<li><#Promote existing students into the next grade using the
Grades Update script above under bulk updates.#></li>

<li><form action="/cgi-bin/prereg/prexfer.pl" method="post"
style="display:inline;"><input type="submit" 
value="<#Copy Pre-Registration records#>"></form>&nbsp;
<#into the regular student table.#></li>

<li><#Assign the homerooms using the Homeroom Update script above
under bulk updates.#></li></ol>


<div style="margin:0.5em;"><b>The Complex Approach</b> - In order to
provide a year end report to teachers of their next years students,
here is an overview of the steps:

<ol style="margin-top:0.5em;">
<li>Copy the teacher and student grade/homeroom data to temporary
tables.</li>

<li>Update the copied teacher table for next year's homeroom
assignment.</li>

<li>Promote students in copied student data table to the next
grade.</li>

<li>Assign homerooms to the copied student data table.</li>

<li>Print reports based on this information.</li>

<li>The information in these two temporary tables can then be used to
automatically update the permanent teacher and student tables, once
year end is reached.
</ol>
</div>

<div style="margin:0.5em;">The procedures for this process follow:</div>


<ol style="margin-top:0.5em;">
<li>Make sure all pre-registrations are entered.</li>


<li>Copy the current staff table into a temporary staff table and
make sure that homeroom assignments are correct.<br>


<form action="/cgi-bin/prereg/copystaff.pl" method="post" style="display:inline;">
<input type="submit" value="Copy Staff Records"></form>&nbsp;
to temporary prereg staff table, replacing any existing data.<br>

Update the pre-registration staff table using the following:<br>

<form action="/cgi-bin/eoy/staffdeled.pl" method="post" style="display:inline;">
<input type="hidden" name="tbl" value="prereg">
<input type="submit" value="Edit/Delete Prereg Staff"></form>

<form action="/cgi-bin/eoy/staffadd.pl" method="post" style="display:inline;">
<input type="hidden" name="tbl" value="prereg">
<input type="submit" value="Add Prereg Staff"></form>
<br>

<form action="/cgi-bin/eoy/staffview.pl" method="post" style="display:inline;">
<input type="hidden" name="tbl" value="prereg">
<input type="submit" value="View Prereg Staff"></form>

<form action="/cgi-bin/eoy/staffrpt.pl" method="post" style="display:inline;">
<input type="hidden" name="tbl" value="prereg">
<input type="submit" value="Prereg Staff Report"></form>

</li>


<li>Copy current student data into a temporary grade/homeroom
preregistration table. This process also adds the students from
pre-registration table (normally mainly K students).<br>

<form action="/cgi-bin/prereg/promote.pl" method="post" style="display:inline;">
<input type="submit" value="Assign Student Grades"></form>&nbsp;
copy from student/prereg tables and allow promotion of selected
students.</li>

<li><form action="/cgi-bin/prereg/asclass.pl" method="post" style="display:inline;">
<input type="submit" value="Assign Student Homerooms"></form>&nbsp;assign
students in the temporary table a new homeroom.</li>


<li>View/Print reports with new homeroom assignments, etc.<br>

<form action="/cgi-bin/prereg/prstudview1.pl" method="post" style="display:inline;">
<input type="submit" value="View Temporary Student Table Updates"></form>

<form action="/cgi-bin/prereg/premptyclasslist.pl" method="post" style="display:inline;">
<input type="submit" value="View/Print Empty Classlists (PDF)"></form>
</li>

<li>Once year end reports, etc. are done, these records can be used
to update the master records for homeroom, grade in student table, and
the temporary teacher table replaces the current teacher table.

<ul>
<li><form action="/cgi-bin/prereg/copybackstaff.pl" method="post" style="display:inline;">
<input type="submit" value="Copy Back Staff"></form>&nbsp;
This will replace the current staff table data with the
prereg staff data.</li>

<li><form action="/cgi-bin/prereg/prexfer.pl" method="post" style="display:inline;">
<input type="submit" value="Copy Prereg Students to Student Table"></form>

<li><form action="/cgi-bin/prereg/preupdateroom.pl" method="post" style="display:inline;">
<input type="submit" value="Update Homeroom and Grade From Prereg"></form></li>
</ul>

<li>After checking that all registrations are correct:<br>
<form action="/cgi-bin/prereg/preregempty.pl" method="post" style="display:inline;">
<input type="submit" value="Empty Student Preregistration Table"></form>
</li>
</ol>
[ <a href="#top">Top</a> ]
</body></html>

