<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<!--
#  Copyright 2001-2009 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.
-->

<html><head><title>Open Admin - <#Report Card System#></title>
<link rel="stylesheet" href="admin.css" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
  form, input, button, select { padding:0; margin:0;font-size:100%; }
</style>
</head><body>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li><a href="discipline.html"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li class="active"><a href="repcard.html" class="active"><#Report Cards#></a></li>
<li><a href="schedule.html"><#Schedule#></a></li>
<li><a href="export.html"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="help.html"><#Help#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellpadding="4" cellspacing="0" border="0">
<tr><td valign="top">
<!-- ========== Left Column ===============  -->

<table cellpadding="0" cellspacing="0" border="0">
<tr><td><img src="images/logotn.gif" alt="logo"></td>
<td><hr><h1 style="padding:0;margin:0;"><#Report Card System#></h1><hr>
</td></tr></table>

<h2><#Term#></h2>
<div style="padding:0.6em 2em 0.4em 2em;">
<form action="/cgi-bin/repcard/termed.pl" method="post" style="display:inline;"
title="<#Setting the term to 1 forces entry to term 1 marks, etc.  Setting #>
<#the term to 0 will inactivate mark entry on the teacher site. This #>
<#might be a good idea until a week or so before report cards are due.#>">
<input type="submit" value="<#Edit Mark Entry Term#>"></form></div>

<h2><#Report Cards#> / <#Mark Sheets#></h2>

<div style="padding:0.5em;border:1px solid gray;text-align:center;background-color:#ACF;">
<form action="/cgi-bin/repcard/rptrepcard.pl" method="post" style="display:inline;">
<input type="submit" value="<#Print Report Cards#>">
</form></div>

<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/repcard/rptsummark0.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Subject Marks#>">
<#Select by#> <select name="select"><option><#All#></option>
<option><#Teacher#></option><option><#Grade#></option>
<option><#Subject#></option></select>
</form>

<form action="/cgi-bin/repcard/emptymarksview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Empty Mark Records#>" 
title="<#Detect if any mark entry has been missed for the current term before printing report cards#>">
</form></div>

<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/repcard/rptsummxtab.pl" method="post">
<input type="submit" value="<#View Cross Tab of#> <#Subject Marks by#> <#Grade#>/<#Class#>">
</form></div>

<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/repcard/rptsummarkstud.pl" method="post">
<input type="submit" value="<#Student Term Marks Report#>">
<#Grade#> <input name="grade" size="5" 
title="<#Useful during Parent-Teacher Interviews#>. <#Multiple student blocks per page#>">
</form></div>


<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/repcard/rptsummarkend.pl" method="post">
<input type="submit" value="<#Year End#> - <#Final Evaluation Report#> (<#PDF#>)"
title="<#A one page summary of all marks for one grade#>">
<#Select#> <select  name="group"><option><#Grade#></option><option><#Class#></option></select>
<input name="grade" size="5"> 

</form></div>


<div style="padding:0.5em;border:1px solid gray;">
<form action="/cgi-bin/repcard/rptstudfinalmarks.pl" method="post">
<input type="submit" value="<#Year End#> - <#Student Summary Marks#> (<#PDF#>)"
title="<#A single page per student report containing their final marks#>. 
<#Useful for insertion into cums#>">
</form></div>


</td><td valign="top"> <!--  === The Right Column === -->


<h2><#Transcripts#></h2>

<form action="/cgi-bin/repcard/rpttranscript.pl" method="post" style="display:inline;">
<input type="submit" value="<#View/Print Transcripts#>"></form>

<form action="/cgi-bin/repcard/tscpost.pl" method="post" style="display:inline;">
<input type="submit" value="<#Post Term Marks#>"></form>

<form action="/cgi-bin/repcard/tscdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete#>"></form>

<form action="/cgi-bin/repcard/tscadd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add#>"></form>


<h2><#Subject Management#></h2>

<form action="/cgi-bin/repcard/subjadd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add a Subject#>"></form>

<form action="/cgi-bin/repcard/subjdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete Subjects#>"></form>
<br clear="left">

<form action="/cgi-bin/repcard/subjview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Subjects#>"></form>

<form action="/cgi-bin/repcard/rptsubjteach.pl" method="post" style="display:inline;">
<input type="submit" value="<#Teacher Subject Report#>"></form><br>

<!-- 
<b><#Subject Aliases#></b><br>
<div style="padding:0.2em;">
<form action="/cgi-bin/repcard/saliasupd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Update Subject Aliases (fill holes)#>"></form>
<form action="/cgi-bin/repcard/saliasdel.pl" method="post" style="display:inline;">
<input type="submit" value="<#Erase All Aliases#>"></form><br clear="left">
<form action="/cgi-bin/repcard/saliasview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Aliases#>"></form>
</div>
-->


<h2><#Subject Enrollments#></h2>

<form action="/cgi-bin/repcard/enroladdall.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add Subject Enrollments#>"></form>

<form action="/cgi-bin/repcard/evaldeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete Eval#>"></form>

<form action="/cgi-bin/repcard/evalmove.pl" method="post" style="display:inline;">
<input type="submit" value="<#Move Eval#>"></form>

<br>

<form action="/cgi-bin/repcard/evaldelstud.pl" method="post" style="display:inline;">
<input type="submit" value="<#Delete Individual Enrollments#>">
</form>

<form action="/cgi-bin/repcard/rptenrolsumm.pl" method="post" style="display:inline;">
<input type="submit" value="<#Enrollment Summary#> - <#Web#>"></form>

<br>

<form action="/cgi-bin/repcard/rptenrolgrade.pl" method="post">
<input type="submit" value="<#Subject Enrollments by Grade#>">
<#Grade#> <input type="text" name="grade" size="4"></form>


<form action="/cgi-bin/repcard/enrolview.pl" method="post">
<input type="submit" value="<#View Student Enrollments#>">
<#Term#> <input type="text" name="term" size="4"></form>

<form action="/cgi-bin/repcard/rptemptysubjlist.pl" method="post">
<input type="submit" value="<#Empty Subject List#>">
<#Term#> <input type="text" name="term" size="4"></form>

<div style="padding:0.5em;">
<form action="/cgi-bin/repcard/enrolstudview.pl" method="post">
<input type="submit" value="<#View Individual Student Enrollments#>">
<input type="text" name="student" size="16"><br>
<#Student (Last,First/Last/Initials/Studnum)#>
</form></div>


<!-- New PK Report Card System -->
<h2><#PK Report Card System#></h2>
<div style="padding:0.5em;border:1px solid gray; background-color:#ACF;">

<form action="/cgi-bin/repcard_pk/pksubjadd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add Subjects#>"></form>

<form action="/cgi-bin/repcard_pk/pksubjdeled.pl" method="post" style="display:inline;">
<input type="submit" value="<#Edit/Delete Subjects#>"></form>

<form action="/cgi-bin/repcard_pk/pkobjadd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add Objectives#>"></form><br>

<form action="/cgi-bin/repcard_pk/pkobjview.pl" method="post" style="display:inline;">
<input type="submit" value="<#View Objectives#>"></form>

<form action="/cgi-bin/repcard_pk/pkenroladd.pl" method="post" style="display:inline;">
<input type="submit" value="<#Add Subject Enrollments#>"></form>

</div>
<!--   End of PK Report Card System -->


</td></tr></table>
</body></html>
