#!/usr/bin/perl
#  Copyright 2004 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

#  Open Admin for Schools is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with Open Admin; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use DBI;
use CGI;

# Check for duplicates

$q = new CGI;

# Http Header to return
print "Content-type: text/html\n\n";

# Read config variables
require "admin.conf" || die "Cannot read admin.conf!";

%arr = $q->Vars;

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select studnum, lastname, firstname from student 
 order by studnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die;}

print "$doctype\n<title>Duplicate Check!</title>
<link rel=\"stylesheet\" href=\"/admin.css\" type=\"text/css\">
</head><body>\n";
print "<center><h1>Duplicate Student Number Checking</h1>\n";

$currstud = '';
$currname = '';

while (@stud = $sth->fetchrow){
    $oldstud = $currstud;
    $currstud = $stud[0];
    $oldname = $currname;
    $currname = "$stud[1] $stud[2]";

    if ($currstud == $oldstud) { # Ack! We have a duplicate!
	print "Duplicate for student number: $currstud<br>
         $currname and $oldname are duplicated!\n";
    }
}

print "</body></html>";

