#!/usr/bin/perl
#  Copyright 2006 Leslie Richardson

#  This file is part of Open Admin for Schools.

use DBI;
use CGI;

# Check for duplicate provincial Numbers! (Yes, it can happen!)
# Assume we are running in /cgi

$q = new CGI;
print $q->header;
%arr = $q->Vars;

# Read config variables
require "../etc/admin.conf" || die "Cannot read admin.conf!";

$dsn = "DBI:mysql:$dbase";
$dbh = DBI->connect($dsn,$user,$password);

$sth = $dbh->prepare("select studnum, lastname, firstname, provnum from student 
where provnum != '' order by provnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr;}

print "$doctype\n<title>Duplicate Provincial Number Check!</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">
</head><body>\n";
print "<center><h1>Duplicate Provincial Student Number Checking</h1>\n";

$currstud = '-1';
$currname = '';

while (@stud = $sth->fetchrow){
    $oldstud = $currstud;
    $currstud = $stud[3];
    $oldname = $currname;
    $currname = "$stud[2] $stud[1]";

    if ($currstud == $oldstud) { # Ack! We have a duplicate!
	print "Duplicate for student number: $currstud<br>\n";
	print "$currname and $oldname are duplicated!<hr><br>\n";
    }
}

print "</body></html>";

