#!/usr/bin/perl
#  Copyright 2001-2006 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

# Copy Staff data into staff table from existing teacher table.

use DBI;

unless (require "etc/admin.conf") {
    print "Cannot read admin.conf!\n";
    print "Make sure script is locate in school folder just up from etc.\n";
    print "so that the script can read config values from etc/admin.conf\n";
    die "Cannot read admin.conf!";
}

$dsn = "DBI:$dbtype:dbname=$dbase";
$dbh = DBI->connect($dsn,$user,$password);

# Check for records in staff and die if so...
$sth = $dbh->prepare("select count(*) from staff"); 
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die; }
my $count = $sth->fetchrow;
if ($count > 0) {
    print "There are existing values in the staff table.\n";
    print "The table must be empty for this script to work...\n";
    die;
}

# Select all teachers in teacher table.
$sth = $dbh->prepare("select * from teacher"); 
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die; }

while (my @tch = $sth->fetchrow) {
    foreach my $d (@tch) {
	$d =~ s/'/''/g;
}
    # Munge data here...

    my $values = "$sql{default},'$tch[1]','$tch[2]','$tch[3]', $sql{default}, '$tch[4]','$tch[5]','$tch[6]',
	'$tch[7]','$tch[9]','$tch[10]','$tch[11]','$tch[12]','$tch[13]',
	$sql{default}, $sql{default}, $sql{default}, $sql{default},$sql{default},$sql{default},$sql{default},
	$sql{default}, $sql{default}, $sql{default}, $sql{default},$sql{default},$sql{default},$sql{default},
	$sql{default}, $sql{default}, $sql{default}, $sql{default},$sql{default},$sql{default},$sql{default},
	$sql{default}, $sql{default}, $sql{default}, $sql{default},$sql{default},$sql{default},$sql{default}";

    $sth1 = $dbh->prepare("insert into staff values ($values) ");
    $sth1->execute;
    if ($DBI::errstr){ print $DBI::errstr; die; }
}

print "\nDone!\n";

