
CREATE TABLE lok_locker (
  id int(10) unsigned NOT NULL auto_increment,
  locker_num varchar(8) NOT NULL,
  cleaned tinyint(1) default NULL,
  location varchar(64),
  comment varchar(255) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY locker_num (locker_num)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE lok_lock (
  id int(10) unsigned NOT NULL auto_increment,
  lock_num varchar(12) NOT NULL,
  combination varchar(12) NOT NULL,
  pool varchar(12) NOT NULL,
  comment varchar(64) NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY lock_num (lock_num)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE lok_rlink (
  locker_num varchar(8) NOT NULL,
  studnum int(10) unsigned NOT NULL,
  PRIMARY KEY  (locker_num,studnum)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE lok_link (
  locker_num varchar(8) NOT NULL,
  lock_num varchar(12) NOT NULL,
  PRIMARY KEY  (locker_num,lock_num)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
