# Update OA 1.85 to OA 1.90

# schedule table update; logical error before.
alter table schedat change location grade varchar(32);


# Metadata table; forgotten from 1.85; only used for export so far.
CREATE TABLE meta (
  id int(11) NOT NULL auto_increment,
  dbaseid varchar(64) default NULL,
  tableid varchar(64) default NULL,
  fieldid varchar(64) default NULL,
  datatype varchar(16) default NULL,
  arrayidx smallint(5) unsigned default NULL,
  size smallint(5) unsigned default NULL,
  fieldname varchar(255) default NULL,
  defaultvalue varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


# table for simple daybook storage
CREATE TABLE dbkdata (
  id int(11) NOT NULL auto_increment,
  userid varchar(40),
  date date,
  subjsec varchar(32),
  period smallint,
  topic varchar(255),
  notes text,
  homework varchar(255),
  hwdate date,
  category varchar(255),
  PRIMARY KEY  (id)
) TYPE=MyISAM;
