
CREATE TABLE tscriptdata (
  id int(11) NOT NULL auto_increment,
  studnum int(11) default NULL,
  subjectcode char(32) default NULL,
  subjecttext char(255) default NULL,
  mark char(32) default NULL,
  schoolyear char(16) default NULL,
  crdate date default NULL,
  credit char(16) default NULL,
  credithours char(16) default NULL,
  term int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Table structure for table `tscriptident`
--

CREATE TABLE tscriptident (
  id int(11) NOT NULL auto_increment,
  studnum int(11) default NULL,
  lastname char(40) default NULL,
  firstname char(40) default NULL,
  middlename char(40) default NULL,
  birthdate date default NULL,
  studentid char(32) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

# enlarge the size of the meta table default values.
alter table meta change defaultvalue defaultvalue text;